Sun Aug 20 15:12:36 1995  Ian Lance Taylor  <ian@airs.com>

	* Released version 1.06.1.

	* uux.c (main): Make sure that the grade is between '0' and '9',
	or 'a' and 'z', or 'A' and 'Z', in case isalnum accepts other
	characters.
	* uucp.c (main): Likewise.

Sat Aug 19 23:15:21 1995  Ian Lance Taylor  <ian@airs.com>

	* configure.in: Check for seteuid.
	* configure: Rebuild.
	* config.h.in (HAVE_SETEUID): Define.
	* unix/uid.c: If HAVE_SETEUID is defined, use seteuid rather than
	setuid.
	* policy.h: Change HAVE_BROKEN_SETREUID comment to mention that it
	does not work on 4.4BSD-Lite and NetBSD.

	* Andrey A. Chernov: uuconf.h (UUCONF_GRADE_LEGAL): Use BUCHAR.

Wed Aug 16 21:23:39 1995  Ian Lance Taylor  <ian@airs.com>

	* uucico.c (flogin_prompt): Add pzsystem parameter, and pass it to
	faccept_call.  Change all callers.

	* trans.c (qtransalc): Clear zlog field.

	* Makefile.in (VERSION): Change to 1.06.1.

Thu Aug 10 22:42:53 1995  Ian Lance Taylor  <ian@airs.com>

	* Released version 1.06.

	* uuconf/tsinfo.c (_uuconf_itaylor_system_internal): Don't set
	uuconf_fcall merely because uuconf_qtimegrade is not set.  Check
	values against _uuconf_unset, not NULL.

	* trans.c (fgot_data): Only log when data comes in if fsendfile is
	FALSE.

Wed Aug  9 20:52:29 1995  Ian Lance Taylor  <ian@airs.com>

	* Makefile.in (VERSION): Change to 1.06.

Tue Aug  1 20:13:36 1995  Ian Lance Taylor  <ian@airs.com>

	* uuconf/tsinfo.c (_uuconf_itaylor_system_internal): Set the fcall
	field for the first alternate if it has some way of selecting a
	port.

	* Ard van Breemen: unix/serial.c (fsserial_hardflow): Add support
	for NCR Tower using IRTS.

	* policy.h (FSYNC_ON_CLOSE): Define.
	* system.h (fsysdep_sync): Declare.
	* uucp.h (fstdiosync): Define, twice.
	* unix/sync.c: New file.
	* copy.c (fcopy_open_file): Call fsysdep_sync.
	* cu.c (icutake): Likewise.
	* rec.c (frec_file_end): Likewise.
	(frec_file_end): Call fstdiosync.
	* uucp.c (uccopy): Likewise.
	* uux.c (main): Likewise.
	(uxadd_send_file): Likewise.
	* unix/splcmd.c (zsysdep_spool_commands): Likewise.
	* unix/Makefile.in (OBJS): Add sync.o.
	(sync.o): New target.

	* Peter Wemm: unix/filnam.c (fscmd_seq): Increase the delay each
	time an attempt to lock LCK..SEQ fails.

	* Peter Wemm: uustat.c (fsnotify): Escape a leading "From " when
	including standard input in a mail message.

Mon Jul 31 22:45:23 1995  Ian Lance Taylor  <ian@airs.com>

	* unix/serial.c (fsserial_lockfile): In the HAVE_SVR4_LOCKFILES
	case, increase the space allocated to print the major and minor
	numbers.

Sun Jul 30 22:30:51 1995  Ian Lance Taylor  <ian@airs.com>

	* trans.c (fgot_data): Log a message as soon as anything comes in,
	not just for file data.

	* prote.c (feprocess_data): Handle a zero length file.

Wed Jul 19 00:14:46 1995  Ian Lance Taylor  <ian@airs.com>

	* unix/xqtfil.c (fSone_dir): New static variable.
	(fsysdep_get_xqt_init): Add zsystem argument.
	(zsysdep_get_xqt): Likewise.
	(usysdep_get_xqt_free): Likewise.
	* system.h (fsysdep_get_xqt_init): Update declaration.
	(zsysdep_get_xqt): Likewise.
	(usysdep_get_xqt_free): Likewise.
	* uuxqt.c (main): Pass zdosys for system to get_xqt routines.
	* uustat.c (fsexecutions): Pass NULL for system to get_xqt
	routines.
	(fsquery): Likewise.

	* uux.c (main): If we are not starting uucico, and we queued a
	local execution, start uuxqt.

Tue Jul 18 22:33:08 1995  Ian Lance Taylor  <ian@airs.com>

	* uuxqt.c (REMOVE_QINPUT): Define.
	(uqdo_xqt_file): Set REMOVE_QINPUT if zQinput is in the spool
	directory.
	(isave_files): If REMOVE_QINPUT is set, save the input file.
	(uqcleanup): If REMOVE_QINPUT and REMOVE_NEEDED are set, remove
	the input file.

Mon Jul 17 20:59:20 1995  Ian Lance Taylor  <ian@airs.com>

	* uuchk.c (ukshow): Add missing \n.

Sun Jul 16 12:02:03 1995  Ian Lance Taylor  <ian@airs.com>

	* Makefile.in (TEXI2HTML): Define.
	(doc-dist): Depend upon uucp.html; put HTML files in documentation
	distribution.
	(html, uucp.html): New targets.

Mon Jul 10 20:24:48 1995  Ian Lance Taylor  <ian@airs.com>

	* unix/lcksys.c: Rewrite to not truncate the system name in the
	lock file name, unless HAVE_LONG_FILE_NAMES is 0.

Sat Jul  8 13:41:26 1995  Ian Lance Taylor  <ian@airs.com>

	* Andrey A. Chernov: cu.c (ucuhelp): Mention -E.
	(fcudo_cmd): Use BUCHAR rather than casting to unsigned int.
	(icuunrecogvar): Likewise.
	(uculist_vars): Likewise.
	(icuunrecogfn): Likewise.
	* lib/getopt.c (_getopt_internal): Likewise.

	* Andrey A. Chernov: Makefile.in (infodir): Changed commented out
	setting from share/doc to share/info.

	* Godfrey van der Linden: unix/serial.c (fsysdep_conn_io): Base
	select or alarm timeout on connection speed.

	* configure.in: Move AC_PREFIX_PROGRAM before AC_PROG_CC.
	* configure: Rebuild.

	* policy.h (HAVE_BROKEN_SETLKW): Add new define.
	* unix/filnam.c (USE_POSIX_LOCKS): Don't set if HAVE_BROKEN_SETLKW
	is set.
	(fscmd_seq): If the F_SETLKW call returns EINVAL, revert to using
	lock files.

	* unix/spawn.c (ixsspawn): If setreuid is available, use it,
	rather than setuid, to set the real user ID to the effective user
	ID.

	* Thomas Mechtersheimer: uuchk.c (main): Correct typo (iret for
	iint).

	* Bob Thrush: unix/serial.c (fsserial_hardflow): Correct typo
	(c_cflags for c_cflag).

	* configure.in: Check for sys/statvfs.h.  Check for memset,
	memcmp, and memcpy with the correct argument types (apparently
	some systems require this).
	* config.h.in (HAVE_SYS_STATVFS_H): Define.
	* configure: Rebuild.

Mon Jul  3 00:26:50 1995  Ian Lance Taylor  <ian@airs.com>

	* Released version beta 1.06.

Sun Jul  2 10:39:40 1995  Ian Lance Taylor  <ian@airs.com>

	* configure.in: Add AC_OUTPUT code to touch stamp-h when
	rebuilding config.h.
	* Makefile.in (stamp-h): Remove ``echo > stamp-h''.

	* Makefile.in (dist): Fix for srcdir != objdir.
	* unix/Makefile.in (dist): Likewise.
	* uuconf/Makefile.in (dist): Likewise.
	* lib/Makefile.in (dist): Likewise.

Sat Jul  1 13:42:35 1995  Ian Lance Taylor  <ian@airs.com>

	* configure.in: Check for termios.h.
	* config.h.in (HAVE_TERMIOS_H): Mention.
	* policy.h: Set HAVE_POSIX_TERMIOS if HAVE_TERMIOS_H.

Fri Jun 30 09:24:13 1995  Ian Lance Taylor  <ian@airs.com>

	* uux.c (zXxqt_name): Remove.
	(fXxqtlocal): New static variable; replaces local fxqtlocal.
	(sXxqtsys): New static variable; replaces local sxqtsys.
	(zXxqtloc): New static variable; replaces local zxqtloc.
	(bXgrade): New static variable; replaces local bgrade.
	(abXxqt_tname): New static variable; replaces local abxqt_tname.
	(abXxqt_xname): New static variable; replaces local abxqt_xname.
	(main): Use new static variables instead of locals.  Don't set
	zXxqt_name.
	(uxadd_xqt_line): Get file name here before opening file.
	(uxadd_send_file): Remove parameters qxqtsys, zxqtloc, and bgrade.
	Change all callers.

	* unix/filnam.c (usput62): New static function.
	(zscmd_file): When SPOOLDIR_TAYLOR, use a different algorithm
	which does not read the sequence file.
	* unix/splcmd.c (zsysdep_spool_commands): Return value of
	zscmd_file might already exist; handle that case.
	* unix/jobid.c (zsfile_to_jobid): Change jobid format when
	SPOOLDIR_TAYLOR, since sequence number is now much longer.
	(zsjobid_to_file): Corresponding change.
	* unix/work.c (fswork_file): When SPOOLDIR_TAYLOR, don't require
	the the file name to be 7 characters long.
	(bsgrade): Change algorithm used when SPOOLDIR_TAYLOR.

	* uustat.c (fsworkfile_show): Correct kill prompt to put program
	name at start of line.  Add trailing space after question mark.
	(fsexecutions): Likewise.

	* unix/work.c (fsysdep_get_work): Don't call fsysdep_get_work_init
	if no more jobs are found.

Thu Jun 29 15:27:31 1995  Ian Lance Taylor  <ian@airs.com>

	* fsusg.c: Update with changes from fileutils 3.12.
	* configure.in: Update filesystem space tests to fileutils 3.12.
	* config.h.in: Corresponding changes.

	* unix/filnam.c (fscmd_seq): If F_SETLKW fails with ENOMEM,
	ENOSPC, or ENOLCK, sleep and try again.

	* Makefile.in (MORECFLAGS): Remove unused SBINDIR definition.
	* unix/Makefile.in (run.o): Add dependency on Makefile and
	../Makefile, so that it is rebuilt if sbindir changes.
	* uuconf/Makefile.in (callin.o): Add dependency on Makefile and
	../Makefile, so that it is rebuilt if NEWCONFIGLIB or OLDCONFIGLIB
	change.
	(hinit.o, hrmunk.o, maxuxq.o, rdperm.o, tinit.o): Likewise.
	(vinit.o): Likewise.

	* cu.c (main, ucuhelp): Update copyright.
	* tstuu.c (main): Likewise.
	* uuchk.c (main, ukhelp): Likewise.
	* uucico.c (main, uhelp): Likewise.
	* uuconv.c (main, uvhelp): Likewise.
	* uucp.c (main, uchelp): Likewise.
	* uulog.c (main, ulhelp): Likewise.
	* uuname.c (main, unhelp): Likewise.
	* uupick.c (main, uphelp): Likewise.
	* uustat.c (main, ushelp): Likewise.
	* uux.c (main, uxhelp): Likewise.
	* uuxqt.c (main, uqhelp): Likewise.

	* Makefile.in (VERSION): Update to beta1.06.

Wed Jun 28 10:36:35 1995  Ian Lance Taylor  <ian@airs.com>

	* trans.c (struct scharge, sTsend, sTreceive): Remove.
	(qTtiming_rec, iTrecsecs, iTrecmicros): New static variables.
	(fqueue_receive): If adding something to an empty receive queue,
	update iTrecsecs and iTrecmicros.
	(utransfree): Remove references to sTsend and sTreceive.  If
	freeing qTtiming_rec, clear it.
	(ftcharge): Remove.  Remove all calls to it.
	(fttime): New static function.
	(uclear_queue): Clear qTtiming_rec.
	(floop): Add timing code to replace ftcharge.
	(fgot_data): Likewise.
	(ftadd_cmd): Set s.bcmd to 'H' for a hangup request, for better
	debugging information.
	(ufailed): Remove setting of iTchecktime and calls to ftcharge.

	* uuconf.h (UUCONF_STRIP_LOGIN): Define.
	(UUCONF_STRIP_PROTO): Define.
	(uuconf_strip): Declare.
	* uuconf/strip.c: New file, definining uuconf_strip.
	* uuconf/Makefile.in (OBJS): Add strip.o.
	* uuconf/uucnfi.h (struct sprocess): Add new fields fstrip_login
	and fstrip_proto.
	* uuconf/iniglb.c (_uuconf_iinit_global): Initialize new fields.
	* uuconf/tinit.c (asCmds): Add "strip-login" and "strip-proto".
	* uucico.c (fdo_call): Check whether protocol commands should be
	stripped, and pass information to zget_uucp_cmd.
	(faccept_call): Likewise.
	(flogin_prompt): Check whether login commands should be stripped,
	and pass information to zget_typed_line.
	(zget_uucp_cmd): Add fstrip argument, and use it to control
	whether incoming characters are stripped.
	(zget_typed_line): Likewise.
	* uuchk.c (main): Report uuconf_strip information.

Mon Jun 26 17:57:14 1995  Ian Lance Taylor  <ian@airs.com>

	* uuchk.c (main): Report global configuration information.

	* uux.c (main): If an attempt is made to execute an empty command,
	just create a poll file instead.

	* uupick.c (main): Mention 'd' as a possible command.

Wed Jun 21 16:16:13 1995  Ian Lance Taylor  <ian@airs.com>

	* unix/filnam.c (fscmd_seq): If available, use POSIX style locking
	for the sequence file.  Use IPRIVATE_FILE_MODE when creating the
	sequene file.

	* copy.c (fcopy_file): Add fsignals argument, and pass it to
	fcopy_open_file.  Update all callers.
	(fcopy_open_file): Add fsignals argument; if TRUE, check for
	signals while copying the file.  Update all callers.
	* uudefs.h (fcopy_file, fcopy_open_file): Update prototypes.

Thu Jun 15 20:34:00 1995  Ian Lance Taylor  <ian@airs.com>

	* Rob Janssen: getopt.h: Don't fail if P is not defined because
	this file got included by something other than uucp.h.

Tue Jun  6 13:17:14 1995  Ian Lance Taylor  <ian@airs.com>

	* log.c (ulog): Always open the log file even if zmsg is NULL.
	* unix/detach.c (usysdep_detach): Call ulog with NULL before
	closing stderr.

	* log.c (ulog): Print file name correctly under HDB_LOGGING if an
	error occurs.

	* Andrey A. Chernov: uucp.h: Use off_t rather than long when
	casting arguments to lseek.

	* proti.c (IMAXPACKSIZE): Subtract one.
	(fijstart): Correct iIforced_remote_packsize check.

	* unix/filnam.c (zsfile_name): Only use remote system name in
	local filename for SPOOLDIR_SVR4, not for SPOOLDIR_HDB.

	* Peter da Silva: cu.c (asCulongopts): Add "escape".
	(main): Handle -E/--escape.
	* cu.1: Document -E/--escape.
	* unix/cusub.c (fsysdep_cu): Don't treat \0 as an escape
	character.

	* Takatoshi Ikeda: log.c (ustats): Base 'M' vs. 'S' in HDB_LOGGING
	on fcaller, not on fmaster.
	(zldate_and_time): In HDB_LOGGING, don't zero fill the hour.
	* uudefs.h (ustats): Change argument name in prototype.
	* send.c (fsend_await_confirm): Pass fcaller rather than fmaster
	to ustats.
	* rec.c (frec_file_end): Likewise.
	* trans.c (ufailed): Likewise.

	* unix/tcp.c: Include <arpa/inet.h>.
	(ftcp_dial): If gethostbyname fails, try inet_addr.

	* Jim Brownfield: unix/detach.c (usysdep_detach): Call TIOCNOTTY
	on /dev/tty, not on file descriptor 0.

	* uuchk.c (ukshow): If the system will never be called, say so
	explicitly.

	* unix/pause.c (usysdep_pause): When using poll, clear the sdummy
	structure before passing it down.

	* unix/bytfre.c (csysdep_bytes_free): Check for overflow.

	* C.A. Lademann: cu.c (asCulongopts): Add "nostop".
	(main): Handle --nostop.
	(ucuhelp): Mention --nostop.
	* cu.1: Document --nostop.

	* Dean Edmonds: cu.c (fcuset_var): Copy string before calling
	uuconf_cmd_args, and handle UUCONF_CMDTABRET_KEEP correctly.

	* Jorge Cwik: Add support for 'y' protocol.
	* proty.c: New file, written by Jorge Cwik.
	* prot.h: Declare 'y' protocol functions.
	* uucico.c (asProtocols): Add entry for 'y' protocol.
	* Makefile.in (UUOBJS): Add proty.o.
	(ALLOBJS): Add proty.o.
	(proty.o): New target.

Mon Jun  5 12:05:22 1995  Ian Lance Taylor  <ian@airs.com>

	* cu.c (main): Don't clobber user specified ibaud when a specific
	system is being called.

	* unix/serial.c (fsysdep_stdin_init): chmod /dev/tty to 0600 to
	prevent other users from writing to it.

	* uux.c (main): If the argument is quoted by parentheses, don't
	break it at shell separator characters.

	* protg.c (fgprocess_data): Don't treat a duplicate RR as an RJ if
	we are retransmitting packets.  Corrects change of May 15, 1993.

	* unix/lock.c (fsdo_lock): Log an error message if the LOCKFILES
	define appears to not match the contents of the lock file.

Sun Jun  4 14:25:43 1995  Ian Lance Taylor  <ian@airs.com>

	* Makefile.in (uucp.info): Use explicit $(srcdir) rather than $<.
	(uucp.dvi): Likewise.
	(uucp.ps): Use uucp.dvi rather than $<.

	* Scott Guthridge: cu.c (icutake): Skip \r characters unless
	fCuvar_binary is set.

	* unix/status.c (fsysdep_get_status): Ignore double quotes around
	description string in status file.
	(fsysdep_set_status): If SPOOLDIR_SVR4, put double quotes around
	description string.

	* uustat.c (fsxqt_file_read): Change second argument from file
	name to open file.
	(fsworkfile_show): Make sure execution file can be opened before
	displaying information in execution file format.
	(fsexecutions): Open file before passing it to fsxqt_file_read.

	* uucp.h (ffileioerror): Rename from ffilereaderror.
	* cu.c (icuput): Corresponding change.
	* trans.c (floop): Likewise.
	(fgot_data): Use ffileioerror to decide whether to print message
	using errno.

	* uuconv.c (uvwrite_taylor_port): Fix handling of dialer-sequence
	for a modem port to actually print ``dialer-sequence''.

	* uuconf/hsinfo.c (_uuconf_ihdb_system_internal): Treat a syntax
	error in the time field as equivalent to ``never''.
	* uuconf/vsinfo.c (_uuconf_iv2_system_internal): Likewise.

	* uuchk.c (ukshow): Print max-retries information.

	* Don Phillips: Add support for new called-timegrade command.
	* uuconf.h (struct uuconf_system): Add uuconf_qcalledtimegrade
	field.
	* uuconf/tsinfo.c (asIcmds): Add "called-timegrade".
	* uuconf/syssub.c (SYSTEM_TIMESPANS): Add uuconf_qcalledtimegrade.
	* trans.c (fqueue): Check uuconf_qcalledtimegrade.
	* uuchk.c (ukshow): Print called-timegrade and success-wait
	information.
	* uuconv.c (uvwrite_taylor_system): Handled called-timegrade.

	* unix/xqtsub.c (fsysdep_lock_uuxqt_dir): Accept EISDIR.

	* Damon: unix/mkdirs.c (fsysdep_make_dirs): Accept EROFS.

Sat May 27 09:55:38 1995  Ian Lance Taylor  <ian@airs.com>

	* unix/detach.c (usysdep_detach): Mention routine name in
	debugging message.

	* tstuu.c (main): Exit with an error message if not compiled with
        HAVE_TAYLOR_CONFIG.

	* Jim Avera: Makefile.in (install-info): Get the info files from
	the source directory if they aren't in the object directory.

	* uuchk.c (main): Accept -s to only print information for a
	specific system.
	(asKlongopts): Add --system as a synonym for -s.
 	(ukusage): Mention -s.
	(ukhelp): Likewise.

	* Makefile.in (uuconf/libuuconf.a): Depend upon config.h.
	(unix/libunix.a, lib/libuucp.a): Likewise.

	* Matthias Urlichs and Olaf Kirch: If an execution fails, save the
	files.
	* sysh.unx (FAILEDDIR): Define.
	* system.h (zsysdep_save_failed_file): Declare.
	* uuxqt.c (uqdo_xqt_file): Call isave_files if an execution fails.
	Move the execution files out of the execution directory on any
	failure, not just a temporary one.
	(isave_files): New function; pass all the execution files to
	zsysdep_save_failed_file, and send mail to OWNER.
	* unix/failed.c: New file.
	* unix/Makefile.in (OBJS): Add failed.o.
	(failed.o): New target.

	* Johannes Stille: Remove various race conditions, as follows:
	* rec.c (flocal_rec_send_request): Don't free qtrans if pfsendcmd
	fails.
	(fremote_send_reply): Likewise.
	(fremote_send_fail_send): Move pfsendcmd call to the end of the
	routine, after everything else has been done.
	(frec_file_send_confirm): Likewise.
	* send.c (struct ssendinfo): Add new fields fnever and zconfirm.
	(flocal_send_fail): Remove first argument; change all callers.
	(usfree_send): Free new zconfirm field.
	(flocal_send_file_init): Initialize new zconfirm field.
	(fremote_rec_file_init): Likewise.
	(flocal_send_request): Free qtrans explicitly, rather than
	expecting flocal_send_fail to do it.
	(flocal_send_request): Don't free qtrans if pfsendcmd fails.
	(flocal_send_await_reply): Use new fnever field rather than
	overloading fsent.
	(flocal_send_cancelled): Likewise.
	(flocal_send_await_reply): Set fcmd field to TRUE.
	(fremote_rec_reply): Set fcmd field to TRUE.  Set qtrans->zlog
	before calling pfsendcmd.  Don't free qtrans if pfsendcmd fails.
	(fremote_rec_fail_send): Move pfsendcmd call to the end of the
	routine, after everything else has been done.
	(fsend_file_end): If zconfirm is set, call fsend_await_confirm.
	Don't bother to set fcmd here.
	(fsend_await_confirm): If fsent is not set, just save command in
	zconfirm and return.
	(fsend_exec_file_init): Free and clear new zconfirm field.
	* xcmd.c (flocal_xcmd_request): Don't free qtrans if pfsendcmd
	fails.

	* unix/pause.c: Prefer any of the other choices to nap, since the
	meaning of nap argument varies from system to system, and the user
	may not set HAVE_HUNDREDTHS_NAP correctly.

	* unix/cusub.c (fsysdep_shell): When starting up an interactive
	shell, use the environment variable SHELL rather than /bin/sh.

Fri May 26 00:03:46 1995  Ian Lance Taylor  <ian@airs.com>

	* Chip Salzenberg: uulog.c (main): Set cluser, not clsys, when
	using HAVE_HDB_LOGGING.

	* Robert Joop: uuconf/callin.c (uuconf_callin): Improve handling
	of Unix style passwd files.

	* uupick.c (main): Don't fail if we can't get system information,
	since uupick is not setuid.

	* Stephen Harris: uudefs.h (struct sstatus): Add new field
	zstring.
	* unix/status.c (fsysdep_get_status): Set zstring field.
	* uustat.c (fsquery_show): Print and free zstring field, if set,
	rather than indexing off type.
	(fsmachines): Likewise.
	* uucico.c (fcall): Free sstat.zstring.

	* proti.c (cIwindow_timeout): New static variable.
	(fijstart): Initialize cIwindow_timeout based on the window size
	and connection speed.  Increment both timeouts in callee.
	(fishutdown): Initialize cIwindow_timeout.
	(fiwindow_wait): Use cIwindow_timeout rather than cItimeout.

	* unix/serial.c (fsysdep_conn_io): Try using select before doing a
	blocking write, and use an alarm if we fall back to the blocking
	write, to try to avoid deadlock when both systems fill the pipe.

	* Trever Miller: unix/lock.c (fsdo_lock): Fix use of inid where
	inme was intended, in HAVE_QNX_LOCKFILES code.

	* unix/lock.c (fsdo_lock): Treat an empty lock file as stale.

Thu May 25 11:46:32 1995  Ian Lance Taylor  <ian@airs.com>

	* Kenji Rikitake: unix/serial.c (fsserial_hardflow): Handle
	CRTS_IFLOW as used on BSDI.

	* Gerriet M. Denkmann: uuconf/vsnams.c (uuconf_v2_system_names):
	Accept continuation lines in L.sys.
	* uuconf/vsinfo.c (_uuconf_iv2_system_internal): Skip comment
	lines in L.cmds.  Ignore everything after comma in L.cmds lines.

	* Gerriet M. Denkmann: unix/ftw.c (ftw_dir): Initialize newlev to
        avoid warning.

	* Paul Pryor: unix/tli.c (ftli_open): Swap real and effective user
	ID's when running as a server, so that root can bind privileged
	ports.

	* unix/tcp.c (ftcp_open): Call fsuser_perms and fsuucp_perms
	rather than having the same code inline.

	* sysh.unx (fsuser_perms, fsuucp_perms): Declare.
	* unix/ufopen.c (fsuser_perms, fsuucp_perms): Move into uid.c.
	* unix/uid.c: New file.
	* unix/Makefile.in (OBJS): Add uid.o.
	(uid.o): New target.

	* unix/tcp.c: Move tcp.c into unix subdirectory.
	* unix/tli.c: Likewise for tli.c.
	* Makefile.in (UUOBJS, CUOBJS, ALLOBJS): Remove tcp.o and tli.o.
	(tcp.o, tli.o): Remove.
	* unix/Makefile.in (OBJS): Add tcp.o and tli.o.
	(tcp.o, tli.o): New targets.

	* Paul Pryor: configure.in: Check for -lnsl_s before -lnsl.

	* Makefile.in (prefix): Use @prefix@, not /usr/local.
	(exec_prefix): New variable, set to @exec_prefix@.
	(sbindir, bindir): Use $(exec_prefix) rather than $(prefix).
	(CPPFLAGS): New variable, set to @CPPFLAGS@.
	(@SET_MAKE@): New macro used by autoconf 2.
	(MORECFLAGS): Put -I. before -I$(srcdir).
	(MDEFINES): Pass down CPPFLAGS.
	(.c.o): Use CPPFLAGS.
	(uuconv.o): Likewise.
	(distclean): Remove stamp-h, config.log and config.cache.
	(maintainer-clean): New synonym for realclean.
	(configure, config.h, stamp-h, Makefile, config.status): Rewrite
	as suggested by autoconf 2.3.
	(.PHONY): Add maintainer-clean.
	* lib/Makefile.in (CPPFLAGS): New variable, set to @CPPFLAGS@.
	(MORECFLAGS): Put `-I..' before `-I$(srcdir)/..'.
	(maintainer-clean): New synonym for realclean.
	(.c.o): Use CPPFLAGS.
	(Makefile): Just rebuild this Makefile, not the others.
	(.PHONY): Add maintainer-clean.
	* unix/Makefile.in (CPPFLAGS): New variable, set to @CPPFLAGS@.
	(prefix): Removed.
	(sbindir): Use @exec_prefix@ rather than $(prefix).
	(MORECFLAGS): Put `-I..' before `-I$(srcdir)/..'.
	(maintainer-clean): New synonym for realclean.
	(.c.o): Use CPPFLAGS.
	(Makefile): Just rebuild this Makefile, not the others.
	(.PHONY): Add maintainer-clean.
	* uuconf/Makefile.in (prefix): Set to @prefix@, not /usr/local.
	(CPPFLAGS): New variable, set to @CPPFLAGS@.
	(MORECFLAGS): Put `-I.' before `-I$(srcdir)' and `-I..' before
	`-I$(srcdir)/..'.
	(maintainer-clean): New synonym for realclean.
	(.c.o): Use CPPFLAGS.
	(Makefile): Just rebuild this Makefile, not the others.
	(.PHONY): Add maintainer-clean.

	* configure.in: Extensive changes for autoconf 2.3.
	* configure: Regenerate using autoconf 2.3.
	* install-sh: New file.

Mon May 22 22:18:59 1995  Ian Lance Taylor  <ian@airs.com>

	* Mister Flash: chat.c (fcsend): Don't get forget to add 10 in \x.

Tue Jan 17 22:49:05 1995  Ian Lance Taylor  <ian@airs.com>

	* unix/mkdirs.c (fsysdep_make_dirs): Don't get confused by a
	double slash.

Wed Aug 10 09:25:10 1994  Ian Lance Taylor  (ian@airs.com)

	* uuconf/hport.c (uuconf_hdb_find_port): Set iret to
	UUCONF_SUCCESS when a port is found.

Tue Aug  2 08:57:05 1994  Ian Lance Taylor  (ian@airs.com)

	* trans.c (ftadd_cmd): Report a 'P' (poll) command as garbled.

Wed Jul 20 21:53:03 1994  Ian Lance Taylor  (ian@airs.com)

	* rec.c (flocal_rec_file_init): Set name of local system after
	calling uuconf_system_local.
	* uustat.c (fsexecutions): Likewise.

Sat Jul 16 16:54:12 1994  Ian Lance Taylor  (ian@airs.com)

	* log.c (ulog): Use strerror in message about being unable to open
	the log file.

Wed Jul 13 00:44:33 1994  Ian Lance Taylor  (ian@airs.com)

	* rec.c (fremote_send_reply): Set qinfo->freplied before sending
	the command.

Sun Jul 10 23:25:23 1994  Ian Lance Taylor  (ian@airs.com)

	* Tin Le: lib/debug.c (udebug_buffer): Only compile if DEBUG > 1.

Mon Jun 27 21:06:29 1994  Ian Lance Taylor  (ian@airs.com)

	* uuconf.h (UUCONF_CMDTABFLAG_NOCOMMENTS): Define.
	* uuconf/cmdlin.c (uuconf_cmd_line): Handle NOCOMMENTS.
	* uuxqt.c (uqdo_xqt_file): Pass NOCOMMENTS to uuconf_cmd_file.

Thu May 19 22:50:37 1994  Ian Lance Taylor  (ian@airs.com)

	* Ollivier Robert: unix/mkdirs.c: Permit EISDIR.

Wed May 18 23:15:36 1994  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (fcall): Reset sDaemon fields each time through the
	loop, not just once.

Thu May  5 23:15:11 1994  Ian Lance Taylor  (ian@airs.com)

	* Released version 1.05.

	* Makefile.in (doc-dist): Put uucp.ps in uucp-doc-$(VERSION).

Sun May  1 23:41:49 1994  Ian Lance Taylor  (ian@airs.com)

	* uuchk.c (ikshow_port): Show reliability information.
	(ukshow_dialer): Likewise.
	(ukshow_reliable): New function.

Sat Apr 16 22:28:10 1994  Ian Lance Taylor  (ian@airs.com)

	* Andrew A. Chernov: uucico.c (main): Pass 'z' to getopt.
	(uhelp): Mention -z aka --try-next.

	* log.c (ustats): Report failed transfers when HAVE_HDB_LOGGING.

Wed Apr 13 23:07:20 1994  Ian Lance Taylor  (ian@airs.com)

	* prot.c (fsend_data): If no room in receive buffer, just write
	the data out, don't call fconn_io.

Tue Apr 12 21:55:32 1994  Ian Lance Taylor  (ian@airs.com)

	* Spider Boardman: unix/serial.c (fsysdep_modem_end_dial): Set
	terminal characteristics of reopened port.

Sun Apr 10 18:05:34 1994  Ian Lance Taylor  (ian@airs.com)

	* send.c (flocal_send_fail): Always call fsysdep_did_work.
	(flocal_send_await_reply): Don't call flocal_send_fail if we are
	going to call fsend_exec_file_init.  Only call
	fsend_exec_file_init if fnever is TRUE.  Pass fnever to
	flocal_send_cancelled using the qinfo->fsent flag.
	(flocal_send_cancelled): Only call fsend_exec_file_init if
	qinfo->fsent is TRUE.

	* unix/statsb.c (fsysdep_lock_status): If HAVE_QNX_LOCKFILES,
	initialize painid to NULL.

Tue Apr  5 23:09:00 1994  Ian Lance Taylor  (ian@airs.com)

	* Released version gamma 1.05.

	* Makefile.in (VERSION): Changed to gamma1.05.

	* uucico.c (fcall): Return TRUE if -C was used and no call was
	made because there was no work.

Mon Apr  4 20:29:30 1994  Ian Lance Taylor  (ian@airs.com)

	* Chris Lewis: unix/serial.c: Include <sys/ioctl.h> if
	HAVE_TXADDCD.  Check for HAVE_TXADDCD rather than ifdef TXADDCD or
	TXDELCD.

	* configure.in: Check for TXADDCD in <sys/ioctl.h>.
	* config.h.in (HAVE_TXADDCD): New configuration macro.

Sun Apr  3 14:05:30 1994  Ian Lance Taylor  (ian@airs.com)

	* send.c (flocal_send_request): Queue stransfer structure up
	before sending any command or data, because sending data may cause
	data to be received for this stransfer, and we must be prepared to
	handle it correctly.
	(fremote_rec_reply): Likewise.
	* rec.c (flocal_rec_send_request, fremote_send_reply): Likewise.
	(fremote_send_fail_send): Likewise.
	* xcmd.c (flocal_xcmd_request): Likewise.

	* Chris Lewis: unix/serial.c (fsserial_hardflow): Add support for
	AIX TXADDCD and 3b1 CTSCD.

Sat Apr  2 00:04:30 1994  Ian Lance Taylor  (ian@airs.com)

	* policy.h (USE_TRADITIONAL_STATUS): Permit this to be defined.
	* lib/status.c: Control initialization of azStatus based on
	USE_TRADITIONAL_STATUS rather than SPOOLDIR_HDB || SPOOLDIR_SVR4.

Fri Apr  1 23:52:09 1994  Ian Lance Taylor  (ian@airs.com)

	* log.c (ulog): When using HAVE_HDB_LOGGING, force the program
	name to lower case when using it as a file name.

	* send.c (flocal_send_await_reply): Correct code to really not
	decrement number of channels to one.
	* rec.c (flocal_rec_await_reply): Likewise.

Wed Mar 30 22:57:30 1994  Ian Lance Taylor  (ian@airs.com)

	* lib/buffer.c (ubuffree): Change ioff from size_t to int to avoid
	HP/UX compiler bug.

	* configure.in: Make sure that <utime.h> defines struct utimbuf
	before assuming that it is present.

Tue Mar 29 23:00:15 1994  Ian Lance Taylor  (ian@airs.com)

	* uuconf/filnam.c: Use UUCONF_CONST, not const, to match
	declaration in uuconf.h.

Mon Mar 28 20:06:00 1994  Ian Lance Taylor  (ian@airs.com)

	* Andrew A. Chernov: policy.h: For several macros, add commented
	out values appropriate for some free BSD distributions.
	* Makefile.in: Likewise.

	* uucico.c (icallin_cmp): Use pointer, not void *.
	* uuconf/callin.c (struct sinfo, uuconf_callin): Likewise.

	* Chris Lewis: uuconv.c (fvperm_string_cmp, fvperm_array_cmp): AIX
	3.2.5 cc can't handle conditional expressions in if conditions.

Sun Mar 27 15:04:27 1994  Ian Lance Taylor  (ian@airs.com)

	* send.c (flocal_send_fail): Don't assume that qtrans is not NULL.

	* Jeff Ross, Stephen J. Walick: Makefile.in (uusched): Substitute
	for @SBINDIR@, not @BINDIR@.

	* configure.in: Make sure that <dirent.h> defines struct dirent
	before assuming that it is present.

	* Benoit Grange: unix/detach.c (usysdep_detach): Correct type of
	HAVE_BSD_SETPGRP for HAVE_BSD_PGRP.

Sat Mar 26 12:59:36 1994  Ian Lance Taylor  (ian@airs.com)

	* Andrew A. Chernov: uucico.c (asLongopts): Add --try-next as
	synonym for -z.
	(main): If -z, call fcall with ftrynext as TRUE.
	(fcall): Add ftrynext argument.  If ftrynext is TRUE, try the next
	alternate if a call fails.

Fri Mar 25 22:37:51 1994  Ian Lance Taylor  (ian@airs.com)

	* lib/parse.c (fparse_cmd): If we get a decimal 666 or 777 for the
	mode, turn it into an octal 0666 or 0777.

	* send.c (flocal_send_fail): Accept qdaemon argument rather than
	qsys.  Changed all callers.  If we are going to send an execution
	file, don't call fsysdep_did_work.

	* protg.c (fgstart): Say ``sending'' and ``receiving'' instead of
	``remote'' and ``local'' in log message.
	* proti.c (fijstart): Likewise.

Thu Mar 24 22:40:49 1994  Ian Lance Taylor  (ian@airs.com)

	* Gert Doering: uuchk.c (ikshow_port): Don't use qtli for a TCP
	port.

	* Makefile.in (uusched, uuto): Fix typo in sed command.

	* unix/mail.c (fsysdep_mail): Add casts to avoid warnings.
	* uuconf/runuxq.c (uuconf_runuuxqt): Likewise.

	* Emmanuel Mogenet: unix/pipe.c (fspipe_dial): Make consistently
	static.

	* unix/serial.c (fsserial_open): Only strip /dev/ from the start
	of a device name, rather than dropping everything before the last
	slash.

	* sysh.unx (ftw): Change stat argument to not be const pointer.
	* unix/ftw.c (ftw_dir, ftw): Change stat argument to func argument
	to not be const pointer.
	* unix/srmdir.c (isremove_dir): Change stat argument to not be
	const pointer.
	* unix/walk.c (iswalk_dir): Likewise.

Wed Mar 23 20:02:26 1994  Ian Lance Taylor  (ian@airs.com)

	* conn.c (fconn_break): Remove incorrect indirection of function
	pointer.

	* unix/mkdirs.c (fsysdep_make_dirs): Some systems can return
	EACCES, not EEXIST, when a directory exists.

	* configure.in: Fix STAT_STATFS2_FSIZE test.
	* configure: Regenerated.

Tue Mar 22 01:32:21 1994  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (main): Skip a leading dash in argv[0] which is
	probably the result of being invoked by the Unix login program.

	* configure.in: Check for sys/time.h.
	* config.h.in (HAVE_SYS_TIME_H): Define.

	* unix/serial.c (fsysdep_modem_begin_dial): Correct type of q for
	qsysdep.

	* uux.c (main): Check for zXnames being NULL.

Sat Mar 19 14:07:31 1994  Ian Lance Taylor  (ian@airs.com)

	* Released version beta 1.05.

	* Makefile.in (uucp.info): Use -o argument to force info files to
	be created in objdir.
	(doc-dist): Get README-DOC from $(srcdir).

	* lib/debug.c (iDebug, azDebug_names, idebug_parse): Only compile
	if DEBUG > 1.

Mon Feb 14 22:46:49 1994  Ian Lance Taylor  (ian@airs.com)

	* lib/strtou.c: New file, for strtoul.
	* lib/MANIFEST: List strtou.c.
	* configure.in: Check for strtoul, add strtou.o to LIBOBJS if not
	there.
	* config.h.in (HAVE_STRTOUL): Define.
	* uucp.h (strtoul): Declare.

Mon Jan 31 20:17:30 1994  Ian Lance Taylor  (ian@airs.com)

	* Makefile.in, lib/Makefile.in, unix/Makefile.in,
	uuconf/Makefile.in: Use $(CFLAGS) after all other flags.

Sun Jan 30 14:34:51 1994  Ian Lance Taylor  (ian@airs.com)

	* Makefile.in (clean, distclean, dist, doc-dist): Remove .tar.gz
	file, not .tar.Z one.
	(dist, doc-dist): Use gzip --best, not compress.

	* Makefile.in (VERSION): Set to beta1.05.

	* cu.c, uuchk.c, uucico.c, uuconv.c, uucp.c, uulog.c, uuname.c,
	uupick.c, uustat.c, uux.c, uuxqt.c: Updated copyright date.

	* conn.c (fconn_init): Added third argument: type of standard
	input port.
	* conn.h (fconn_init): Updated declaration.
	* uucico.c (asLongopts): Added --stdin, synonym for -i.
	(main): Accept -i TLI to set standard input to be of type TLI.
	Pass appropriate additional argument to fconn_init.
	(uhelp): Updated.
	(fconn_call, iuport_lock): Changed all calls to fconn_init.
	* cu.c: Changed all calls to fconn_init.
	* prot.c, protj.c: Include uuconf.h before conn.h.
	* Makefile.in (prot.o, protj.o): Updated.

	* unix/serial.c (fsysdep_conn_read): Permit up to two EWOULDBLOCK
	error returns from read before quitting.

Sat Jan 22 16:48:41 1994  Ian Lance Taylor  (ian@airs.com)

	* uuconf/hinit.c: Don't treat lines with leading whitespace as
	comments in Sysfiles.

	* log.c: Don't require ANSI C to use vfprintf, just require
	stdarg.h and prototypes.   Required for Alpha cc support.

	* configure.in: Check for prototype support.  Check for stdarg.h.
	When looking for socket and t_open check for "-lsocket -lnsl"
	after plain "-lnsl".
	* config.h.in (HAVE_PROTOTYPES, HAVE_STDARG_H): New macros.
	* uucp.h: Demand that an ANSI C compiler support prototypes.  If
	HAVE_PROTOTYPES is 1 for Classic C, defined P(x) to be x.

	* configure: Upgraded to autoconf 1.7.

	* protg.c (fgstart): Ensure that window size is reasonable.

	* protg.c (fvstart): Change default packet size from 512 to 1024.

	* trans.h (struct sdaemon): Added zconfig, irunuuxqt, and
	cxfiles_received fields.
	(fspawn_uuxqt): Declare.
	* uucico.c (fcall, flogin_prompt, faccept_call): Added zconfig and
	fuuxqt arguments; changed all callers.
	(main): Use fspawn_uuxqt to invoke uuxqt, and only do it if
	uuconf_runuuxqt returns UUCONF_RUNUUXQT_ONCE.
	(fcall, faccept_call): Initialize new struct sdaemon fields.
	Spawn uuxqt if uuconf_runuuxqt returned UUCONF_RUNUUXQT_PERCALL or
	if it returned a positive number and execution files have arrived
	since the last time uuxqt was spawned.
	(fspawn_uuxqt): New function.
	* rec.c (frec_file_end): Spawn uuxqt if enough execution files
	have been received.

	* uuconf.h (UUCONF_RUNUUXQT_NEVER, UUCONF_RUNUUXQT_ONCE,
	UUCONF_RUNUUXQT_PERCALL): New #define constants.
	(uuconf_runuuxqt): Declare.
	* uuconf/runuxq.c: New file.
	* uuconf/uucnfi.h (struct sprocess); Added zrunuuxqt field.
	* uuconf/tinit.c (asCmds): Added "run-uuxqt".
	* uuconf/iniglb.c (_uuconf_iinit_global): Initialize zrunuuxqt
	field.
	* uuconf/MANIFEST, uuconf/Makefile.in: Handle runuxq.c.

	* system.h (fsysdep_run): Added ffork argument.
	* unix/run.c (fsysdep_run): Added ffork argument.
	* uucico.c (main), uux.c (main), uucp.c (main): Changed calls to
	fsysdep_run to pass ffork argument as FALSE.

Fri Jan 14 19:40:20 1994  Ian Lance Taylor  (ian@airs.com)

	* Chip Salzenberg: unix/splcmd.c (zsysdep_spool_commands): More
	fitting value for size of abtempfile.

Mon Jan 10 22:46:52 1994  Ian Lance Taylor  (ian@airs.com)

	* unix/recep.c (fsysdep_remember_reception): Create directory with
	mode of 0755, not 0777.

Mon Jan  3 20:34:35 1994  Ian Lance Taylor  (ian@airs.com)

	* protg.c (fgprocess_data): Don't believe the ACK of an out of
	order packet.

	* uucico.c (asProtocols): Added 'v'.
	* prot.h (fvstart): Declare.
	* protg.c (fvstart): New function.

Sun Jan  2 15:34:12 1994  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (main), uucp.c (main), uux.c (main): Pass -I argument
	to invoked program.

	* uustat.c (JOB_REJUVENATE): Define.
	(asLongopts): Add "rejuvenate-all".
	(main, ususage): Handle -R.
	(fsworkfile_show, fsexecutions): Handle JOB_REJUVENATE.
	* system.h (fsysdep_touch_file): Declare.
	* unix/statsb.c (issettime): Rename from ussettime.
	(fsysdep_touch_file): Create.

	* Jim Avera: system.h: (INIT_NOCLOSE): Define.
	* unix/init.c (usysdep_initialize): If INIT_NOCLOSE is set, don't
	close all open descriptors.

	* Allen Delaney: tli.c: Don't declare t_alloc if we have
	<tiuser.h>, since it can cause conflicts.

	* configure.in: Call AC_CONST.
	* config.h.in: Added #undef const for configure to comment out.
	* uucp.h: Don't undefine const here.

	* Spider Boardman: uucico.c (main): Correct error message.
	uux.c (main), uucp.c (main): Call uucico with -C option.

	* tstuu.c (uprepare_test): Don't put the obsolete pty command into
	the port file.

	* spawn.c (ixsspawn): Set close-on-exec flag for both ends of
	new pipe.

	* Andrew A. Chernov: unix/serial.c (ICLEAR_IFLAG): Clear IMAXBEL
	if it is defined.
	(ICLEAR_LFLAG): Clear PENDIN if it is defined.

	* send.c (flocal_send_file_init): If stat fails, discard the
	command and save the temporary file.
	(flocal_send_fail): Cleaned up zsysdep_save_temp_file call.

Thu Dec 23 00:55:22 1993  Ian Lance Taylor  (ian@airs.com)

	* Martin Tomes: spawn.c (ixsspawn): On ISC, call __setostype
	before execve.

Wed Dec 22 00:06:25 1993  Ian Lance Taylor  (ian@airs.com)

	* uuconf/tport.c (ipunknown): Set UUCONF_CMDTABRET_EXIT if an
	error is found.

	* uucico.c (asLongopts): Add --login as a synonym for -u.
	(main): Permit a privileged user to use -u to set the login name
	rather than always using zsysdep_login_name ().
	(flogin_prompt): Accept login name as an argument.  If non-null,
	use it rather than prompting for one.
	(uhelp): Document new --login option.
	* uucico.8: Document new --login option.
	* unix/priv.c: New file, containing fsysdep_privileged.
	* unix/statsb.c (fsysdep_privileged): Moved to priv.c.
	* unix/MANIFEST, unix/Makefile.in: Support new priv.c file.

	* uuchk.c (ikshow_port): Print a note when using the port name as
	a device name.

Tue Dec 21 00:01:40 1993  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (fcall): Ignore status file times in the future when
	deciding whether a retry is permitted.

	* detach.c (usysdep_detach): If it forks, output a debugging
	message with the old and new process IDs.

	* Scott Ballantyne: unix/spawn.c (ixsspawn): If fkeepuid is TRUE,
	try to set the real user and group ID to the effective user and
	group ID.  This will not work on System V derived systems, but
	should do no harm.
	* unix/xqtsub.c (fsysdep_execute): Pass fkeepuid as TRUE to
	ixsspawn.
	* unix/epopen.c (espopen): Likewise.

	* uucico.c (faccept_call): Use correct default for
	max-remote-debug.

	* uuconf/tportc.c (ipdialer): Don't core dump if the port name is
	NULL, as it is for the default port.

	* unix/xqtsub.c (fsysdep_xqt_check_file): Do not permit the name
	``..'', or strings starting with ``../''.

	* proti.c (fijstart): Send a fourth byte in the SYNC packet with
	the number of channels.
	(fiprocess_packet): If a SYNC packet has a fourth byte, use it to
	set the number of channels.

	* rec.c (flocal_rec_await_reply): Handle RN9 (no channels
	available on remote).
	* send.c (flocal_send_await_reply): Handle SN9 (no channels
	available on remote).

	* trans.h (struct sdaemon): Added cchans field.
	* uucico.c (fcall, fdo_call, faccept_call): Initialize cchans.
	* trans.c (utchanalc, fcheck_queue, floop): Use qdaemon->cchans,
	not qdaemon->qproto->cchans.
	* send.c (flocal_send_request, flocal_send_await_reply): Likewise.
	* rec.c (fremote_send_fail): Likewise.

Sun Dec 19 19:44:31 1993  Ian Lance Taylor  (ian@airs.com)

	* proti.c (cIack_frequency): New static variable.
	(asIproto_params): New protocol parameter ack-frequency.
	(fijstart): If cIack_frequency is not set, set it to half the
	window size.
	(fishutdown): Clear cIack_frequency.
	(fiprocess_data): Use cIack_frequency to determine when to send an
	acknowledgement, rather than always sending one at half the window
	size.

	* uuconf/cmdfil.c (uuconf_cmd_file): Free zline.

	* uuconf/callin.c (uuconf_callin): Treat colon as a field
	delimiter, for Unix /etc/passwd support.

	* unix/xqtsub.c (zsysdep_find_command): If file named with
	absolute path does not exist, give a reasonable error message.

	* uuconf/rdperm.c (ihadd_norw): Ignore use of empty string with
	NOREAD or NOWRITE, rather than denying everything.

	* Chip Salzenberg: uulog.c (main): Set zluser correctly under
	HAVE_HDB_LOGGING.

	* Chip Salzenberg: protz.c (izrecv_hdr): Use %lx, not %x.

Sun Dec 12 19:24:35 1993  Ian Lance Taylor  (ian@airs.com)

	* uucp.c (uccopy): Null terminate name of forwarding system.

Mon Nov 22 21:12:41 1993  Ian Lance Taylor  (ian@airs.com)

	* unix/tmpfil.c: Include "uudefs.h".
	* unix/Makefile.in: Changed accordingly.

	* log.c (zstpcpy): New function.
	(ulog): Output to log file with a single call to fprintf.

	* uucp.c (uccopy): Clarified "not permitted to send" error.

	* log.c (ulog): If debugging is on, output all log messages to
	debugging file.

	* uucico.c (fdo_call): Changed "Bad initialization string" error
	message.

	* unix/lock.c (fsdo_lock): Print date a stale lock was last
	modified.

	* uucico.c (uaccept_call_cleanup): Call ulog_system (NULL).

Sun Nov 21 17:04:27 1993  Ian Lance Taylor  (ian@airs.com)

	* Joe Wells: policy.h: Added new parameter LOG_DEVICE_PREFIX.
	* unix/serial.c (fsserial_open): Use it.

	* Makefile.in: Always use CFLAGS as well as LDFLAGS when linking.

	* Joe Wells: policy.h: Added new parameter QNX_LOG_NODE_ID.
	* log.c (ulog): Log the QNX node ID if QNX_LOG_NODE_ID is set.

	* Joe Wells: unix/serial.c: Support QNX dev_info function for
	serial port locking.

	* Joe Wells: unix/fsusg.c: Support QNX disk_space function.
	* unix/Makefile.in: fsusg.o now depends upon uudefs.h.

	* Joe Wells: policy.h: Changed PS_PROGRAM default for __QNX__.
	Added HAVE_QNX_LOCKFILES.  Rearranged LOCKFILE defines to permit
	some default selections.
	* sysh.unx: Removed LOCKFILES sanity check.
	* unix/lock.c (fsdo_lock, fsqnx_stale), unix/serial.c
	(fsserial_lockfile), unix/statsb.c (fsysdep_lock_status): Added
	support for HAVE_QNX_LOCKFILES.

	* configure.in, config.h.in, policy.h: Moved MAIL_PROGRAM to
	policy.h.  Added MAIL_PROGRAM_TO_BODY and
	MAIL_PROGRAM_SUBJECT_BODY.
	* unix/mail.c: Updated accordingly.

	* uucico.c (main): Don't make -p imply -e.
	(uhelp): Modified accordingly.
	* uucico.8: Modified accordingly.

Mon Nov  1 21:34:36 1993  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (main): Call fconn_close and fconn_open rather than
	calling fconn_reset.
	* conn.h (struct sconncmds): Removed pfreset field.
	(fconn_reset): Removed declaration.
	* conn.c (fconn_reset): Removed.
	* tcp.c (ftcp_reset): Removed.
	(ftcp_open): Save pid in ssysdep_conn information.
	(ftcp_close): If pid has changed, return FALSE.
	* tli.c (ftli_reset): Removed.
	(ftli_open): Save pid in ssysdep_conn information.
	(ftli_close): If pid has changed, return FALSE.
	* unix/pipe.c (fspipe_close): Replaced with fspipe_reset body.
	(fspipe_reset): Removed.
	(fspipe_dial): Call fspipe_close, not fspipe_reset.
	* unix/serial.c (fsserial_reset, fsstdin_reset): Removed.
	(fsysdep_modem_begin_dial): Hangup terminal here, rather than
	calling fconn_reset.

	* send.c (fremote_rec_reply): If we want to request hangup, send
	an M after the mode.
	* rec.c (flocal_rec_await_reply): If there an M after the mode,
	the remote is requesting a hangup.

Sun Oct 31 23:43:40 1993  Ian Lance Taylor  (ian@airs.com)

	* uux.c (zXnames): New static variable to hold list of file names
	being sent.
	(uxadd_name): Function to add a new name.
	(main, uxadd_send_file): Call uxadd_name.
	(main): Include zXnames in log message.

Mon Oct 18 00:23:27 1993  Ian Lance Taylor  (ian@airs.com)

	* proti.c (fijstart): Ensure that packet size and window size are
	reasonable; restrict window size to 16.

	* proti.c (iIforced_remote_winsize): Removed, along with all
	references.
	(asIproto_params): Removed "remote-window".

Sun Oct 17 22:15:14 1993  Ian Lance Taylor  (ian@airs.com)

	* Mark Delany: protg.c (cGremote_duprrs): New static variable.
	(fgstart): Initialize it.
	(fgshutdown): Count rejects as cGremote_duprrs + cGremote_rejects.
	(fgprocess_data): If cGremote_rejects is non-zero, don't treat
	duplicate RR as reject.  Count duplicate RR's in cGremote_duprrs,
	not cGremote_rejects.

	* Mark Delany: unix/serial.c (fsdouble_chat, fsysdep_conn_chat):
	After running a chat program, reread the terminal characteristics.

Wed Oct 13 20:46:46 1993  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (fdo_call): Fix typo.

Thu Oct  7 22:28:45 1993  Ian Lance Taylor  (ian@airs.com)

	* unix/app3.c (zsappend3), unix/app4.c (zsappend4), unix/ftw.c
	(ftw), unix/sindir.c (zsysdep_in_dir): Don't duplicate '/'
	character for root directory.

	* send.c (flocal_send_await_reply): If an SN comes in while the
	file is being sent, seek to the end rather than setting fsendfile
	to FALSE.
	(flocal_send_cancelled): Don't send an empty packet.
	* trans.c (utransfree): Set e field to EFILECLOSED when debugging.
	(floop): Check for file send cancelled at top of loop, not middle.

	* uucp.h (ffileseekend): Define.

Wed Oct  6 00:51:08 1993  Ian Lance Taylor  (ian@airs.com)

	* proti.c (fisenddata, fiprocess_packet): Report channel numbers
	in debugging messages.

Tue Oct  5 00:00:33 1993  Ian Lance Taylor  (ian@airs.com)

	* unix/statsb.c (fsysdep_lock_status): Only report the status of a
	particular job once, no matter how many lock files it has.

	* uustat.c (fsnotify): Added itime argument.  Changed all callers.
	Report time job was queued in mail message.

	* unix/cusub.c (fsysdep_terminal_raw): For TERMIO and TERMIOS,
	clear IXON, IXOFF and IXANY (TERMIO only) in c_iflag.

	* Lele Gaifax: log.c (ustats): Report device name.

	* log.c (ulog): Use zsysdep_base_name of zProgram.

	* uuxqt.c (main): Accept local system name and unknown system
	names for -s argument.  zsysdep_get_xqt may return an alias.

Wed Sep 29 00:13:39 1993  Ian Lance Taylor  (ian@airs.com)

	* proti.c (fiprocess_packet): If sending an ACK for a NAK, don't
	also send a packet.

	* unix/serial.c (fsysdep_modem_end_dial): If TIOCWONLINE is not
	defined, reopen the port to wait for carrier.

	* policy.h: Use __ultrix__ as well as ultrix in check for
	HAVE_STRIP_BUG.

Tue Sep 28 22:25:05 1993  Ian Lance Taylor  (ian@airs.com)

	* Marcel Waldvogel: uuchk.c (ukshow): Don't die if the call out
	file can not be opened.

Sun Sep 19 00:16:01 1993  Ian Lance Taylor  (ian@airs.com)

	* Jason Molenda: policy.h (HAVE_SEQUENT_LOCKFILES): New
	configuration parameter.
	* sysh.unx, unix/serial.c: Implement it.

	* uulog.c (main): Ignore any errors when trying to canonicalize
	the system name.

	* Marcel Waldvogel: uucico.c (faccept_call): If the calling system
	is already locked, and we are using sequence numbers for it,
	increment the local sequence number to keep in synch.

	* unix/sleep.c (usysdep_sleep): If usysdep_pause is accurate, use
	it.  Otherwise call sleep, but always for at least two seconds.
	* chat.c (fcsend): Call usysdep_sleep with 1, not 2.

	* unix/pause.c: Correct USE_SELECT_TIMER to HAVE_SELECT.

	* unix/serial.c (fsmodem_open): Only turn on hardware flow control
	for an incoming connection.
	(fsmodem_carrier): Turn on hardware flow control after turning on
	carrier.  Turn off hardware flow control before turning off
	carrier.

	* uuxqt.c (uqdo_xqt_file): Use known system name, not system name
	from execution file, unless the former is a prefix of the latter.

Sat Sep 18 16:53:41 1993  Ian Lance Taylor  (ian@airs.com)

	* policy.h: Add HAVE_ENCRYPTED_PASSWORDS configuration parameter.
	* callin.c: Change interface to use a passed in comparison
	function.
	* uuconf.h: Change declaration of uuconf_callin.
	* uucico.c (flogin_prompt): Change call to uuconf_callin.
	(icallin_cmp): New function.  Handle HAVE_ENCRYPTED_PASSWORDS.

	* Hans-Dieter Doll: chat.c (fchat): Permit \W at the end of an
	expect string to specify a timeout.

	* util.c (zremove_local_sys): New function.
	* uudefs.h: Declare zremove_local_sys.
	* uucp.c (main): Read local system information.  Ignore local
	system name in front of arguments.
	* uux.c (main): Ignore local system name in front of arguments.

	* configure.in: Call AC_HAVE_POUNDBANG, AC_STAT_MACROS_BROKEN,
	AC_TIME_WITH_SYS_TIME, AC_STRUCT_TM.  Call AC_SUBST(POUNDBANG).
	Remove HAVE_SYS_TIME_AND_TIME_H check.  Rework disk space
	configuration to actually check for the functions.  Check for
	function dev_info.  Don't confuse HAVE_FTW_H and HAVE_FTW (from
	Joe Wells).
	* config.h.in (STAT_MACROS_BROKEN, TM_IN_SYS_TIME, STAT_DUSTAT,
	STAT_DISK_SPACE, HAVE_DEV_INFO): New macros set by configure.
	(TIME_WITH_SYS_TIME): Renamed from HAVE_SYS_TIME_AND_TIME_H.
	* Makefile.in (POUNDBANG): Set to @POUNDBANG@.
	(uusched, uuto): If POUNDBANG = no, turn #!/bin/sh into :.
	(config.status): Use config.status --recheck.
	(configure): Chdir to $(srcdir) before running autoconf.
	* sysh.unx: If STAT_MACROS_BROKEN, undefine S_ISDIR.
	* log.c, time.c, uustat.c, unix/loctim.c: If TM_IN_SYS_TIME,
	include <sys/time.h>, not <time.h>.
	* tstuu.c, unix/pause.c, unix/proctm.c, unix/serial.c: Rename
	HAVE_SYS_TIME_AND_TIME_H to TIME_WITH_SYS_TIME.
	* fsusg.c: Check STAT_DUSTAT, not _AIX and _I386.

	* config.h.in: Renamed from conf.h.in.
	* MANIFEST, configure.in, Makefile.in, lib/Makefile.in,
	unix/Makefile.in, uuconf/Makefile.in, uucp.h: conf.h renamed to
	config.h.

Fri Sep 17 00:36:16 1993  Ian Lance Taylor  (ian@airs.com)

	* Joe Wells: policy.h: If __QNX__, default to HAVE_POSIX_TERMIOS.

	* Joe Wells: Makefile.in (FORCE): Add dummy command to work around
	QNX make bug.

	* Makefile.in, lib/Makefile.in, unix/Makefile.in,
	uuconf/Makefile.in: Add .PHONY declaration for appropriate
	commands.

	* Joe Wells: Makefile.in (install): Create $(man1dir) and
	$(man8dir) if necessary.
	(install-info): Create $(infodir) if necessary.

	* Joe Wells: sysh.unx (bsgrade): Declare as returning int rather
	than char, since it can return a negative number.
	* unix/work.c (bsgrade): Define as returning int.

	* Joe Wells: unix/lock.c (fsdo_lock), unix/statsb.c
	(fsysdep_lock_status): Use pid_t rather than int for variables
	that hold pid's.  Cast to long when using printf.

	* Joe Wells: uucico.c (fcall): Fix test for 24 hour check when too
	many retries.

	* Joe Wells: uucico.c (fcall), unix/opensr.c
	(esysdep_open_receive), unix/recep.c (fsysdep_already received):
	Cast values in multiplication to determine seconds per day or per
	week to long, because result is larger than 16 bits.

	* Joe Wells: uuconv.c: Add return 0 after exit to avoid warnings.

Thu Sep 16 23:53:58 1993  Ian Lance Taylor  (ian@airs.com)

	* Joe Wells: configure.in: Set AR from environment, defaulting to
	ar, and substitute it in Makefiles.
	* Makefile.in: Set AR to @AR@.  Pass it down in MDEFINES.
	* lib/Makefile.in, unix/Makefile.in, uuconf/Makefile.in: Set AR to
	@AR@.  Use $(AR) instead of ar.  Use rc instead of qc (POSIX.2
	does not define q).

Wed Sep 15 00:47:33 1993  Ian Lance Taylor  (ian@airs.com)

	* uuconf/callin.c (uuconf_callin): Take an additional argument: a
	function to call to transform the login name and password.  This
	is a hack to avoid requiring escape sequence handling in uuconf.
	* uucico.c (flogin_prompt): Pass cescape to uuconf_callin.  This
	is an incompatible change.
	* uuconf.h (uuconf_callin): Update declaration.
	* tstuu.c (uprepare_test): Use \s in password in Call1 and Pass2.

	* chat.c (fcsend, fcprogram): Expand escape sequences in callout
	login names and passwords.  This is an incompatible change.

	* Joe Wells: uustat.c (fsnotify): Add missing break statement.

	* Mark Eichin: tstuu.c (main): Add some sleeps in the children to
	make the tests more robust on Linux.

	* uulog.c (ulhelp): Clean up general usage message: don't show -F
	for HDB_LOGGING, don't show -x for non HDB_LOGGING.  Remove
	mention of numeric debugging levels.
	* uustat.c (ushelp): Remove mention of numeric debugging levels.

	* unix/serial.c (ICLEAR_CFLAG): Removed CLOCAL.
	(enum tclocal_setting): New enum.
	(fsserial_lock): Don't call TIOCSCTTY.
	(fsserial_open): Changed flocal argument to tlocal.  Use it to
	determine initial CLOCAL setting for TERMIO and TERMIOS.  Don't
	call TIOCSCTTY until after setting the terminal state.
	(fsstdin_open): Call fsserial_open with IGNORE_CLOCAL.
	(fsmodem_open): Call fsserial_open with SET_CLOCAL if calling out,
	CLEAR_CLOCAL if waiting for an incoming call.
	(fsdirect_open): Call with SET_CLOCAL or CLEAR_CLOCAL depending
	upon fcarrier setting.
	* uuconf.h (struct uuconf_direct_port): Added fcarrier field.
	* uuconf/tportc.c (asPdirect_cmds): Added ``carrier'' command.
	(_uuconf_iport_cmd): Initialize direct fcarrier field to FALSE.
	* uuconf/hport.c (uuconf_hdb_find_port), uuconf/vport.c
	(uuconf_v2_find_port): Set direct fcarrier field to FALSE.
	* uuchk.c (ikshow_port): Print direct port carrier field.
	* uuconv.c (uvwrite_taylor_port): Likewise.

	* uustat.c (main, fsquery, fsquery_systems, fsquery_show): Support
	-o, -y, -s and -S in conjunction with -q.

Tue Sep 14 00:51:50 1993  Ian Lance Taylor  (ian@airs.com)

	* log.c (ulog): If we can't open the log file, print an error on
	stderr.

	* configure.in, conf.h.in: Adjusted for autoconf 1.5.

Sun Sep 12 15:52:29 1993  Ian Lance Taylor  (ian@airs.com)

	* unix/serial.c (fsserial_open): Add flocal argument.  Changed all
	callers.  Pass it as TRUE when dialing out on a modem.  This is
	supposedly required on 386bsd.

	* conn.c (fconn_dial_sequence): New function.
	(fmodem_dial): Use fconn_dial_sequence.  Call fsysdep_modem_begin
	only once, before entire sequence, and fsysdep_modem_end only
	once, after entire sequence.  Don't call fcdo_dial.
	(fcdo_dial): Removed.
	* conn.h: Declare fconn_dial_sequence.
	* uucico.c (fconn_call): Don't free dialer if fconn_dial fails.
	* uuconf.h (struct uuconf_tcp_port): Add pzdialer field.
	* tcp.c (ftcp_dial): Pass new pzdialer field to
	fconn_dial_sequence.
	* tli.c (ftli_dial): Pass pzdialer to fconn_dial_sequence.
	* uuconf/hport.c (uuconf_hdb_find_port): Add trailing dialer
	sequence to pzdialer field for TCP port.
	* uuconf/tportc.c (asPtcp): Add ``dialer-sequence'' command.
	(_uuconf_iport_cmd): Initialize pzdialer for TCP port.
	* uuconf/vsinfo.c (_uuconf_iv2_system_internal): Initialize
	pzdialer for TCP port.
	* uuchk.c (ikshow_port): Print TCP pzdialer field.
	* uuconv.c (uvwrite_taylor_port, ivwrite_hdb_port): Output TCP
	pzdialer field.

Sat Sep 11 16:30:17 1993  Ian Lance Taylor  (ian@airs.com)

	* uulog.c, uuname.c (main): Pass INIT_NOCHDIR to
	usysdep_initialize.

	* uucp.1, uustat.1, uux.1, uuxqt.8: Remove uses of nonportable .EX
	and .EE macros.

	* uuxqt.c (asQcmds, iqout, iqfile, iqrequestor, iquser): Remove
	restrictions on number of arguments to commands in execution file,
	since is there is such a range of buggy UUCP implementations out
	there.

	* sysh.unx (CORRUPTDIR): Define.
	* unix/corrup.c: New file for new zsysdep_save_corrupt_file
	function to save a file in CORRUPTDIR.
	* unix/Makefile.in, unix/MANIFEST: Add corrup.
	* system.h: Add declaration of zsysdep_save_corrupt_file.
	* uuxqt.c (uqdo_xqt_file): If execution file has a syntax error,
	save it using zsysdep_save_corrupt_file and notify OWNER.

	* uuconf/hsinfo.c (_uuconf_ihdb_system_internal), vsinfo.c
	(_uuconf_iv2_system_internal): Treat a specified time/grade as
	both a timegrade and a call-timegrade.

	* rec.c (frec_file_end): If the received file can not be moved to
	the final location, and there is enough disk space, keep the file,
	mentioned the saved name in the error message, and send mail to
	OWNER about it.  If the hand created execution file can not be
	moved, delete it.
	* unix/move.c (fsysdep_move_file): Don't delete the original file
	if the move fails.
	* unix/splcmd.c (zsysdep_spool_commands): Remove the temporary
	file if the move fails.	

Wed Sep  1 23:29:30 1993  Ian Lance Taylor  (ian@airs.com)

	* uuconf/tinit.c (itdebug, _uuconf_idebug_cmd): New functions.
	(asCmds): Call itdebug for "debug", to accept spaces between
	options as well as commas.
	* uuconf/tsinfo.c (iidebug): New function.
	(asIcmds): Call iidebug for "debug".
	* uuconf/uucnfi.h: Added prototype for _uuconf_idebug_cmd.

Tue Aug 31 00:09:33 1993  Ian Lance Taylor  (ian@airs.com)

	* send.c (flocal_send_file_init): Don't set flocal if job was
	requested by a remote user.
	(flocal_send_fail, flocal_send_open_file): Don't save temporary
	file in .Preserve if job was requested by a remote user.

	* unix/wldcrd.c (fsysdep_wildcard_start): Don't free zcmd until
	after calling espopen.

	* lib/buffer.c (ubuffree): Added debugging code controlled by
	DEBUG_BUFFER macro.

Sun Aug 29 13:33:21 1993  Ian Lance Taylor  (ian@airs.com)

	* uuconf/tcalou.c: Permit empty password in call file.

	* unix/work.c (COMMANDS_PER_SCAN): New macro.
	(fsysdep_get_work_init): Get at most COMMANDS_PER_SCAN new command
	files, to avoid timeouts while reading a large directory.

	* rec.c (fremote_send_file_init): Initialize crestart.

	* uux.c (main): Changed special handling of single "-" argument to
	call getopt multiple times.

	* D.J. James: protg.c (fgsendcmd, fgsenddata), prott.c
	(ftsendcmd): Avoid passing 0 to bzero to avoid SunOS bug.

	* protf.c (ffprocess_data): Some systems seem to send characters
	with parity, so strip the parity bit from incoming bytes.

	* Kenji Rikitake: uucp.h: Changed order of header files to avoid
	gcc stddef.h vs. sys/stdtypes.h problem on SunOS 4.1.

	* Alexander Lehmann: configure.in: Correct misspelling of
	HAVE_GETWD.

	* John Hood: unix/filnam.c (ZCHARS): Get the alphabet right.

	* Gabor Kiss: tcp.c (ftcp_dial): Use all gethostbyname info before
	calling getservbyname.

Thu Aug 26 23:15:33 1993  Ian Lance Taylor  (ian@airs.com)

	* uux.c, uuxqt.c: Added long options.

	* uucp.c: Added v to getopt_long argument, print help and version
	info to stderr.

	* unix/splcmd.c (zsysdep_spool_commands): Create command file via
	temporary file, so that the command file is created atomically.
	* unix/spool.c (zscmd_file): Accept files starting with "TMP".

Sun Jul 25 14:50:41 1993  Ian Lance Taylor  (ian@airs.com)

	* uupick.c, uustat.c: Added long options.

Mon Jul 19 22:06:19 1993  Ian Lance Taylor  (ian@airs.com)

	* uucico.c, uuconv.c, uucp.c, uulog.c, uuname.c: Added long
	options.
	* uucico.c (main, fcall): Made -c option not print the ``No work''
	log message.
	* uuname.c (main): Call ulog_uuconf rather than unuuconf_error.

Sun Jul 11 14:29:39 1993  Ian Lance Taylor  (ian@airs.com)

	* cu.c, uuchk.c: Added long options.

	* uudefs.h, log.c (zProgram): Renamed from abProgram.
	* cu.c, uucico.c, uucp.c, uulog.c, uuname.c, uupick.c, uustat.c,
	uux.c, uuxqt.c (main): Initialize zProgram from argv[0].

	* Bob Hemedinger: unix/cohtty.c (fscoherent_disable_tty): Almost
	always return TRUE.
	* unix/serial.c (fsserial_lockfile): Skip "LCK.." in string passed
	to lockttyexist and fscoherent_disable_tty.
	* uucico.c (main): If __COHERENT__ is defined, change the meaning
	of -c for backward compatibility with old Coherent UUCP.

	* David Nugent: uucico.c (main): Added -C option to only call
	system named by -s or -S if there is work.

	* uuconf/syssub.c (_uuconf_isystem_default): Merge in default
	protocol parameters so that setting parameters for one protocol
	does not lose the default settings for other protocols.

	* unix/lcksys.c (zssys_lock_name): New function.
	(fsysdep_lock_system, fsysdep_unlock_system): Use it.

	* John Plate: uuchk.c (ukshow): Call ukshow_size with the right
	arguments in the called remote case.

	* uuconf/remunk.c (uuconf_remote_unknown): use the remote.unknown
	shell script if HDB_CONFIG and no ``unknown'' commands appeared in
	the config file.

	* Jim Brownfield: uuconf/vsinfo.c (_uuconf_iv2_system_internal):
	Accept continuation lines in L.sys.

	* Marc Evans: unix/serial.c (fsysdep_conn_write, fsysdep_conn_io):
	Add casts to t_snd calls to avoid warnings.

	* Julian Stacey: uuchk.c (main): If no information found, say so.

	* Ju"rgen Fluk: uulog.c (main): Better error messages for HDB.

	* uucico.c (zget_typed_line): If last string ended in \r, ignore
	leading \n.

	* Mark E. Mallett: uuconf/time.c (asTdays): Add "none".

	* uuconf/hsinfo.c (_uuconf_ihdb_system_internal): Report line
	numbers for syntax errors.

Sat Jul 10 10:28:03 1993  Ian Lance Taylor  (ian@airs.com)

	Initial hardware flow control support from Peter Wemm:
	* uuconf.h (struct uuconf_modem_port, struct uuconf_direct_port):
	New field uuconf_fhardflow in each structure.
	* unix/serial.c (fsserial_hardflow): New routine.  Initially
	supports SunOS and SCO Unix.
	(fsmodem_open, fsdirect_open): Turn on hardware flow control if
	supported by the port.
	(fsserial_set): If CRTFSL is set, don't send XON/XOFF characters.
	* uuconf/hport.c (uuconf_hdb_find_port), uuconf/tportc.c
	(_uuconf_iport_cmd), uuconf/vport.c (uuconf_v2_find_port):
	Initialize uuconf_fhardflow field to TRUE.
	* uuconf/tportc.c (struct asPmodem_cmds, struct asPdirect_cmds):
	Added "hardflow" command.
	* uuchk.c (ikshow_port): Report whether hardware flow control is
	available.
	* uuconv.c (uvwrite_taylor_port): Write out hardware flow control
	information.

	* Peter Wemm: protg.c (fgstart), proti.c (fijstart): Report local
	packet and window size as well as remote.
	* rec.c (fremote_send_file_init), send.c (flocal_send_open_file,
	fremote_rec_reply): Report number of bytes being sent or received,
	and restart point if any.

	* Peter Wemm: trans.h (struct sdaemon): New fields csent and
	creceived.
	* uucico.c (fcall, faccept_call): Initialize csent and creceived.
	(fdo_call, faccept_call): Report on number of file bytes
	transferred and bytes per second.
	* rec.c (frec_file_end): Record number of bytes received.
	* send.c (fsend_wait_confirm): Record numbers of bytes sent.
	* trans.c (ufailed): Record number of bytes sent or received.

	* Peter Wemm: uusched.in, uuto.in: Use #!/bin/sh rather than :.
	Use exec when invoking program.

	* uulog.c (main): Don't die if we can't canonicalize the -s
	argument.

	* unix/cusub.c (uscu_child): Force the descriptor into blocking
	mode.

	Port type pipe support contributed by Marc Boucher:
	* unix/pipe.c: New file.  Support routines for pipes.
	* unix/MANIFEST, unix/Makefile.in: Adjusted for new file pipe.c.
	* uuconf.h (enum uuconf_porttype): Added UUCONF_PORTTYPE_PIPE.
	(struct uuconf_pipe_port): New structure.
	(struct uuconf_port): Added uuconf_pipe_port to union.
	* sysh.unx (struct ssysdep_conn): Add fields ord, owr and ipid,
	rename istdout_flags to iwr_flags.
	(fsdouble_{read, write, chat}): New prototypes.
	* conn.h: Prototype for fsysdep_pipe_init.
	* unix/serial.c: Renamed fsstdin_{read, write, chat} to
	fsdouble_{read, write, chat}.  Made them non-static.  Changed them
	to use ord and owr fields rather than 0 and 1.
	(fsserial_init, fsstdin_open): Initialize ord and owr fields.
	(fsstdin_close, fsblock, fsstdin_reset, fsysdep_conn_io,
	fsstdin_break, fsstdin_set): Use ord and owr fields rather than 0
	and 1.
	* uuconf/tportc.c (asPtype_names): Added "pipe".
	(asPpipe_cmds, CPIPE_CMDS): New array of pipe commands.
	(CCMDS, _uuconf_iport_cmd): Adjusted accordingly.
	* tcp.c (fsysdep_tcp_init), tli.c (fsysdep_tli_init): Initialize
	new ord and owr fields.
	* conn.c (fconn_init): Call fsysdep_pipe_init for
	UUCONF_PORTTYPE_PIPE.
	* unix/cusub.c (zsport_line, uscu_child, fsysdep_shell): Handle
	UUCONF_PORTTYPE_PIPE.
	* uuchk.c (ikshow_port): Report on port type pipe.
	* uuconv.c (uvwrite_taylor_port): Write out port type pipe.
	
	* Marc Boucher: cu.c: (main, ucuabort): Use new variable
	fCuconnprinted to avoid printing ZDISMSG if ZCONNMSG has not been
	printed.
	(main): Call fsysdep_port_access only after we have locked the
	port, to get a better error message on systems with shared lines.

	* Marc Boucher: policy.h (HAVE_FULLDUPLEX_PIPES): New macro.
	* unix/spawn.c (ixspawn): Use it.

	* Marc Boucher: uucico.c (uusage): Added lines for -c and -D.

	* uuconf/time.c (_uuconf_itime_parse): Add casts to avoid a
	compiler warning.

	* uustat.c (fsworkfile_show): Don't report non-existent send
	files.

	* lib/parse.c (fparse_cmd): Accept any base for the mode argument,
	rather than always using 8.  Depend upon the leading zero to
	indicate base 8.  Accomodates UFGATE 1.03.

Wed Jun 30 00:27:27 1993  Ian Lance Taylor  (ian@airs.com)

	* uudefs.h (struct scmd): Changed bdummy field to bgrade.
	* trans.c (fqueue_send): Sort sends by whether they are a command
	and then by grade.
	* unix/work.c (asSwork_files): Renamed from azSwork_files, made
	array of struct ssfilename rather than char *.
	(struct ssfile): Added bgrade field.
	(iswork_cmp, fsysdep_get_work_init, usysdep_get_work_freed):
	Changed accordingly.
	(fsysdep_get_work): Set qcmd->bgrade.
	* uucp.c (uccopy), uux.c (main, uxadd_send_file), uuxqt.c
	(uqdo_xqt_file), xcmd.c (fremote_xcmd_init), lib/parse.c
	(fparse_cmd): Initialize bgrade field of scmd structure.

Sun Jun 27 23:21:33 1993  Ian Lance Taylor  (ian@airs.com)

	* send.c (flocal_send_await_reply, flocal_send_cancelled): If the
	first D. file being sent for a faked E command fails, send the
	second one anyhow.

Sun Jun  6 23:07:33 1993  Ian Lance Taylor  (ian@airs.com)

	* proti.c (fiprocess_data): If we get a packet we sent a NAK for,
	forget that sent NAKs for all preceding packets.
	(fiprocess_packet): If we get a NAK for the packet we are about to
	send, and all our packets have been acknowledged, send an ACK.

Thu Jun  3 20:54:55 1993  Ian Lance Taylor  (ian@airs.com)

	* prot.h (struct sprotocol): Added frestart field.
	* uucico.c (asProtocols): Initialize frestart field.
	* system.h, unix/opensr.c (zsysdep_receive_temp): Added frestart
	argument to zsysdep_receive_temp.
	* rec.c (flocal_rec_send_request, fremote_send_file_init,
	frec_file_end): Pass frestart argument to zsysdep_receive_temp.
	* unix/opensr.c (esysdep_open_receive): Permit pcrestart argument
	to be NULL.
	* rec.c (flocal_rec_await_reply, fremote_send_file_init): Pass
	pcrestart argument to esysdep_open_receive as NULL if file
	tranfers can not be restarted.

	* lib/status.c (azStatus): Uwe Doering: If SPOOLDIR_HDB or
	SPOOLDIR_SVR4, use the same strings they use.
	* unix/status.c (aiMapstatus): Uwe Doering: Swap 4 and 20.

	* unix/serial.c (fsserial_open): Uwe Doering: Set VTIME to 1.

	* uucico.c (faccept_call, uaccept_call_cleanup): Uwe Doering: Free
	and unlock evertyhing after any return from faccept_call.
	(main): Don't need to unlock after faccept_call here any more.

	* proti.c (fiprocess_data): Added additional debugging
	information.

Sat May 15 13:55:21 1993  Ian Lance Taylor  (ian@airs.com)

	* protg.c (fgprocess_data): Don't treat a duplicate RR as an RJ if
	we are retransmitting packets.  If we are treating a duplicate RR
	as an RJ, don't also treat it as an acknowledgement.

	* unix/serial.c (fsysdep_conn_io): Typo in debugging message.

Tue May  4 00:03:32 1993  Ian Lance Taylor  (ian@airs.com)

	* uux.c (main): Andreas Raab: Move aboptions out of local block
	since a pointer to it escapes the scope.

	* unix/mkdirs.c: W Christopher Martin: Just try to make the
	directories, and ignore EEXIST errors, rather than first checking
	whether the directory exists.

	* send.c (flocal_send_request): Chip Salzenberg: Double check that
	the file still exists before sending the S command.

	* uucico.c (zget_uucp_cmd, zget_typed_line), trans.c (fgot_data):
	Matthew Geier: Avoid doing memcpy (z, NULL, 0).

Mon May  3 22:52:46 1993  Ian Lance Taylor  (ian@airs.com)

	* system.h, unix/locfil.c, unix/cwd.c, unix/picksb.c: Johan
	Vromans: Added pfbadname argument to zsysdep_local_file,
	zsysdep_local_file_cwd, zsysdep_uupick_local_file.
	* Changed all callers.
	* send.c (fremote_rec_file_init), rec.c (fremote_send_file_init):
	If remote system gives bad name, return an error rather than
	aborting the connection.
	* uuxqt.c (uqdo_xqt_file): If bad file name, abort execution
	rather than try again later.
	* uupick.c (main): If bad file name, permit new command rather
	than exiting.

	* lib/debug.c: Stephan Niemz: Accept whitespace separated
	debugging types.

	* unix/detach.c: Always use setsid if it is available.

Sun May  2 13:23:33 1993  Ian Lance Taylor  (ian@airs.com)

	* unix/spool.c (zsfind_file): Fix handling of execution file
	names for systems to work with any possible execution file name.

	* send.c (flocal_send_open_file): Subtract starting position from
	number of bytes passed to pffile.

	* uuconf/rdperm.c: Syd Weinstein: Don't skip lines in Permissions
	with leading whitespace.

	* uuconf/vsinfo.c: Gero Kuhlmann: Set default retry time
	correctly.

	* unix/lock.c (fsdo_lock): Andrew Vignaux: Handle readonly lock
	files correctly.

	* send.c (flocal_send_fail, flocal_send_await_reply): James Van
	Artsdalen: Clarify error messages relating to execution files.

	* log.c (ustats): Avoid overflow in bytes/sec calculation.

Sat May  1 17:40:14 1993  Ian Lance Taylor  (ian@airs.com)

	* trans.c (ftadd_cmd): Don't treat junk at end of command as a
	size if the remote system doesn't support sizes.

	* uucico.c (faccept_call): Turn on the protocol before reading the
	queue, in case there are lots of command files.

	* unix/cusub.c: Julian Stacey: If SIGUSR2 is not defined, use
	SIGURG instead.

	* uuconf/syshdr.unx (MAKE_ABSOLUTE): New macro.
	* uuconf/tinit.c (itaddfile): Renamed from itadd.  Use
	MAKE_ABSOLUTE to force absolute pathnames to configuration files.

	* conn.c (fconn_close): Steve M. Robbins: Ignore any SIGHUP
	received after closing the connection.

	* cu.c (main): Frank Conrad: When an alternate fails, move on to
	the next one.

	* uucico.c (faccept_call): Alexei K. Yushin: Supposedly some
	UUCP's send UgG rather than just Ug.

	* unix/serial.c (fsserial_lockfile): Bob Hemedinger: Fix error
	message in HAVE_COHERENT_LOCKFILES case.

	* unix/mkdir.c: Andy Fyfe: Pass fkeepuid as TRUE to ixsspawn.

	* unix/strerr.c: Undefine strerror in case there is a macro
	definition which configure did not pick up.

	* configure.in: Andy Fyfe: AT&T 3b1 has sys/mount.h but not
	statfs.

	* uudir.c: Andy Fyfe: Include uucp.h.

	* unix/fsusg.c: Andy Fyfe: Typos in (untested) STAT_USTAT case.

	* unix/filnam.c: Eric Lee Green: Avoid generating filenames that
	only differ in case, to make life easier for bad filesystems.

	* uuconf/llocnm.c: Brian J. Murrell: Don't read HDB files if
	``hdb-files no'' given.

Sat Mar 20 16:10:20 1993  Ian Lance Taylor  (ian@airs.com)

	* uudefs.h (eSendfile, eRecfile): Deleted obsolete declarations.

Sat Feb 13 15:57:30 1993  Ian Lance Taylor  (ian@airs.com)

	* Released version 1.04.

	* unix/detach.c: Andrew A. Chernov: Don't check return of setsid.

Sun Jan 31 01:45:56 1993  Ian Lance Taylor  (ian@airs.com)

	* cu.c (main): Pass "cu" to uuconf_init.

	* protz.c (fzprocess): Restore ZPAD char before calling getinsync.

Sat Jan 30 22:19:26 1993  Ian Lance Taylor  (ian@airs.com)

	* Makefile.in (doc-dist): New target.

Wed Jan 27 22:55:26 1993  Ian Lance Taylor  (ian@airs.com)

	* protg.c (fgstart): Set iGremote_segsize when using
	remote-packet-size.

Tue Jan 26 01:01:34 1993  Ian Lance Taylor  (ian@airs.com)

	* proti.c (fiprocess_data): always send an ACK after receiving
	half a window, rather than sometimes resending a packet.  Half a
	window of short packets can arrive very quickly.

	* tstuu.c (main, cread, fsend): rewrote communication routines to
	avoid deadlock.

Sun Jan 24 01:02:47 1993  Ian Lance Taylor  (ian@airs.com)

	* trans.c (ufailed): don't report statistics if no bytes
	transferred.

	* Makefile.in (install): simplified somewhat.
	(dist): distribute the sample directory.

Sat Jan 23 19:47:12 1993  Ian Lance Taylor  (ian@airs.com)

	* configure.in, conf.h.in, tli.c: Karl Swarz: check for and use
	<sys/tli.h>.

Fri Jan 22 00:09:37 1993  Ian Lance Taylor  (ian@airs.com)

	* send.c (flocal_send_request): Alan Judge: don't send C in option
	string when faking an E command as an S command.

Thu Jan 21 00:09:31 1993  Ian Lance Taylor  (ian@airs.com)

	* uux.c (main): don't use E command if forwarding.

Wed Jan 20 00:22:38 1993  Ian Lance Taylor  (ian@airs.com)

	* send.c (fsend_exec_file_init), rec.c (frec_file_end), uux.c
	(main): Chip Salzenberg: always put the C line last in an
	execution file, to support Fredmail.

Tue Jan 19 00:09:43 1993  Ian Lance Taylor  (ian@airs.com)

	* trans.h, trans.c (ftcharge, floop, fgot_data): rewrote timing
	code.

	* trans.h, trans.c, send.c, rec.c, xcmd.c, protf.c, protz.c
	(fqueue_local, fqueue_remote, fqueue_send, fqueue_receive): added
	boolean return value and qdaemon argument.

Mon Jan 18 00:01:46 1993  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (fdo_call, faccept_call): Ted Lindgreen, Chip
	Salzenberg: wait for remote hangup string before hanging up.

	* proti.c (fiprocess_data, fiprocess_packet): stop scanning input
	buffer after a CLOSE packet.

Sat Jan 16 22:44:28 1993  Ian Lance Taylor  (ian@airs.com)

	* system.h, uucico.c (main), uuxqt.c (main), unix/init.c: Ted
	Lindgreen: eliminated INIT_DAEMON.

	* log.c (ulog): don't log SIGINT if fLog_sighup is FALSE.

	* unix/move.c (fsysdep_move_file), unix/xqtsub.c
	(fsysdep_move_uuxqt_files): the system call rename seems to fail
	on some systems for arbitrary reasons, so always try to copy the
	file by hand, not just if we get EXDEV.

	* policy.h, unix/pause.c: Gregory Gulik: added HAVE_HUNDREDTHS_NAP
	configuration parameter.

Wed Jan  6 21:06:45 1993  Ian Lance Taylor  (ian@airs.com)

	* unix/serial.c (fsserial_lockfile): create HDB lock files when
	using HAVE_COHERENT_LOCKING.
	unix/cohtty.c (fscoherent_disable_tty): consistently return FALSE
	on error.

	* unix/cusub.c (fsysdep_terminal_raw): Andrew A. Chernov: if
	POSIX_TERMIOS, turn of IEXTEN flag.

Sat Jan  2 23:19:27 1993  Ian Lance Taylor  (ian@airs.com)

	* protg.c (fgprocess_data): treat a duplicate RR as an RJ.

Fri Jan  1 11:17:30 1993  Ian Lance Taylor  (ian@airs.com)

	* policy.h, unix/proctm.c: Steven S. Dick: use sysconf
	(_SC_CLK_TCK) for TIMES_TICK if possible.

	* uuconf/diacod.c: Gregory Gulik: accept an empty dialcode string.

	* system.h, uucico.c (main), uucp.c (main), uux.c (main),
	unix/run.c: Karsten Thygesen: removed ffork argument from
	fsysdep_run.

Wed Dec 30 00:21:55 1992  Ian Lance Taylor  (ian@airs.com)

	* unix/link.c: Andrey G Blochintsev: don't fail just because
	destination directories do not exist.

	* send.c (flocal_send_open_file): Scott Ballantyne: record file
	name when logging send of execution command.

	* protz.c: Chip Salzenberg: reformatted to 80 columns.

Tue Dec 29 23:50:52 1992  Ian Lance Taylor  (ian@airs.com)

	* uuconv.c (uvwrite_time): scott@geom.umn.edu: handle midnight
	more correctly.

Fri Dec 18 00:49:16 1992  Ian Lance Taylor  (ian@airs.com)

	* system.h, uucp.c (uccopy), uux.c (main), cu.c (icuput, icutake),
	unix/ufopen.c (esysdep_user_fopen): Doug Evans: open files used
	for %put and %take using esysdep_user_fopen, rather than with
	privileges of uucp.  Added frd and fbinary arguments to
	esysdep_user_fopen.

Thu Dec 17 00:04:53 1992  Ian Lance Taylor  (ian@airs.com)

	* unix/picksb.c (zsysdep_uupick): Peter Wemm: allocation error.

	* uupick.c (main): Peter Wemm: pass INIT_GETCWD to
	usysdep_initialize; really quit if 'q' is typed.

	* uulog.c (main): Peter Wemm: always canonicalize system name, not
	just if using HDB_LOGGING.

	* uudefs.h, log.c (ustats), trans.c (ufailed), send.c
	(fsend_await_confirm), rec.c (frec_file_end): Peter Wemm: added
	fmaster argument to ustats, used only in HDB_LOGGING.

Wed Dec 16 23:35:51 1992  Ian Lance Taylor  (ian@airs.com)

	* uustat.c (main): Marc Unangst: forgot to call strtol for -y.

	* policy.h, sysh.unx: Brian J. Murrell: yet another configuration
	parameter: HAVE_BROKEN_SETREUID.

Tue Dec 15 00:13:04 1992  Ian Lance Taylor  (ian@airs.com)

	* uuconv.c (uvwrite_taylor_system): mnichols@pacesetter.com: use
	command-path rather than path.

	* trans.c (floop): Marc Unangst: don't clear frequested_hangup if
	we didn't manage to hang up.

	* uucp.h, rec.c (fremote_send_file_init): Oleg Girko: patches to
	make code compile if USE_STDIO is 0.

	* unix/proctm.c: Tim Peiffer: reverse sense of TIMES_TICK check in
	hopes of avoiding ISC preprocessor bug.

	* unix/fsusg.h, unix/fsusg.c, unix/bytfre.c, system.h, conf.h.in,
	configure.in, unix/Makefile.in, unix/MANIFEST: use new disk space
	checking routines from GNU fileutils 3.4.
	* unix/opensr.c (zsysdep_receive_temp): don't check free space
	here any more.
	* policy.h, trans.h, trans.c, rec.c, uucico.c, uudefs.h: Chip
	Salzenberg: check amount of remaining space on disk every
	FREE_SPACE_DELTA bytes, and abort the file transfer if disk space
	gets too low.

Wed Dec  2 00:24:12 1992  Ian Lance Taylor  (ian@airs.com)

	* policy.h, unix/serial.c (fsserial_set): Frank Conrad: added
	HAVE_PARITY_BUG parameter for the Sony NEWS.

Mon Nov 30 00:06:59 1992  Ian Lance Taylor  (ian@airs.com)

	* lib/spool.c (fspool_file): Andrew Chernov: accept any
	alphanumeric character in the name, because it could be a grade
	from another system.

Sun Nov 29 22:36:47 1992  Ian Lance Taylor  (ian@airs.com)

	* lib/buffer.c (ubuffree): scott@geom.umn.edu, Richard Gumpertz:
	use a temporary variable to hold the offsetof result.

	* configure.in: scott@geom.umn.edu: define HAVE_SYS_SELECT_H
	correctly.

	* protg.c (fgsend_control): Niels Baggesen: report all non-RR
	packets if DEBUG_ABNORMAL.

	* unix/cusub.c (uscu_child): Ed Carp: apparently the read and
	write calls can get EAGAIN on some systems.

	* unix/status.c (fsysdep_get_status, fsysdep_set_status): Chip
	Salzenberg: map status values when using SPOOLDIR_HDB.

	* rec.c (fremote_send_reply): do file restart correctly for E
	commands.

Sun Nov 22 15:09:43 1992  Ian Lance Taylor  (ian@airs.com)

	* protz.c: Chip Salzenberg: always do bitwise operations on
	unsigned values.

	* getopt.h: Chip Salzenberg: don't rely on __STDC__.

Thu Nov 19 00:13:46 1992  Ian Lance Taylor  (ian@airs.com)

	* uuconf/freblk.c: Niels Baggesen: loop over the right list.

	* uulog.c (main): Peter Wemm: added -D, -F and -S options, made -f
	take an argument and default to showing 10 current lines.
	(ulusage): added new options and missing old ones.

Wed Nov 18 22:26:36 1992  Ian Lance Taylor  (ian@airs.com)

	* rec.c (frec_file_end): Andrey G Blochintsev: call
	fsysdep_remember_reception as soon as the file has been moved to
	the final destination; write fake execution file via a temporary
	file to prevent uuxqt from getting at it early.
	* trans.c (usent_receive_ack): don't call
	fsysdep_remember_reception here.

	* unix/tmpfil.c (ZDIGS): don't use '.', since we use it to
	separate parts of the file name.

Sun Nov 15 15:31:49 1992  Ian Lance Taylor  (ian@airs.com)

	* uustat.c (fsquery_show, csunits_show): Marc Unangst, Chip
	Salzenberg: line up uustat -q output.

	* sysh.unx, ftw.c (ftw_dir, ftw), srmdir.c (isremove_dir), walk.c
	(iswalk_dir): Marc Unangst: stat argument to function argument to
	ftw is const.

	* unix/serial.c (fsserial_set): Mike Bernson: set CSIZE correctly
	when changing parity.

	* uux.c (main): Andrew A. Chernov: check for executions which name
	the local system, to handle dumb mailers.

	* uucp.h: Doug Evans: #undef strerror if HAVE_STRERROR is 0, to
	avoid macro definition on Xenix.

	* unix/serial.c (fsserial_set): Peter Wemm: only check CRTSCTS if
	HAVE_POSIX_TERMIOS.

	* cu.c (main): Peter Wemm: use alternates for systems if a call
	fails.

	* tstuu.c (uprepare_test): Gerben Wierda: set execute bits for
	Chat1 and Chat2.

	* trans.c (floop): Marc Unangst: don't hang up when requested
	unless the send queue is empty.

	* uuxqt.c (iqrequestor): Marc Boucher: new function to accept R
	command with two arguments, as generated by UUPC.

	* uucico.c (faccept_call): Christian Seyb: don't free the system
	info until after writing the status.

	* configure.in: Marc Boucher: check -lsocket and -lnsl together.

	* unix/portnm.c: Stephen J. Walick: it's types.tcp.h, not
	tcp.types.h.

	* configure.in: Brian Campbell: check for /usr/bin/mailx.

Sat Nov 14 11:11:04 1992  Ian Lance Taylor  (ian@airs.com)

	* uuconf/hlocnm.c (uuconf_hdb_login_localname): Christian Seyb:
	check for _uuconf_unset as well as NULL.

	* conn.c (fconn_dial): initialize *ptdialerfound.

	* many files: rearranged header files to include "sysdep.h" before
	system header files.  Also eliminated various pedantic warnings,
	and made _uuconf_unset char * to avoid possible alignment
	problems.

Tue Nov 10 00:16:35 1992  Ian Lance Taylor  (ian@airs.com)

	* trans.h, uucico.c (fcall, faccept_call), trans.c (uclear_queue,
	floop): Stephen J. Walick: move clean up from end of floop into
	uclear_queue, and call it instead of just doing
	usysdep_get_work_free.

	* unix/serial.c (fsserial_lockfile): Marc Unangst: bad #endif
	location for HAVE_SVR4_LOCKFILES.
	(fsserial_init): Doug Evans: null terminate the device name.

Sun Nov  8 10:58:59 1992  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (fcall, faccept_call): Stephen J. Walick: call
	usysdep_get_work_free here.
	trans.c (floop): don't call usysdep_get_work free here.

Sun Nov  1 17:05:07 1992  Ian Lance Taylor  (ian@airs.com)

	* Released gamma version 1.04.

	* configure.in: check that sys/select.h and sys/time.h work
	together, since that's how they are currently used.

	* cu.c, uustat.c, uuconf/diacod.c: add casts to eliminate
	warnings.

	* configure.in: don't add strlwr to LIBOBJS.

	* policy.h, unix/cohtty.c: Bob Hemedinger: finish Coherent style
	locking.

Wed Oct 28 00:20:15 1992  Ian Lance Taylor  (ian@airs.com)

	* tstuu.c: Ralf Stephan: check HAVE_POLL_H and HAVE_STROPTS_H.

	* Nickolay Saukh: accept SVR4 style R request file position.
	uudefs.h: added ipos field to struct scmd.
	lib/parse.c: accept SVR4 style R request with file position to
	start from.
	send.c (fremote_rec_file_init): start transferring file from
	requested position.
	uucp.c, uux.c, uuxqt.c, xcmd.c: initialize ipos field.

Sun Oct 25 10:39:23 1992  Ian Lance Taylor  (ian@airs.com)

	* unix/serial.c (fsysdep_conn_write, fsysdep_conn_io): T. William
	Wells: take special care to ensure we don't write after SIGHUP.

	* policy.h, sysh.unx, unix/MANIFEST, unix/Makefile.in,
	unix/serial.c (fsserial_lockfile), unix/cohtty.c (new file): Bob
	Hemedinger: added HAVE_COHERENT_LOCKFILES.

	* unix/cusub.c (uscu_child): Igor V. Semenyuk: accept a 0 return
	from read until we have read some data at some point.

Thu Oct 22 10:38:32 1992  Ian Lance Taylor  (ian@airs.com)

	* proti.c: various tweaks for bad connections.

	* uucp.h: T. William Wells: rename strcasecmp and strncasecmp, if
	the system doesn't provide them, to avoid the ANSI C name space.

	* lib/buffer.c: Bob Hemedinger: put ab in union so that offsetof
	will not take the address of an array.

	* uuxqt.c (uqdo_xqt_file): Bob Hemedinger: don't take address of
	array.

Wed Oct 21 00:05:31 1992  Ian Lance Taylor  (ian@airs.com)

	* uustat.c (fsnotify): Gert Doering: if the file appears to be
	binary, don't include it in any mail message.

	* unix/mkdir.c: Michael Yu.Yaroslavtsev: check whether directory
	already exists before spawning /bin/mkdir.

	* proti.c: Michael Yu.Yaroslavtsev: iIsendpos and iIrecpos should
	be long.

	* send.c (flocal_send_await_reply): Gert Doering: improved error
	messages.

	* tli.c, unix/detach.c: include "sysdep.h" before <sys/ioctl.h>.

	* configure.in, conf.h.in: added some system specific checks
	provided by autoconf.

	* tstuu.c, unix/serial.c: Merlyn LeRoy: check for ENODATA as well
	as EAGAIN and EWOULDBLOCK.

	* uucico.c (faccept_call): Zacharias J. Beckman: if calling back,
	clear status first.

	* uucico.c (fdo_call, faccept_call): Hans-Dieter Doll: avoid
	overflow when turning ulimit value into bytes.

Tue Oct 20 23:12:26 1992  Ian Lance Taylor  (ian@airs.com)

	* serial.c (fsmodem_carrier): Hans-Dieter Doll: use IS68K LNOMDM
	bit if available.

	* chat.c (fcsend): Hans-Dieter Doll: advance z after EOT.

	* cu.c: T. William Wells: beep on connected and disconnected
	messages (only if ANSI_C, to use \a).

	* unix/run.c: Peter Wemm: pass fsetuid as TRUE to ixsspawn.

Sun Oct 18 13:58:17 1992  Ian Lance Taylor  (ian@airs.com)

	* policy.h, unix/serial.c (fsmodem_close): Stephen J. Walick:
	added HAVE_RESET_BUG for SCO Xenix.

	* configure.in: Igor V. Semenyuk: avoid looking in -linet for
	getline, since ISC has a different function there by that name.

	* unix/ufopen.c: Igor V. Semenyuk: handle unsigned uid_t.

Sat Oct 17 11:00:30 1992  Ian Lance Taylor  (ian@airs.com)

	* conf.h.in, configure.in, uucp.h, unix/serial.c
	(fsserial_lockfile), lib/MANIFEST: eliminated strlwr.

Fri Oct 16 01:10:56 1992  Ian Lance Taylor  (ian@airs.com)

	* Igor V. Semenyuk: uuchk.c (ukshow): print max-remote-debug
	correctly.
	lib/debug.c (idebug_parse): accept DEBUG_NONE.

Thu Oct 15 00:49:58 1992  Ian Lance Taylor  (ian@airs.com)

	* unix/cusub.c (fsysdep_terminal_puts): don't modify zalc before
	freeing it up.

	* protg.c (fgcheck_errors, fggot_ack, fgprocess_data): Mark E.
	Mallett: better handling of error decay.

Wed Oct 14 22:09:20 1992  Ian Lance Taylor  (ian@airs.com)

	* unix/lock.c: Tomi Vainio: make sure SEEK_SET is defined.

	* tcp.c (ftcp_dial): print a better error message if gethostbyname
	doesn't set errno.

	* Stephen J. Walick: configure.in, conf.h.in: check for
	<sys/types.tcp.h>.
	tcp.c, unix/opensr.c: include <sys/types.tcp.h> if available.
	lib/debug.c, unix/portnm.c, uuconf/int.c, uuconf/llocnm.c,
	uuconf/time.c: cast more arguments to eliminate more warnings.

Tue Oct 13 00:25:03 1992  Ian Lance Taylor  (ian@airs.com)

	* prot.h, proti.c (fistart, fijstart), protj.c, uucico.c, tstuu.c
	(uprepare_test), Makefile.in, MANIFEST: added 'j' protocol.

Sun Oct 11 23:45:20 1992  Ian Lance Taylor  (ian@airs.com)

	* policy.h, unix/serial.c (fsserial_set): added HAVE_STRIP_BUG to
	policy.h to get around stupid Ultrix bug.

	* sysh.unx, unix/cusub.c, unix/serial.c (fsserial_open): for
	HAVE_BSD_TTY, keep tchars and ltchars in the sterminal structure,
	and in fsserial_open disable all interrupt characters.

Sat Oct 10 01:18:31 1992  Ian Lance Taylor  (ian@airs.com)

	* uuconf/tinit.c (itunknown): Gert Doering: don't save "unknown"
	with the other arguments.

Fri Oct  9 00:56:43 1992  Ian Lance Taylor  (ian@airs.com)

	* unix/lock.c: check for running process before doing kill.

Thu Oct  8 00:20:12 1992  Ian Lance Taylor  (ian@airs.com)

	* chat.c, protf.c, send.c, rec.c, unix/locfil.c: Stephen J.
	Walick: cast arguments to strtol and strcspn to avoid warnings.

	* uustat.c (fsnotify): Marc Boucher: don't free string from
	uuconf_localname, and only prepend remote system name to execution
	requests, not to local UUCP commands.

	* unix/lock.c (fsdo_lock): Marc Boucher: set fret to TRUE before
	going around the loop again.

	* uucico.c: Marc Boucher: use 'a' protocol before 'g'.

	* unix/spool.c (zsfind_file): Matthias Zepf: fixed typos for
	SPOOLDIR_BSD*.

Wed Oct  7 00:03:08 1992  Ian Lance Taylor  (ian@airs.com)

	* uuname.c (main): Marc Boucher: reverse sense of -a, and do not
	display aliases by default.

	* uucico.c (fdo_call): Marc Boucher: some systems only provide 14
	characters in the Shere line.

	* tstuu.c (main): Marc Boucher: add support for STREAMS ptys.

Tue Oct  6 23:16:15 1992  Ian Lance Taylor  (ian@airs.com)

	* policy.h: Marc Boucher: improve comments to describe SVR4.

	* chat.c (fcsend, fcecho_send, fcecho_send_strip,
	fcecho_send_nostrip): Marc Boucher: don't send CR after BREAK or
	EOT, and let chat-seven-bit apply to echo checking.

	* uuname.c (main): Andreas Vogel: usysdep_exit (TRUE) rather than
	usysdep_exit (EXIT_SUCCESS).

Mon Oct  5 22:59:51 1992  Ian Lance Taylor  (ian@airs.com)

	* sysh.unx, unix/serial.c (fsserial_init): Marc Boucher: avoid
	freeing unallocated string.

	* unix/serial.c (fsmodem_carrier): Peter Wemm: eliminated useless
	undeclared variable which only appeared if HAVE_CLOCAL_BUG.

	* cu.c (main): don't require carrier when opening a direct line.
	(fcudo_cmd, fcudo_subcmd, uculist_fns, icuunrecogfn): T. William
	Wells: give reasonable error messages.

Sun Oct  4 00:03:10 1992  Ian Lance Taylor  (ian@airs.com)

	* */Makefile.in: T. William Wells: use ar qc rather than ar rc.

	* many: T. William Wells: renamed isysdep_* functions to
	ixsysdep_*, and renamed isfork, isspawn, and isswait similarly, to
	avoid ANSI C namespace restrictions.

	* uucp.h: T. William Wells: default size_t to unsigned, not int.

	* configure.in: T. William Wells: new definition for
	AC_RETSIGTYPE.

	* configure.in: T. William Wells: test for sh builtin echo.
	conf.h.in: default ECHO_PROGRAM to undefined.

	* proti.c (fiprocess_data, fiprocess_packet): fix confusion
	between iIremote_winsize and iIrequest_winsize.

	* proti.c (fiwindow_wait, fisenddata): wait for a window opening
	before sending SPOS.

	* proti.c (fiprocess_data): don't send a NAK for a duplicate of
	the most recent packet.

	* configure.in: Stephen J. Walick: don't use AC_PREFIX, check for
	/usr/bin/mail.

	* system.h, sysh.unx, send.c (flocal_send_file_init,
	fsend_exec_file_init), rec.c (flocal_rec_file_init,
	fremote_send_file_init, frec_file_end), xcmd.c
	(fremote_xcmd_init), uuxqt.c (uqdo_xqt_file, uqcleanup), uux.c
	(main, uxadd_send_file), uucp.c (main, uccopy), uustat.c
	(fsworkfile_show, fsexecutions, fsnotify), unix/filnam.c
	(zsfile_name, zsysdep_data_file_name, zsysdep_xqt_file_name),
	unix/jobid.c (zsfile_to_jobid, zsjobid_to_file), unix/splcmd.c
	(zsysdep_spool_commands), unix/splnam.c (zsysdep_spool_file_name),
	spool.c (zsfind_file), statsb.c (fskill_or_rejuv,
	isysdep_work_time), work.c (fswork_file, fsysdep_get_work,
	zsysdep_jobid, bsgrade): Marc Unangst, Brian Murrell: Corrected
	support for SPOOLDIR_SVR4, since SVR4 doesn't use grades in file
	names.  Changed flocal argument to pseq argument in
	zsysdep_spool_file_name, and changed flocal argument to bgrade
	argument in zfind_file.  Added fxqt argument to
	zsysdep_data_file_name.  Added bsgrade function.  Added bgrade
	argument to zsfile_to_jobid, and pbgrade argument to
	zsjobid_to_file.

Sat Oct  3 11:03:13 1992  Ian Lance Taylor  (ian@airs.com)

	* MANIFEST, Makefile.in, lib/MANIFEST, lib/Makefile.in,
	lib/parse.c: moved parse.c from main directory to lib.

	* system.h, unix/size.c, unix/Makefile.in, unix/MANIFEST: moved
	csysdep_size into its own file, made it return -1 if the file does
	not exist or -2 on other errors.
	uustat.c (fsworkfile_show): handle errors from csysdep_size.
	send.c (flocal_send_file_init): handle errors from csysdep_size,
	removed unneeded calls to fsysdep_file_exists.

	* trans.c (flocal_poll_file), tcp.c (ftcp_dial): Bob Cunningham:
	declare functions consistently static.

	* Makefile.in: Marc Unangst: don't run config.status
	unnecessarily.

	* configure.in: Marc Unangst: check for socket and t_open in
	-lsocket, -lnsl and -lxti.

	* uuconf/cmdarg.c: check first character to avoid calls to
	strcmp or strcasecmp.

Thu Oct  1 23:44:24 1992  Ian Lance Taylor  (ian@airs.com)

	* trans.h, uucico.c (fdo_call, faccept_call), parse.c
	(fparse_cmd), send.c (flocal_send_request): Gert Doering: SVR4
	UUCP uses a dummy string between the notify field and the size,
	for some reason.

	* tstuu.c (main, uprepare_test): added -n switch to not destroy
	existing configuration files.

Fri Sep 25 00:16:35 1992  Ian Lance Taylor  (ian@airs.com)

	* protg.c (fgsenddata): T. William Wells: clear bytes correctly so
	that resending a packet doesn't get a completely incorrect size.

	* send.c (usadd_exec_line): Stephen J. Walick: don't send trailing
	spaces on the created execute file, because it confuses Waffle.

Thu Sep 24 00:25:18 1992  Ian Lance Taylor  (ian@airs.com)

	* unix/jobid.c (zsjobid_to_file): Franc,ois Pinard: if the job ID
	is too short, return NULL rather than dumping core.
	unix/statsb.c (fskill_or_rejuv, isysdep_work_time): handle a NULL
	return from zsjobid_to_file.

Mon Sep 21 09:01:02 1992  Ian Lance Taylor  (ian@airs.com)

	* uuconf/init.c, uuconf/syssub.c: Lele Gaifax: moved
	declaration of _uuconf_unset from syssub.c to addstr.c because
	NeXT linker does not pull in object files solely because of
	variable declarations.

	* sysh.unx: Lele Gaifax: typo in ftw declaration.

	* lib/Makefile.in, unix/Makefile.in: Lele Gaifax: bug in clean
	target.

Thu Sep 17 01:01:13 1992  Ian Lance Taylor  (ian@airs.com)

	* Released beta version 1.04.

Wed Sep 16 01:02:55 1992  Ian Lance Taylor  (ian@airs.com)

	* uux.c (main): null terminate the options list for an 'E'
	command.

	* ustat.c (fsexecutions): allow privileged users to kill remote
	execution files, and handle local executions correctly.

	* uuconf/hinit.c: added parens to avoid warning.

	* unix/splcmd.c: cast to avoid warning.

	* unix/serial.c (fsmodem_close): fixed HAVE_SYSV_TERMIO typo.

	* trans.c (uqueue_receive, floop, fgot_data): improved timing code
	to make fewer system calls.

	* send.c (fsend_exec_file_init, fsend_exec_file): handle separate
	E file correctly, and make a good statistics file entry for it.

	* Makefile.in, unix/Makefile.in, uuconf/Makefile.in,
	lib/Makefile.in: use -I flags to permit compilation in a separate
	directory.  Set up clean targets per GNU standards.

Tue Sep 15 00:07:09 1992  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (zget_uucp_cmd): can't set size_t variable to -1.

	* Makefile.in (install): don't install info files.  Added new
	targets info and install-info.

Mon Sep 14 13:19:42 1992  Ian Lance Taylor  (ian@airs.com)

	* uuxqt.c (main): Gregory Bond: canonicalize the system name given
	by the -s argument.

	* system.h, uuconf.h, uucico.c (faccept_call), unix/unknwn.c,
	unix/Makefile.in, unix/MANIFEST, uuconf/syshdr.unx,
	uuconf/remunk.c, uuconf/hrmunk.c, uuconf/Makefile.in,
	uuconf/MANIFEST: support HDB remote.unknown shell script.

	* protg.c (igchecksum, igchecksum2): Inspired by Mark Pizzolato,
	put in new, improved checksum routines.

	* uuxqt.c (uqdo_xqt_file): make sure the execution file still
	exists after locking it.

	* unix/lock.c (fsdo_lock): don't fail if the lock file is removed
	between the link and the open.

	* unix/xqtsub.c (fsysdep_execute, fsysdep_lock_uuxqt_dir,
	fsysdep_unlock_uuxqt_dir, fsysdep_move_uuxqt_files): use .Xqtdir
	for first uuxqt execution, not .Xqtdir0000.

Sun Sep 13 11:51:22 1992  Ian Lance Taylor  (ian@airs.com)

	* trans.h, uucico.c (fdo_call, faccept_call), send.c
	(flocal_send_request), rec.c (flocal_rec_send_request) parse.c
	(fparse_cmd): send file size in hex for SVR4 compatibility.
	Required new FEATURE_V103 for 1.03 backward compatibility, since
	1.03 requires decimal size.

	* various: eliminated remaining calls to alloca.

	* tcp.c (ftcp_open), tli.c (ftli_open): set FD_CLOEXEC for sockets
	and TLI descriptors.

	* tcp.c (ftcp_open): switch to real user ID before binding the
	socket when running as a server.  This will permit uucico invoked
	by root to open privileged TCP ports.  Don't switch to real ID if
	effective ID is already root, to permit an suid root program to be
	invoked by anybody.

	* uuxqt.c (uqdo_xqt_file): removed special case for system which
	does not permit any commands: unnecessary and unusual.

	* uucico.c (fconn_call): Ed Carp: clear the SIGHUP signal
	indication before opening the modem.

	* trans.h, trans.c (fqueue, fcheck_queue, floop, fgot_data),
	send.c (fsend_await_confirm), rec.c (frec_file_send_confirm),
	uucico.c (fcall, faccept_call): recheck the work queue every 10
	minutes.  Honor CYM from the remote system.  Send CYM if we have
	something to do.

Sat Sep 12 15:47:52 1992  Ian Lance Taylor  (ian@airs.com)

	* Makefile.in: use $(MAKE) instead of make for recursive calls.

	* system.h, uucp.c (main), uux.c (main), unix/ufopen.c,
	unix/MANIFEST, unix/Makefile.in: added esysdep_user_open to open a
	file with user permissions.

Fri Sep 11 00:27:32 1992  Ian Lance Taylor  (ian@airs.com)

	* uudefs.h, copy.c: added fcopy_open_file.

	* policy.h: added HAVE_SAVED_SETUID.

	* configure.in, conf.h.in: check for setreuid.

Tue Sep  8 00:11:10 1992  Ian Lance Taylor  (ian@airs.com)

	* protf.c (ffsendcmd), prott.c (ftsendcmd): eliminate calls to
	alloca.

	* uucico.c (main), uuxqt.c (main), uux.c (main), uucp.c (main),
	uustat.c (main), uuchk.c (main), uuconv.c (main), uuname.c (main),
	uulog.c (main), uupick.c (main), cu.c (main), lib/getop1.c,
	lib/Makefile.in, lib/MANIFEST: added getopt_long, and changed all
	calls to getopt to call getopt_long instead.

Mon Sep  7 22:26:51 1992  Ian Lance Taylor  (ian@airs.com)

	* getopt.h, lib/getopt.c, lib/Makefile.in: bring getopt up to
	glibc 1.04; call malloc instead of alloca in exchange.

	* system.h, uucico.c (main), uuxqt.c (main), uux.c (main), uucp.c
	(main), uustat.c (main), cu.c (main), uuname.c (main), unix/init.c
	(usysdep_initialize): added INIT_SUID, for old systems which don't
	do setuid correctly for root.

	* cu.c, unix/cusub.c: various minor improvements.

Sun Sep  6 20:25:20 1992  Ian Lance Taylor  (ian@airs.com)

	* uux.c (uxcopy_stdin): use getchar rather than fread to avoid
	SVR4 bug.

	* uucico.c (fsend_uucp_cmd): Niels Baggesen: report message when
	DEBUG_HANDSHAKE.

	* protg.c (fgsend_control): Niels Baggesen: report sending an RJ
	when DEBUG_ABNORMAL.

Tue Aug 25 00:07:20 1992  Ian Lance Taylor  (ian@airs.com)

	* uuconf/time.c: Zacharias Beckman: let user defined time tables
	override the defaults.

Mon Aug 24 00:25:23 1992  Ian Lance Taylor  (ian@airs.com)

	* system.h, uuxqt.c (uqdo_xqt_file), unix/xqtsub.c
	(zsysdep_xqt_local_file): Jarmo Raiha: expand ~name in uuxqt.c.

	* send.c (fremote_rec_reply): SVR4 sends the size of the file with
	the RY string, so we do too.  We don't look for it, though.

	* uustat.c, uustat.1: Don Phillips: removed all printing of years
	and seconds.  Hope nobody complains.

	* uucico.c (fdo_call): don't set the status to TALKING until we
	see the Shere string.

	* configure.in, conf.h.in, unix/wldcrd.c: if the system has glob,
	use it for wildcards.  If it doesn't, quote special characters in
	the wildcard string.

	* uucico.c (fdo_call): Zacharias Beckman: don't report ``Login
	successful'' until we see the Shere string.

	* prot.c (fsend_data): Don Lewis: bug in crec calculation.

	* uustat.c (fsworkfile_show, usworkfile_header, fsnotify): Don
	Lewis: show poll files.

	* unix/init.c: check LOGNAME and USER environment variables before
	invoking getlogin.

	* unix/serial.c: Brian Campbell: check for B57600, B76800 and
	B115200 in baud rate table.

Sun Aug 23 13:05:28 1992  Ian Lance Taylor  (ian@airs.com)

	* chat.c (fcsend), tstuu.c (uchild): Chip Salzenberg: call sleep
	(2) instead of sleep (1).  Hopefully this won't break any chat
	scripts.

	* system.h, parse.c, trans.c (fqueue, flocal_poll_file), uustat.c
	(fsworkfiles_system, fsquery_system), unix/work.c
	(fsysdep_get_work, fsysdep_get_work_init): don't delete poll files
	immediately, but instead return a 'P' command and delete them when
	the command is passed to fsysdep_did_work.

	* tstuu.c (uprepare_test): change ``call-request'' to ``request''.

	* uuconf/iniglb.c (_uuconf_itimetable): return CMDTABRET_KEEP so
	we don't lose the timetable name and definition.

	* uuconf.h, send.c (fremote_rec_file_init), rec.c
	(fremote_send_file_init), uuchk.c (ukshow), uuconv.c
	(uvwrite_taylor_system, uvwrite_hdb_system), uuconf/tsinfo.c
	(iirequest), uuconf/hsinfo.c, uuconf/hunk.c, uuconf/syssub.c:
	added ``send-request'' and ``receive-request'' commands,
	eliminated ``call-request'' and ``called-request'' commands.

	* uux.c (main): make sure we are permitted to transfer files
	before queuing requests.

	* uuconf.h, uucico.c (fcall), uuconf/tsinfo.c, uuconf/syssub.c:
	David Nugent: added ``success-wait'' command for systems, to set a
	minimum time between successful calls.

	* send.c (fremote_rec_file_init): Don Phillips: let a request only
	specify the file base name in the TO argument.

	* uucico.c (main): Don Lewis: don't exit with success just because
	we were able to start uuxqt.

	* unix/serial.c (fsmodem_close, fsserial_read): always drop DTR
	when closing a modem connection.  Also, retry if we time out when
	setting MIN.

Sat Aug 22 22:31:34 1992  Ian Lance Taylor  (ian@airs.com)

	* uuconf/time.c: Stephen Walick: don't require a comma between
	time strings, since HDB doesn't seem to.

	* protg.c (fgcheck_errors): added "error-decay" protocol parameter
	to decay errors as packets are successfully received.

	* uustat.c (fsmachines), uustat.1: Chris Lewis: don't display the
	year or seconds for uustat -m.  Probably uustat -q should be
	changed as well.

	* tstuu.c: Larry Fahnoe: don't report EWOULDBLOCK errors when
	writing to a pty.  Also removed functions which are now in lib.

	* MANIFEST, Makefile.in, uusched.in: added a simple uusched shell
	script.

	* parse.c: Heiko Rupp: don't die if there is trailing garbage in
	an 'R' command.

	* policy.h, system.h, sysh.unx, send.c, rec.c, uuxqt.c, uux.c,
	unix/filnam.c, unix/init.c, unix/jobid.c, unix/splnam.c,
	unix/spool.c, unix/statsb.c, unix/tmpfil.c, unix/work.c,
	unix/xqtfil.c: Brian J. Murrell and Don Phillips: added
	SPOOLDIR_SVR4.

Thu Aug 20 00:06:32 1992  Ian Lance Taylor  (ian@airs.com)

	* sysh.unx: Chiaki Ishikawa: some systems define some but not all
	of the S_ file mode bits.

	* uuchk.c (ikshow_port): Chiaki Ishikawa: display lockname.

Wed Aug 19 22:41:39 1992  Ian Lance Taylor  (ian@airs.com)

	* log.c (ustats): Scott Blachowicz: avoid overflow when reporting
	bytes per second.

	* unix/lock.c (fsdo_lock): Chip Salzenberg: sometimes other
	programs create lock files that uucp can't write.

	* trans.h, system.h, trans.c (floop, fgot_data, usent_receive_ack,
	uwindow_acked), send.c (flocal_send_await_reply,
	flocal_send_fail), rec.c (fremote_send_fail_send,
	frec_file_send_confirm), prote.c, protf.c, protg.c, proti.c,
	prott.c, protz.c (calls to fgot_data), unix/recep.c,
	unix/MANIFEST, unix/Makefile.in: keep trace of whether we have
	already received a file, in case the other side never sees our
	ack.  Added new SN8 rejection, meaning that the file has already
	been received.

Sat Aug 15 11:50:32 1992  Ian Lance Taylor  (ian@airs.com)

	* uuconf/time.c (itadd_span): Don Lewis: fixed bug if later span
	overlapped two or more earlier spans.

Thu Aug 13 00:19:50 1992  Ian Lance Taylor  (ian@airs.com)

	* system.h, rec.c (fremote_send_file_init, fremote_send_reply),
	uucico.c (fdo_call, faccept_call), uucp.c (main), uux.c (main),
	unix/opensr.c (zsysdep_receive_temp, esysdep_open_receive):
	implemented file restart.

Wed Aug 12 23:32:05 1992  Ian Lance Taylor  (ian@airs.com)

	* proti.c (fiprocess_data): ensure that the first argument to
	fgot_data is always > 0 if the second argument is > 0.

Mon Aug 10 22:43:40 1992  Ian Lance Taylor  (ian@airs.com)

	* trans.c (floop, ustats_failed): handle half-duplex connections
	and failed calls correctly.

Sun Aug  9 17:56:32 1992  Ian Lance Taylor  (ian@airs.com)

	* proti.c (firesend, fisenddata, ficheck_errors): made several
	changes to improve performance on a lossy line: can now shrink
	packet size using SYNC packets, avoids multiple bad header errors
	in a sequence of INTRO characters, avoids letting one side lock up
	if a NAK is lost.

	* configure.in: set HAVE_LONG_FILE_NAMES to 0 if
	cross-configuring.

	* tstuu.c: changed -p option to be mod 1000, not mod 100.

	* MANIFEST, Makefile.in, prot.h, uucico.c, protz.c, trans.c: Doug
	Evans: added Doug Evans's zmodem implementation as protocol 'a'.

Wed Aug  5 22:28:14 1992  Ian Lance Taylor  (ian@airs.com)

	* policy.h, uuconf.h, uucico.c (fcall), uuconf/tsinfo.c,
	uuconf/hsinfo.c, uuconf/syssub.c: added "max-retries" command for
	systems, eliminated CMAXRETRIES configuration parameter, set
	max_retries to 0 for HDB if retry time given, (from Chris Lewis)
	call once a day even if max_retries has been exceeded.

	* prot.h, uucico.c (fdo_call, faccept_call), prott.c, prote.c,
	proti.c, protg.c, protf.c: added pzlog argument to pfstart
	protocol entry point, changed handshake successful message to
	display it.

Tue Aug  4 00:04:31 1992  Ian Lance Taylor  (ian@airs.com)

	* prot.h, uucico.c, protg.c (fbiggstart, cGshort_packets): Chip
	Salzenberg: added support for 'G' protocol.  Added "short-packets"
	protocol parameter for 'g' and 'G' protocols.

	* uuconf.h, rec.c (flocal_rec_file_init), uucp.c, uux.c, uuxqt.c,
	uuchk.c, uuconv.c, uuconf/local.c, uuconf/tsinfo.c,
	uuconf/syssub.c: support UUCP forwarding.  Added "forward-from",
	"forward-to", and "forward" commands for systems.

	* unix/spawn.c: don't close the file descriptor after dupping it.

Sun Aug  2 23:04:18 1992  Ian Lance Taylor  (ian@airs.com)

	* trans.c (fremote_hangup_reply): don't hangup if a file transfer
	is in progress.

	* send.c (flocal_send_cancelled): don't pass a NULL buffer to
	pfsenddata.

Sun Jul 26 13:28:27 1992  Ian Lance Taylor  (ian@airs.com)

	* unix/work.c (fsysdep_get_work_init): return TRUE if there is no
	work directory.

	* configure.in, sysh.unx: don't run any programs in configure if
	we are cross-configuring; this applies to HAVE_FTIME and
	HAVE_RESTARTABLE_SYSCALLS.  The code can cope with the buggy
	ftime.  If we are cross-configuring, HAVE_RESTARTABLE_SYSCALLS is
	set to -1, and sysh.unx guesses that if the system has sigvec but
	not sigaction or SV_INTERRUPT it is on 4.2BSD and system calls are
	automatically restarted.

	* configure.in, conf.h.in, tstuu.c, unix/serial.c: removed
	COMBINED_UNBLOCK configuration parameter, and changed the code
	which sets O_NONBLOCK and O_NDELAY to drop back to using just
	O_NONBLOCK if it gets an EINVAL error.

	* configure.in, conf.h.in, uucp.h, protg.c (fgsenddata), cu.c
	(icutake), chat.c (icexpect), lib/MANIFEST: removed all calls to
	memmove, avoiding the SCO bug and making the 'g' protocol slightly
	more efficient.

Sat Jul 25 14:20:30 1992  Ian Lance Taylor  (ian@airs.com)

	* uucp.h, uudefs.h, many other files: broke part of uucp.h out
	into uudefs.h, stopped including uuconf.h in uucp.h, fixed up .c
	files to include uudefs.h and uuconf.h as necessary.

	* uuconf/syshdr.unx, uuconf/callin.c, uuconf/diacod.c
	uuconf/hdial.c, uuconf/hdnams.c, uuconf/hport.c, uuconf/hsinfo.c,
	uuconf/hsnams.c uuconf/rdlocs.c, uuconf/tcalou.c, uuconf/tdial.c,
	uuconf/tdnams.c, uuconf/tport.c, uuconf/vport.c, uuconf/vsinfo.c,
	uuconf/vsnams.c: changed uuconf library to not return an error if
	a configuration file does not exist; it now acts as though
	whatever it is is not found.

	* tstuu.c (main): use perror if execl fails.

	* configure.in, conf.h.in, uucp.h, uuconf.h, sysh.unx, conn.h,
	MANIFEST, Makefile.in, tli.c, chat.c (ccescape), conn.c
	(fconn_init), tcp.c, uucico.c (faccept_call), uuconv.c, uuchk.c,
	lib/MANIFEST, lib/Makefile.in, lib/escape.c, unix/cusub.c,
	unix/serial.c, uuconf/hport.c, uuconf/tportc.c: added support for
	TLI connections.  Moved ccescape from chat.c to cescape in
	lib/escape.c.  Made all connections on Unix use the same
	system dependent structure.

Tue Jul 21 22:08:10 1992  Ian Lance Taylor  (ian@airs.com)

	* uucp.h, trans.h, uucico.c (fdo_call, faccept_call), uuxqt.c
	(uqdo_xqt_file), uucp.c (main), uux.c (main), uustat.c
	(fsworkfile_show), parse.c (fparse_cmd), trans.c (fqueue,
	fgot_data, ftadd_cmd), send.c, rec.c, xcmd.c, protf.c
	(ffprocess_data), proti.c (fiprocess_data), tstuu.c
	(uprepare_tests), unix/splcmd.c (zsysdep_spool_commands),
	unix/statsb.c (fskill_or_rejuv), unix/work.c (fsysdep_get_work):
	added E request to send file executions which only require reading
	from standard input.

Sat Jul 18 20:22:50 1992  Ian Lance Taylor  (ian@airs.com)

	* proti.c, Makefile.in, MANIFEST, prot.h, system.h, trans.h,
	uucico.c, prote.c, protf.c, protg.c, prott.c, trans.c, send.c,
	rec.c, xcmd.c, unix/opensr.c: added 'i' protocol.  Added local and
	remote channel arguments to protocol sendcmd and senddata entry
	points.  Cleaned up send and receive state machines.  Removed
	pfgone argument from esysdep_open_send.

Fri Jul 17 09:41:05 1992  Ian Lance Taylor  (ian@airs.com)

	* uuxqt.c (uqdo_xqt_file): only report base name of execution
	file, not full name.

Thu Jul 16 00:45:06 1992  Ian Lance Taylor  (ian@airs.com)

	* lib/crc.c: unroll the loop a bit.

	* configure.in, conf.h.in, unix/init.c: updated to autoconf 0.120.

Wed Jul 15 14:45:32 1992  Ian Lance Taylor  (ian@airs.com)

	* uuconf.h, uuconv.c, uuconf/uucnfi.h, uuconf/reliab.c,
	uuconf/tportc.c, uuconf/tdialc.c, uuconf/diasub.c, uuconf/hport.c,
	uuconf/prtsub.c, uuconf/vsinfo.c: added UUCONF_RELIABLE_FULLDUPLEX
	and "half-duplex" command for ports and dialers.

Mon Jul 13 16:53:04 1992  Ian Lance Taylor  (ian@airs.com)

	* prot.h, lib/crc.c, lib/Makefile.in, lib/MANIFEST: added icrc
	function to compute 32 bit CRC (from Gary S. Brown, via Doug
	Evans).

Sun Jul 12 21:40:15 1992  Ian Lance Taylor  (ian@airs.com)

        * uuconv.c (uvwrite_time): Chris Lewis: don't output two commas in
	a row.

	* uuconv.c (uvwrite_taylor_system, uvwrite_taylor_port): Chris
	Lewis: generate command "protocol", not "protocols".

Sat Jul 11 17:09:09 1992  Ian Lance Taylor  (ian@airs.com)

	* xcmd.c (fremote_xcmd_init): Chris Lewis: use qdaemon->puuconf,
	since puuconf is not defined.

	* uuconf/syshdr.unx, uuconf/hinit.c (uuconf_hdb_init): Chris
	Lewis: added HDB_SEPARATOR to insert between oldconfiglib and
	strings in HDB Sysfiles.

	* uuconf/syshdr.unx: Chris Lewis: define strerror as a macro.

	* uuconf/freblk.c, uuconf/free.c: Chris Lewis: don't define as
	void when ! UUCONF_ANSI_C.

Thu Jul  9 09:17:55 1992  Ian Lance Taylor  (ian@airs.com)

	* prot.h, uucico.c (fdo_call, faccept_call), prote.c (festart),
	protf.c (ffstart), protg.c (fgstart), prott.c (ftstart): no need
	to pass fmaster as a separate argument to protocol start routine.

	* protf.c (ffawait_ack, ffawait_cksum): don't try to resend if we
	don't have a file.

Wed Jul  8 14:28:23 1992  Ian Lance Taylor  (ian@airs.com)

	* unix/srmdir.c (fsysdep_rmdir), unix/walk.c (usysdep_walk_tree):
	cast to char * to avoid warning.

	* cu.c (main): don't compare boolean to NULL.

	* unix/serial.c (isblocksigs), unix/signal.c (usset_signal): use
	extra parens to avoid bug in SCO 3.2.2 sys/signal.h header file.

	* sysh.unx: always define struct ssysdep_tcp, for the benefit of
	systems for which HAVE_TCP is 0.

	* MANIFEST, Makefile.in, unix/Makefile.in, uuconf/Makefile.in,
	lib/Makefile.in: updated automatic distribution code for multiple
	directories.

	* unix/cusub.c, unix/serial.c: don't clobber CR when using TERMIO
	or TERMIOS, and default MIN to 1 to the convenience of cu.

	* Makefile.in, uucp.h, system.h, prot.h, trans.h, uucico.c,
	trans.c, send.c, rec.c, xcmd.c, prot.c, protg.c, protf.c, prote.c,
	prott.c, log.c, file.c, unix/opensr.c, unix/work.c: rewrote file
	transfer internals to support bidirectional transfers.  Keep queue
	of jobs to do, and support connections.  Added new files trans.h,
	trans.c, send.c, rec.c, xcmd.c, and removed old file file.c.

Mon Jun 29 15:14:15 1992  Ian Lance Taylor  (ian@airs.com)

	* Makefile.in: Stephen J. Walick: copy uustat.1 to
	uustat.$(manext), not uucp.($manext).  Also try to create
	$(infodir).

	* chat.c (fcsend, fcprogram): check for NULL return from
	uuconf_callout.

Thu Jun 18 22:37:28 1992  Ian Lance Taylor  (ian@airs.com)

	* configure.in, Makefile.in: updated to autoconf 0.118.

Wed Jun 17 14:22:11 1992  Ian Lance Taylor  (ian@airs.com)

	* unix/serial.c (fsserial_init): add /dev if necessary to device
	as well as to port name.

	* cu.c (main): set zdevice to NULL when faking line.

	* cu.c (main), uucp.c (main), uux.c (main), uuxqt.c (main): don't
	call zsysdep_localname until we've called usysdep_initialize.

Tue Jun 16 17:42:50 1992  Ian Lance Taylor  (ian@airs.com)

	* unix/signal.c (usset_signal): set SA_INTERRUPT to force system
	calls to be interrupted on SunOS.

Mon Jun 15 15:10:24 1992  Ian Lance Taylor  (ian@airs.com)

	* everything: integrated uuconf library.  Split out lib and unix
	libraries.  Made many changes, including defaults for port and
	dialer files, better handling of changed local name, better
	handling of HDB Permissions, new zbufalc routines to manage
	strings on the heap.  Incorporated uuconv.

Wed Jun 10 23:51:03 1992  Ian Lance Taylor  (ian@airs.com)

	* uuconf.h, uuconf/Makefile.in, uuconf/locnm.c, uuconf/llocnm.c,
	uuconf/hlocnm.c, uuconf/tlocnm.c: renamed uuconf_localname to
	uuconf_login_localname and added new uuconf_localname which
	doesn't need to read system information.

Tue Jun  9 14:19:20 1992  Ian Lance Taylor  (ian@airs.com)

	* uuconf.h, uuconf/Makefile.in, uuconf/local.c: wrote
	uuconf_system_local.

Mon Jun  8 14:14:30 1992  Ian Lance Taylor  (ian@airs.com)

	* policy.h: changed description of LOCKDIR, which now need not
	always be defined.

	* uuconf.h, uuconf/uucnfi.h, uuconf/lckdir.c, uuconf/iniglb.c,
	uuconf/tinit.c, uuconf/Makefile.in: added uuconf_lockdir, and
	``lockdir'' command to config.

Sat Jun  6 22:07:58 1992  Ian Lance Taylor  (ian@airs.com)

	* configure.in: updated to autoconf 0.115, added code to set
	LIBOBJS.

	* uuconf/Makefile.in, uuconf/uucnfi.h: removed references to
	routines now in lib/, changed to include regular UUCP header
	files.

Fri Jun  5 15:31:29 1992  Ian Lance Taylor  (ian@airs.com)

	* uuconf.h, uuconf/uucnfi.h, uuconf/syssub.c, uuconf/uuconv.c:
	always set zpubdir for every system, changed uuconf_zpubdir to
	const char *.

Wed Jun  3 15:15:32 1992  Ian Lance Taylor  (ian@airs.com)

	* uuconf.h, uuconf/Makefile.in, uuconf/deblev.c, uuconf/maxuxq.c,
	uuconf/pubdir.c, uuconf/spool.c: wrote uuconf_debuglevel,
	uuconf_maxuuxqts, uuconf_pubdir, uuconf_spooldir.

	* configure.in: updated to autoconf 0.114.

	* uuconf/tportc.c: default TCP ports to being fully reliable.

Mon Jun  1 17:03:22 1992  Ian Lance Taylor  (ian@airs.com)

	* uuconf.h, uuconf/prtsub.c: removed uuconf_psysdep from
	uuconf_port.

Sun May 31 00:07:40 1992  Ian Lance Taylor  (ian@airs.com)

	* uuconf.h, uuconf/Makefile.in, uuconf/diacod.c: wrote
	uuconf_dialcode.

	* uuconf.h, uuconf/Makefile.in, uuconf/logfil.c, uuconf/debfil.c,
	uuconf/stafil.c: wrote uuconf_logfile, uuconf_debugfile,
	uuconf_statsfile.

	* uuconf.h, uuconf/Makefile.in, uuconf/callin.c: wrote
	uuconf_callin.

	* uuconf/chatc.c, uuconf/time.c: Jean Mehat: only call tolower if
	isupper is true.

	* uuconf.h, uuconf/Makefile.in, uuconf/val.c, uuconf/tval.c: wrote
	uuconf_validate, uuconf_taylor_validate.

Sat May 30 12:37:02 1992  Ian Lance Taylor  (ian@airs.com)

	* system.h, sys1.unx: changed zsysdep_local_name to
	zsysdep_localname, and made it fatal out rather than return NULL.

	* uuconf.h, uuconf/Makefile.in, uuconf/uucnfi.h, uuconf/iniglb.c,
	uuconf/rdlocs.c, uuconf/locnm.c, uuconf/tlocnm.c, uuconf/hlocnm.c:
	wrote uuconf_localname, uuconf_taylor_localname,
	uuconf_hdb_localname.

	* uuconf.h, uuconf/Makefile.in, uuconf/uucnfi.h, uuconf/iniglb.c,
	uuconf/tinit.c, uuconf/tsinfo.c, uuconf/hunk.c, uuconf/unk.c:
	wrote uuconf_system_unknown, uuconf_hdb_system_unknown,
	uuconf_taylor_system_unknown.

	* log.c, time.c: always include <sys/types.h> in uucp.h.

	* configure.in, conf.h.in: check for size_t, renamed checks for
	time_t.

	* configure.in, conf.h.in: check for <stddef.h>.

Fri May 29 00:03:05 1992  Ian Lance Taylor  (ian@airs.com)

	* sysinf.c (ztranslate_system): Jac Kersing: must xstrdup the
	argument, since it points to a buffer that will be reused.

Thu May 28 12:42:20 1992  Ian Lance Taylor  (ian@airs.com)

	* sys3.unx (zsysdep_real_file_name): Ted Lindgreen: check return
	value of zstilde_expand.

	* copy.c, sys1.unx (usysdep_detach), sys2.unx (fsserial_close),
	sys3.unx, sys5.unx, sys7.unx: opening /dev/tty in usysdep_detach
	confuses the NeXT, so instead we just call TIOCNOTTY on 0.  In
	fsserial_close we call TIOCNOTTY on the port before closing it, to
	make sure that we have ditched it under BSD.  Also added O_NOCTTY
	to every open call other than opening a port, although there are
	still several fopen calls which should probably have it somehow.

	* system.h, uucico.c (fcall), uustat.c (fsquery_system,
	fsquery_show), sys3.unx (fsysdep_get_status), sys7.unx
	(zsysdep_all_status): Bob Izenberg: changed output of uustat -q to
	count number of commands rather than number of files being
	transferred, and to not report a non-existent status.  Added
	pfnone argument to fsysdep_get_status, and changed all calls.

	* uucico.c, sys1.unx, sys2.unx, sys3.unx, sys5.unx, sys6.unx,
	sys7.unx: Rolf Nerstheimer: cast a bunch of arguments to open,
	creat, stat and chmod to avoid compiler warnings.

	* uucp.h, log.c (ulog), port.c (fport_close), prot.c (fgetcmd):
	Chip Salzenberg: don't log a SIGHUP signal while we're closing
	down the connection, since the other side might hang up faster
	than we do (we still react to it correctly, we just don't put it
	in the log file).

	* sys1.unx (usysdep_detach), tcp.c (ftcp_open): Petri Helenius:
	update the process ID we log after a fork.

	* Makefile.in, sys1.unx: Chip Salzenberg: changed LIBDIR to
	SBINDIR.

	* uucp.c (main, uccopy): Andreas Vogel: check local-receive of the
	correct system, rather than always using sLocalsys.

	* configure.in, conf.h.in, sys2.unx, tstuu.c: Rob Janssen: look
	for <sys/select.h>, and include it if it exists and we are using
	select.

	* protg.c: Rob Janssen: rearrange macros to avoid bug in XENIX
	compiler.

	* configure.in: Scott Blachowicz: check WIFEXITED before assuming
	HAVE_UNION_WAIT, to avoid problems on HP/UX.

	* configure.in, conf.h.in, sysh.unx, sys1.unx: John Theus: use
	sv_onstack instead of sv_flags in the sigvec structure on 4.2BSD.

Wed May 27 23:23:39 1992  Ian Lance Taylor  (ian@airs.com)

	* policy.h, sys2.unx (fsysdep_modem_no_carrier): Scott Reynolds:
	added HAVE_CLOCAL_BUG compilation parameter to work around
	problems on some serial ports.

Tue May 26 15:50:17 1992  Ian Lance Taylor  (ian@airs.com)

	* uustat.c, uustat.1: added a bunch of options to support uuclean:
	-e, -i, -K, -M, -N, -W, -Q.

	* system.h, sys7.unx (fsysdep_privileged, fskill_or_rejuv): added
	fsysdep_privileged function.

Thu May 21 13:30:21 1992  Ian Lance Taylor  (ian@airs.com)

	* uuxqt.c (uqdo_xqt_file): processing of execution file has to be
	case significant; this will change handling of "n" flag, which was
	not correctly handled before.

Wed May 20 14:22:12 1992  Ian Lance Taylor  (ian@airs.com)

	* sys1.unx (usysdep_detach): close the statistics file when
	detaching.

	* policy.h, sys3.unx (fsdo_lock, fsdo_unlock), sys7.unx
	(fsysdep_lock_status): force LOCKDIR to always be defined.

	* uucp.h: put in an extern for alloca.

	* sysh.unx, sys1.unx, sys5.unx, sys6.unx: defined all the ?_OK
	macros in sysh.unx, which means that <unistd.h> must be included
	before "sysdep.h" when they are both included.

	* sys2.unx (fsserial_set): corrected case in termio switch
	expression.

	* chat.c (fcsend): simplified expression for old compilers.

	* sys1.unx (rmdir): wrote rmdir replacement which invokes
	/bin/rmdir for old systems.

	* configure.in, conf.h.in, Makefile.in: updated for autoconf
	0.112, added checks for ftw, ftw.h, and rmdir.

	* sys1.unx: added extern for ctime, removed externs for functions
	returning int, protected externs with ifndefs.

	* uucp.h, prot.h, system.h, uucico.c (fuucp), uuxqt.c
	(uqdo_xqt_file), prot.c (freceive_file), file.c (freceived_file),
	sys3.unx (fsysdep_move_file, fsysdep_change_mode), sys4.unx
	(zsysdep_save_temp_file): changed fsysdep_move_file to not set the
	file mode, and added fsysdep_change_mode to do it instead.

	* system.h, uucp.c (main, ucdirfile, uccopy), sys6.unx
	(usysdep_walk_tree, isdir, ftw, do_ftw): added -R option to uucp
	to recursively copy directories.

Tue May 19 18:29:32 1992  Ian Lance Taylor  (ian@airs.com)

	* sys3.unx: changed zsysdep_in_dir to always append the filename
	to the directory, even if the directory did not already exist.

	* sysh.unx, sys1.unx, sys3.unx, sys4.unx, sys5.unx: renamed
	fsdirectory_exists to fsysdep_directory.

Mon May 18 14:49:35 1992  Ian Lance Taylor  (ian@airs.com)

	* system.h, uucp.c (main), sys6.unx (zsysdep_uuto): added -t
	option to uucp to emulate uuto, wrote zsysdep_uuto to do Unix
	dependent destination translation for uuto, added -p option to
	uucp as synonym for -C for uuto compatibility.

Sun May 17 22:04:09 1992  Ian Lance Taylor  (ian@airs.com)

	* protg.c (fgexchange_init): permit a second INITB to override the
	segment size given in the first INITB.

Tue May  5 16:03:22 1992  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (main, fdo_call), uucico.8: Chip Salzenberg: added -c
	option to uucico to not warn if invoked when the system may not be
	called.

Tue Apr 28 15:05:01 1992  Ian Lance Taylor  (ian@airs.com)

	* sysh.unx, sys2.unx (fsserial_open, fsblock): preserve file
	status flags.

	* protg.c (fgwait_for_packet): Heiko Rupp: only send RJ packet if
	there are no unacknowledged packets.

Mon Apr 27 18:56:42 1992  Ian Lance Taylor  (ian@airs.com)

	* system.h: added several routines for cu.

	* cu.c, cu.h, sys8.unx: checked into RCS.

	* uux.c (main): Jose Manas: dumb bug when checking against
	calloc_args.

Fri Apr 24 20:32:06 1992  Ian Lance Taylor  (ian@airs.com)

	* sys1.unx: changed HAVE_LONG_NAMES to HAVE_LONG_FILENAMES for new
	version of autoconf.

	* sys7.unx: check UTIME_NULL_MISSING with #if rather than #ifdef.

	* sys3.unx: check FS_* macros with #if rather than #ifdef.

	* uucp.h, sysh.unx: changed standard type definitions for new
	version of autoconf.

	* sysh.unx, sys1.unx, sys2.unx, tstuu.c: changed SIGtype to
	RETSIGTYPE for new version of autoconf.

	* sys1.unx, tstuu.c: make include of <sys/times.h> optional.

	* sys2.unx: get the right versions of major and minor.

Wed Apr 22 11:19:11 1992  Ian Lance Taylor  (ian@airs.com)

	* protg.c (fgsenddata, fggot_ack): Michael Haberler: the slow
	start after error code was essentially shrinking the window size.

	* sysh.unx, system.h, sys1.unx (usysdep_initialize), uuchk.c,
	uucico.c, uucp.c, uulog.c, uuname.c, uustat.c, uux.c, uuxqt.c:
	changed usysdep_initialize to take a single argument with bit
	flags, added INIT_NOCHDIR as one of the flags.

	* uucp.h, log.c (ulog): added pfLstart and pfLend functions for
	ulog, so that cu can use them to restore the terminal settings.

	* bnu.c (ubnu_read_systems, fbnu_read_dialer_info), v2.c
	(uv2_read_systems): Michael Richardson: don't core dump if no chat
	script.

Tue Apr 21 00:19:47 1992  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (faccept_call): Chris Lewis: a successful call in
	should clear the number of retries.

	* sys2.unx (fsserial_set): set LLITOUT if going to CBREAK mode.

	* port.h, prote.c (festart), protf.c (ffstart), protg.c (fgstart),
	prott.c (ftstart), port.c (fport_set), sys2.unx
	(fsysdep_stdin_set, fsysdep_modem_set, fsysdep_direct_set,
	fsserial_set): gave fport_set independent control over output
	parity generation, input parity checking, and XON/XOFF
	handshaking, all to support cu.

Mon Apr 20 11:47:23 1992  Ian Lance Taylor  (ian@airs.com)

	* port.h, uucico.c (fdo_call), port.c (fport_dial, fmodem_dial),
	tcp.c (ftcp_dial): added separate zphone argument to fport_dial to
	support cu.

Thu Apr 16 01:15:42 1992  Ian Lance Taylor  (ian@airs.com)

	* bnu.c (ubadd_perm, ubadd_perm_alternate): Chris Lewis: handle a
	combination of Permissions entries which specify just LOGNAME with
	entries that specify both MACHINE and LOGNAME.

Wed Apr 15 16:11:48 1992  Ian Lance Taylor  (ian@airs.com)

	* sys1.unx (usysdep_initialize, zsysdep_login_name): John Theus:
	don't die if can't get login name, unless it's really needed.

Tue Apr 14 12:39:18 1992  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (main, fcall): Petri Helenius: must relock system after
	detaching from terminal when trying different alternates.

	* system.h, uucico.c (fuucp), uustat.c (fsworkfiles_system,
	fsquery_system), sys4.unx (fsysdep_get_work_init,
	fsysdep_get_work): Marty Shannon: uustat would remove empty
	command files.

	* bnu.c (ubadd_perm_alternate): John Harkin: permit ALIAS in
	Permissions.

	* Makefile.in: John Harkin: add sys?.c dependencies to sys?.o to
	work around old makes which don't handle transitive .SUFFIXES.

	* sys2.unx: cast some function calls to void.

	* time.c (qttime_parse): cast to void warning.

	* sys1.unx (iswait): cast waitpid argument to avoid warning.

	* configure.in, policy.h, uucp.h, sys7.unx, tstuu.c: Zacharias
	Beckman: minor touchups for NeXT.

	* sys1.unx (usysdep_initialize), sys6.unx (zsysdep_add_cwd), uux.c
	(main): Jarmo Raiha: heuristic for whether to get the current
	directory can fail.

	* sys1.unx: pass argument to uudir, cast sigemptyset calls to
	void.

	* uucp.texi: Harlan Stenn: correct case of references.

Tue Apr  7 01:02:17 1992  Ian Lance Taylor  (ian@airs.com)

	* Released version 1.03.

Mon Apr  6 15:49:08 1992  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (faccept_call): Marc Boucher: set *pqsys to NULL.

	* bnu.c (ubnu_read_systems, fbnu_find_port): Erik Forsberg:
	support multiple character modem classes.

Fri Apr  3 00:37:25 1992  Ian Lance Taylor  (ian@airs.com)

	* sys2.unx: Petri Helenius: only clear known bits in termio or
	termios structure; didn't change HAVE_BSD_TTY handling--maybe next
	version.

	* configure.in: test TIMES_DECLARATION_OK correctly.

	* Makefile.in: update version to 1.03, remove distclean, add
	mostlyclean per GNU standards.

	* sys1.unx, chat.c: minor cleanups for gcc 2.1.

Thu Apr  2 17:51:36 1992  Ian Lance Taylor  (ian@airs.com)

	* tstuu.c: conditionally declare times.

	* uucp.h, prot.c, sysinf.c, prtinf.c: added gcc 2.0 format
	checking to ulog, and fixed a few problems it discovered.

Wed Apr  1 16:21:08 1992  Ian Lance Taylor  (ian@airs.com)

	* sys3.unx (esysdep_open_receive): David J. MacKenzie: some
	USG_STATFS systems use 512 as the block size of f_bfree, despite
	the existence of f_bsize.

	* port.c (fport_open): initialize stdin port.

	* policy.h, log.c: added CLOSE_LOGFILES configuration parameter.

	* sys2.unx: T. William Wells: handle a system without <poll.h> or
	<stropts.h>.

	* configure.in: Franc,ois Pinard: warn if none of napms, nap,
	usleep, poll or select are available, since \p will sleep for a
	full second.

	* Makefile.in: Gerben Wierda: fixed uninstall to set file owner
	and mode correctly.  Also changed install to handle uucp.info-4
	and uustat.1.

	* MANIFEST: added uucp.info-4 and uustat.1.

	* uustat.1: Wrote.

	* uucico.8, uuxqt.8, uucp.1, uux.1: updated -x switch, cleaned up
	a bit.

Tue Mar 31 14:40:06 1992  Ian Lance Taylor  (ian@airs.com)

	* sys1.unx (usysdep_initialize): use $PWD to get the current
	working directory if it's defined and correct.

	* sys1.unx (usysdep_initialize): Brian Antoine: use name from
	getpwname rather than getlogin.

	* uucp.texi: David J. MacKenzie: put in a number of corrections.
	Also split sys file and config file nodes, and rearranged several
	nodes.

	* protg.c (fgsenddata): Niels Baggesen: packet to retransmit did
	not get reset correctly.

Mon Mar 30 10:03:28 1992  Ian Lance Taylor  (ian@airs.com)

	* tcp.c (ftcp_reset): Petri Helenius: TCP server never started
	uuxqt, because it exited in ftcp_reset.

	* policy.h, sysh.unx, sys2.unx (fsserial_lockfile): added
	HAVE_SVR4_LOCKFILES configuration parameter.

	* sys3.unx (esysdep_open_receive): Niels Baggesen: USG statfs has
	an f_bsize field.

Sun Mar 29 23:04:20 1992  Ian Lance Taylor  (ian@airs.com)

	* uucp.h, sysinf.c, prot.c, prote.c, protf.c, protg.c, prott.c:
	Niels Baggesen: added new debugging types abnormal and uucp-proto.

	* uucico.c (fuucp), prot.c (freceive_file), file.c
	(fstore_recfile): Dirk Musstopf: if a file receive fails before it
	starts, perhaps because the file was too large, remember to remove
	the temporary file.

	* sys2.unx (fsserial_lock, fsserial_open, fsserial_write,
	fsserial_io): always block and unblock the read and write
	descriptors together.

Sat Mar 28 14:40:50 1992  Ian Lance Taylor  (ian@airs.com)

	* uustat.c: allow multiple systems and users to be specified at
	once; likewise for kills and rejuvenates.  Allow old and young to
	be combined with systems and users.  As suggested by Niels
	Baggesen, make machine status output more columnar.

	* uucp.h, uucico.c, config.c, sys3.unx: Michael I Bushnell:
	renamed enum tstatus to tstatus_type to avoid conflict with
	<sys/ioctl.h> on some systems.

	* config.c, sysinf.c, prtinf.c, chat.c: David J. MacKenzie: allow
	backslash newline quoting in all TAYLOR_CONFIG configuration
	files.

	* chat.c (fchat): David J. MacKenzie: handle empty subexpect
	strings correctly.

	* uucico.c (main, fcall): Petri Helenius: must dump controlling
	terminal before going to next alternate.  Also fixed David J.
	MacKenzie bug in which a signal did not prevent the next
	alternates from being tried.  Also made sure qtime was always
	freed up.

	* uucp.h, uucico.c (fdo_call), sysinf.c (tialternate), uuchk.c
	(ukshow): Franc,ois Pinard: allow a name to be given to an
	alternate, and display the name when placing a call.

	* chat.c (fcprogram), port.c (fport_open, fport_close): David J.
	MacKenzie: send port device rather than port name to a chat
	program using \Y; make sure port device is reset if port open
	fails and when port is closed.

	* uucico.c (fuucp), log.c (ulog, ustats, ustats_close): close log
	and statistics file every time master and slave switch roles.

Fri Mar 27 00:31:23 1992  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (fdo_call): Mark Mallett: minor cleanup.

	* uuname.c (main): Franc,ois Pinard: output aliases, added -a
	switch.

	* uucico.8, uuxqt.8, uux.1, uucp.1: David J. MacKenzie: changed
	.TP5 to .TP 5; also updated to 1.03.

	* tstuu.c: Roberto Biancardi: if SIGCHLD is not defined, define it
	as SIGCLD.

	* config.c: David J. MacKenzie: cMaxuuxqts is independent of
	HAVE_TAYLOR_CONFIG.

	* uucp.h: Gerben Wierda: don't always declare bzero.

	* sys7.unx (ussettime, fsysdep_lock_status): Niels Baggesen,
	Gerben Wierda: minor patches.

	* sys2.unx: Gerben Wierda: minor cleanups.

	* uucp.h: Niels Baggesen: simplified debugging message macros to
	avoid broken compilers.

	* sys2.unx: don't use TIOCEXCL locking.

	* sys2.unx: rework HAVE_UNBLOCKED_WRITES == 0 to work even if
	writes are unblocked.  Correct initialization of fwrite_blocking.

	* Makefile.in, configure.in: David J. MacKenzie: various cleanups.
	Changed default newconfigdir definition.  Supported compilation in
	a different directory.  Used symbolic links if available.  Changed
	default infodir definition per Franc,ois Pinard.

	* policy.h: David J. MacKenzie: various cleanups.

Thu Mar 26 12:17:41 1992  Ian Lance Taylor  (ian@airs.com)

	* sys3.unx: reduced race condition in fsdo_lock.

	* sys1.unx: Gerben Wierda: various cleanups.  Also don't set
	sa_flags to SV_INTERRUPT per Chip Salzenberg.

Wed Mar 25 22:20:24 1992  Ian Lance Taylor  (ian@airs.com)

	* configure.in: Overhauled for readability and functionality as
	suggested by T. William Wells and others.  Added bug checks,
	including for SCO memmove and ftime.

Tue Mar 24 12:18:56 1992  Ian Lance Taylor  (ian@airs.com)

	* sysinf.c (uiread_systems): fixed handling of alternates in
	file-wide defaults.

Wed Mar 18 01:01:25 1992  Ian Lance Taylor  (ian@airs.com)

	* config.c (tprocess_one_cmd): handle CMDTABTYPE_FULLSTRING
	correctly if there are no arguments.

	* Released beta version 1.03

	* sys1.unx (usysdep_detach): open the controlling terminal in non
	delay mode since it might be a modem.

Tue Mar 17 00:01:53 1992  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (fdo_call, faccept_call): T. William Wells: set current
	time in status file when call completes.

	* sys1.unx (iswait), sys2.unx (fsserial_read, fsserial_write,
	fsserial_io): log signals when they occur, even if we continue
	some sort of loop, rather than waiting for the next ulog call.

	* sys2.unx (fsserial_lock, fsserial_open): don't block when
	opening the write descriptor.

Mon Mar 16 00:14:43 1992  Ian Lance Taylor  (ian@airs.com)

	* system.h, uuxqt.c (uqdo_xqt_file), sys5.unx (fsysdep_execute):
	pass command to fsysdep_execute as first element of argument
	array.

	* tcp.c: declare _exit.

	* uucp.h: move definition of const before use for non ANSI C.

	* uucp.h, sys1.unx: undefine remove in uucp.h if the system does
	not have it to avoid conflict with macro definitions.

	* uucico.c, uuxqt.c, protf.c, prott.c, prote.c, config.c, chat.c,
	port.c, sys2.unx: miscellaneous cleanups.

	* tcp.c (ftcp_open): cast argument to bzero.

	* time.c (qtimegrade_parse): cast argument to qttime_parse to
	long.

	* file.c: changed iRecmode to unsigned int.

	* configure.in, uucp.h: on SCO 3.2.2 sig_atomic_t is defined in
	<sys/types.h> but not <signal.h>.

	* sys1.unx: undefined remove before the function definition to
	avoid trouble on systems for which it is a macro.

	* Makefile.in: removed dependencies of getopt.o.

	* sys1.unx, sys7.unx, tstuu.c: adjusted external declarations.

	* getopt.h, getopt.c: get new versions from glibc 1.01.

	* sys1.unx: don't declare sigemptyset.

	* version.c: updated to beta 1.03.

	* chat.c (fcsend): Scott Ballantyne: go ahead and send a character
	for an illegal escape sequence rather than failing out.

	* uuxqt.c (uqdo_xqt_file), sys5.unx (zsysdep_find_command): cast
	result of alloca.

	* protg.c (fgprocess_data): Niels Baggesen: improved debugging
	information.  Also tweaked fgprocess_data code to use memchr to
	find the next DLE rather than searching for it by hand.

	* uucico.c (faccept_call, fuucp): accept SVR4 -U flag giving
	maximum file transfer size; accept and ignore SVR4 -R flag meaning
	that the system supports file restart.

Sun Mar 15 00:21:56 1992  Ian Lance Taylor  (ian@airs.com)

	* sysinf.c (titime, titimegrade): permit a retry time to be
	specified as an optional additional argument.

	* uucico.c (zget_uucp_cmd, zget_typed_line): turn off DEBUG_PORT
	when doing DEBUG_HANDSHAKE.

	* policy.h, sysh.unx, sys1.unx, sys2.unx (fsblock_writes,
	fsserial_write, fsserial_io): added configuration parameters
	HAVE_UNBLOCKED_WRITES and SINGLE_WRITE.  Also blocked signals
	while clearing afSignal in fsysdep_modem_close.

	* chat.c (icexpect, fcsend): turn off DEBUG_PORT while doing chat
	script debugging.

	* sysh.unx, sys2.unx (fsserial_lock, fsserial_open,
	fsserial_write, fsserial_io, fsysdep_tcp_read, fsysdep_tcp_write,
	fsysdep_tcp_io): T. William Wells: some systems don't support
	unblocked writes, so don't use them.

	* port.c (fport_read, fport_write): show calls to fport_read and
	fport_write under DEBUG_PORT.

	* bnu.c (fbnu_find_port): Scott Ballantyne: accept "Any" as a
	Device speed.

Sat Mar 14 20:52:11 1992  Ian Lance Taylor  (ian@airs.com)

	* uucp.h, system.h, sysh.unx, uucico.c (main, zget_typed_line),
	uuxqt.c (main), uucp.c (main), uux.c (main, uxcopy_stdin), tcp.c
	(ftcp_open), log.c (ulog, ulog_close), sys1.unx (ussignal),
	sys2.unx (fsserial_close, fsysdep_modem_end_dial, fsserial_read,
	fsserial_write, fsserial_io, fsysdep_tcp_read, fsysdep_tcp_write,
	fsysdep_tcp_io): T. William Wells and Chip Salzenberg: keep an
	array of signals so that a new signal doesn't obliterate our
	knowledge of an old signal.  Johan Vromans: if we get SIGINT
	continue the current session but don't start any new ones.

	* sysh.unx, sys1.unx (isspawn, espopen, iswait, fsysdep_mail,
	fsysdep_run, getcwd, mkdir), sys2.unx (fsrun_chat), sys3.unx
	(fsysdep_wildcard_start), sys5.unx (fsysdep_execute), sys7.unx
	(fsysdep_lock_status), uuxqt.c (uqdo_xqt_file), tcp.c (ftcp_open),
	tstuu.c (uchild): added function isspawn, espopen and iswait and
	channeled all execs of new processes and waits through them.

Fri Mar 13 18:00:04 1992  Ian Lance Taylor  (ian@airs.com)

	* sysinf.c (uset_system_defaults): Chip Salzenberg: changed
	default login script timeout to 10 seconds.

	* prot.h, prot.c (freceive_data, breceive_char), protg.c, protf.c,
	prott.c, prote.c: changed breceive_char to go through
	freceive_data rather than calling fport_read directly.  Added an
	freport argument to freceive_data, and change all old calls to
	pass it in as FALSE.

Thu Mar 12 14:49:59 1992  Ian Lance Taylor  (ian@airs.com)

	* uucp.h: added a padding byte to scmd structure, since at least
	one compiler needs it.

	* uucp.c (main): use fake local name (from ``myname'' command)
	when generating an execution request intended for the local
	system.

	* sysh.unx: corrected readdir prototype.

	* sys2.unx: moved local header files ahead of sleep routine
	determination.

	* General overhaul to change debugging system.  Debugging is now
	done by type rather than by number.  iDebug is now interpreted as
	a bit sequence.  DEBUG may only be 0 (no checks or debugging), 1
	(checks, no debugging) or 2 (checks and debugging).  The debugging
	names are parsed by idebug_parse and tidebug_parse in config.c.
	The debugging types are additive.  Many source files changed.
	Inspired by Michael Richardson, Johan Vromans and Peter da Silva.

Wed Mar 11 12:01:03 1992  Ian Lance Taylor  (ian@airs.com)

	* policy.h, uuxqt.c (uqdo_xqt_file): Chip Salzenberg: support
	Internet mail addresses in uuxqt replies (added configuration
	parameter HAVE_INTERNET_MAIL to control this).

	* sys7.unx (fskill_or_rejuv): permit uucp user to delete any job.

	* uucp.h, system.h, sysh.unx, config.c, uuxqt.c (main, uqabort),
	sys5.unx (isysdep_lock_uuxqt, fsysdep_unlock_uuxqt), bnu.c
	(ubnu_read_sysfiles): Marty Shannon: added max-uuxqts command,
	along with support for BNU Maxuuxqts, to limit number of
	concurrent uuxqt processes.

	* chat.c (icexpect, fcsend), uucico.c (zget_uucp_cmd,
	zget_typed_line): improved debugging by avoiding incredibly long
	lines.

	* system.h, sys5.unx (fsysdep_execute), uuxqt.c (uqdo_xqt_file):
	Jon Zeef: if a temporary failure occurs, retry the execution
	later.

Tue Mar 10 12:40:30 1992  Ian Lance Taylor  (ian@airs.com)

	* sysh.unx, sys1.unx (isfork), sys2.unx, sys5.unx, tcp.c:
	Franc,ois Pinard: retry fork several times before giving up.

	* uucp.h, prot.c (fploop, fgot_data), file.c (usendfile_error,
	urecfile_error, frecfile_rewind): Niels Baggesen: if we can't read
	or write a file, treat it as a temporary error rather than a
	permanent error; if we get an error on write, drop the connection
	rather they try to continue.

	* uucp.h, system.h, sysh.unx, uucico.c (fuucp), prot.c
	(fsend_file, freceive_file), file.c (fsent_file, usendfile_error,
	freceived_file, urecfile_error, fmail_transfer), sys1.unx
	(usmake_spool_dir), sys4.unx (zsysdep_save_temp_file): if a file
	send fails, save the file away rather than lose it forever.

	* uucico.c (main): don't run uuxqt if we got a SIGTERM.

	* tcp.c (ftcp_open): Petri Helenius: have server fork twice to
	avoid zombies.

	* port.h, prtinf.c, v2.c, bnu.c (fbnu_find_port), uucico.c
	(fdo_call, faccept_call), uuchk.c (fkshow_port): added protocol
	command for ports, mostly to support BNU.  Also modified uuchk to
	make the absence of any matching port or dialer more obvious.

	* sys3.unx (esysdep_open_receive): check size of destination file
	system as well as temporary file system; handle f_bsize field
	under FS_MNTENT.

	* configure.in, sysh.unx: test for including <termios.h> and
	<sys/ioctl.h> in the same file, setting new configuration
	parameter HAVE_TERMIOS_AND_SYS_IOCTL_H accordingly; handle it in
	sysh.unx.

Mon Mar  9 00:06:12 1992  Ian Lance Taylor  (ian@airs.com)

	* sys2.unx (fsserial_close): Franc,ois Pinard: sleep for a second
	after closing the serial port to give it a chance to settle.

	* sysh.unx (fsetterminfodrain), sys2.unx (fsserial_close,
	fsserial_reset, fsserial_set): wait for terminal output to drain
	before closing it, resetting it, or changing its parameters.

	* uucico.c (zget_uucp_cmd): Ted Lindgreen: strip parity bit from
	initial handshake strings.

	* system.h, sys3.unx (esysdep_open_send), uucico.c (fuucp): Ted
	Lindgreen: don't send a mail message if a file to send has been
	removed, since it might have been sent in a previous session.

	* uuchk.c (ukshow): Zacharias Beckman: put list of permitted
	programs and execution path on separate lines.

	* uucico.c (fdo_call, faccept_call): only look for hangup string
	in debugging mode, since there's nothing to be done with it
	anyhow.

	* uucico.c (faccept_call): Ted Lindgreen: report the minimum
	transfer grade requested during an incoming call in the log file.

	* uucp.h, uutime.h, config.c, uucico.c (fcall), time.c
	(ftimespan_match, btimegrade, cmax_size_now): added a new status
	type for ``wrong time to call''.  If a system can never be called,
	this status type is not used (if an attempt is made to call the
	system, the status is left unchanged).

Sun Mar  8 11:41:45 1992  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (main, flogin_prompt, faccept_call): Ted Lindgreen: if
	we were asked to call a single system, or if a single system
	called in, then start uuxqt with -s for just that system.

	* uucico.c (main): Ted Lindgreen: ignore the -u option.

	* tstuu.c: Ted Lindgreen: don't include <sys/ioct.h> if it's not
	there.  Also removed the ``ignore this error'' message from the
	chat scripts since it's no longer marked as an error.

	* sys2.unx (fsserial_set): Ted Lindgreen: if CRTSCTS is defined
	and turned on, then don't turn on IXOFF.

	* uucp.h, log.c, uucico.c (fdo_call, faccept_call): Ted Lindgreen:
	report the port name and (for incoming calls) the login name in
	the log file.

Sat Mar  7 10:00:47 1992  Ian Lance Taylor  (ian@airs.com)

	* port.h, prtinf.c, sys2.unx (fsserial_lockfile, fsserial_lock):
	Peter da Silva: added ``lockname'' command to ports to permit
	specification of the file name to use when locking.

	* sys1.unx (usysdep_detach): let setpgrp fail silently.

	* sys2.unx: always include <sys/ioctl.h> if it's present on the
	system.

	* time.c (btimegrade, cmax_size_now): removed extraneous
	semicolons.

	* sys2.unx (fsserial_lock, fsserial_open, fsserial_close): support
	TIOCEXCL locking.

	* sys2.unx (fsserial_open): preserve unknown bits in c_cflag when
	using HAVE_SYSV_TERMIO or HAVE_POSIX_TERMIOS.

	* prot.h: never included more than once.

Fri Mar  6 21:53:28 1992  Ian Lance Taylor  (ian@airs.com)

	* uucp.h: Eric Ziegast: some systems don't define EXIT_SUCCESS or
	EXIT_FAILURE in stdlib.h.

	* uucp.h, uutime.h, uucico.c (fuucp), sysinf.c (uinittimetables,
	uaddtimetable), uuchk.c (main, ukshow_size, ukshow_time,
	qcompress_span), time.c (all new): rewrote time routines
	completely for consistency and simplicity.  Fixed bug causing
	incorrect maximum possible transfer size.  Added new file
	uutime.h.

Wed Mar  4 10:06:13 1992  Ian Lance Taylor  (ian@airs.com)

	* sys2.unx (fsserial_lockfile, fsserial_lock, fsysdep_modem_open,
	fsysdep_direct_open, fsysdep_modem_close, fsysdep_direct_close):
	Petri Helenius: if the open failed on a serial port, the lock
	files were not removed.

	* config.c (igradecmp): the local variables in igradecmp have to
	be integers; signed characters might not work correctly (although
	they would in all normal cases).

	* sys4.unx (fsysdep_has_work): Johan Vromans: set *pbgrade
	correctly if we still have work left over that we haven't looked
	at yet.

	* tstuu.c (main, uchoose, fwriteable): Roberto Biancardi: use poll
	if we haven't got select.

	* uucico.c (zget_uucp_cmd): Michael Haberler: some systems send \n
	after Shere, rather than a null byte.

Tue Mar  3 01:03:22 1992  Ian Lance Taylor  (ian@airs.com)

	* uuxqt.c (main, uqdo_xqt_file): permit local executions, don't
	get grade out of system dependent file name.

	* sys4.unx (fsysdep_get_work): Bob Denny: warn if we can't open a
	command file.

	* v2.c (uv2_read_systems): Jeff Putsch: infinite loop when reading
	time string.

	* uucp.h, sys1.unx, sys2.unx, sys3.unx, tstuu.c, configure.in:
	Thomas Fischer: some NeXT compatibility stuff: removed externs of
	sleep and alarm, included <libc.h> in uucp.h.

	* uucp.h, port.h, uucico.c (zget_uucp_cmd, zget_typed_line),
	port.c (cdebug_char, udebug_buffer), chat.c (icexpect, fcsend,
	fcphone), log.c (ulog): Michael Richardson: added LOG_DEBUG_START,
	LOG_DEBUG_CONTINUE and LOG_DEBUG_END to allow a debugging line in
	the log file to be built character by character.  Used this new
	feature in chat script debugging, rather than having each
	character appear on a separate line.  Added fPort_debug variable
	to control port debugging.

	* uustat.c (fsquery, fsquery_system, fsquery_show): handle
	execution files queued up for the local system correctly when
	using -q option (they still don't show up on any other option).

	* uucp.texi, protg.c (fgstart, fgshutdown): Aleksey P. Rudnev:
	added remote-window and remote-packet-size 'g' protocol
	parameters.  Reset the parameters to their default values in
	fgshutdown.

	* sysh.unx, sys2.unx (fsserial_read, usalarm), sys1.unx
	(usset_signal, usysdep_detach), uucico.c (main): overhauled
	fsserial_read yet again.  The timeout passed in is now an absolute
	bound.  A special SIGALRM handler does some wierd stuff to avoid
	any possible race.

	* config.c (uread_config), sysinf.c (uiread_systems,
	fcallout_login, fcheck_login), prtinf.c (ffind_port,
	fread_dialer_info), chat.c (fctranslate), uucico.c (faccept_call):
	T. William Wells: when using HAVE_TAYLOR_CONFIG in combination
	with V2 or BNU configuration files, don't complain if the
	HAVE_TAYLOR_CONFIG files are missing.

Mon Mar  2 10:21:36 1992  Ian Lance Taylor  (ian@airs.com)

	* sys2.unx (fsserial_read): T. William Wells: don't arbitrarily
	extend read timeout.

	* uux.c (main): check iSignal before entering fread, since the
	user may have hit ^C earlier in the program.

Sun Mar  1 23:39:33 1992  Ian Lance Taylor  (ian@airs.com)

	* policy.h, uucp.h, sysh.unx, sys2.unx (fsserial_lock,
	fsysdep_modem_close, fsysdep_direct_close), util.c (strlwr),
	configure.in: Marc Unangst: added HAVE_SCO_LOCKFILES configuration
	parameter to force lock file names to lower case.

Fri Feb 28 00:07:12 1992  Ian Lance Taylor  (ian@airs.com)

	* system.h, uucico.c (faccept_call, fdo_xcmd), uuxqt.c
	(uqdo_xqt_file), uux.c (main), uucp.c (main, ucspool_cmds),
	sys3.unx (zsysdep_spool_cmds), uux.1, uucp.1: added -j switch to
	uucp and uux to display the jobid of the spooled job.

	* uucp.h, system.h, sysh.unx, uucico.c (fuucp, fdo_xcmd,
	fok_to_send, fok_to_receive), uuxqt.c (uqdo_xqt_files), uux.c
	(main, uxcopy_stdin), uucp.c (main), file.c (freceived_file),
	config.c (fin_directory_list), sys1.unx (fsysdep_file_exists,
	fsuser_access, fsysdep_in_directory), sys3.unx (esysdep_open_send,
	fsysdep_move_file), sys5.unx (fsysdep_xqt_check_file): Chip
	Salzenberg: recheck file access permissions before sending, to try
	to avoid symbolic link games.  Check that the user has search
	access on all directories down to the file, and read or write
	access to the file or directory itself.  Check in uucp and uux as
	well as uucico, to provide early messages.  Check the standard
	input file in uuxqt.  Be more careful about creating files in the
	spool directory.  This eliminates all security problems I know of,
	except for a very short race in fsysdep_move_file.

	* sys3.unx (esysdep_open_send): give an error message if we try to
	send a directory (used to just fail silently).

	* system.h, sysh.unx, sys1.unx (usysdep_detach, ussignal,
	fsysdep_catch, usysdep_start_catch), sys2.unx
	(fsysdep_modem_end_dial, fsserial_read), uux.c (main): T. William
	Wells: fsysdep_catch obviously must be a macro, since it calls
	setjmp.  Also TIOCNOTTY sets the process group to 0, so we don't
	have to fork before calling it.

Thu Feb 27 00:08:09 1992  Ian Lance Taylor  (ian@airs.com)

	* sys1.unx, sys6.unx, sys7.unx: added some extern definitions.

	* configure.in, uucp.h, system.h, sysh.unx, uucico.c (main,
	ucatch, uabort, zget_typed_line, zget_uucp_cmd), uuxqt.c (main,
	uqcatch, uqabort), uux.c (main, uxcatch, uxrecord_file, uxabort),
	uucp.c (main, uccatch, ucrecord_file, ucabort), uustat.c (main,
	uscatch), uulog.c (main, ulcatch), uuname.c (main, uncatch),
	uucheck.c (main, ukcatch), log.c (ulog_fatal_fn, ulog,
	ulog_close), tstuu.c (main, uchild, uprepare_test), sys1.unx
	(usysdep_initialize, usysdep_detach, usysdep_signal,
	fsysdep_catch, usysdep_end_catch, ussignal, fsset_signal,
	fsysdep_run, raise), sys2.unx (usalarm, usysdep_pause,
	fsserial_lock, fsserial_open, fsysdep_stdin_close,
	fsysdep_modem_close, fsysdep_modem_end_dial, fsserial_read,
	fsserial_write, fsserial_io), sys5.unx (fsysdep_execute): T.
	William Wells: overhaul to support detaching from the terminal and
	completely reliable signals.  uucico now calls usysdep_detach at
	various points; new option -D prevents detaching.  The signal
	handling code all goes through usysdep_signal, fsysdep_catch and
	usysdep_end_catch.  A signal now just sets iSignal, which is
	checked at various points, notably in the port routines and in the
	main loops in uucico and uuxqt.

Tue Feb 25 10:59:23 1992  Ian Lance Taylor  (ian@airs.com)

	* protg.c (fgwait_for_packet): Bob Denny: reset the count of
	timeouts only when data is recognized, so that we aren't fooled by
	a sequence of imperfect echoes.

	* sys5.unx (zsysdep_get_xqt): Bob Denny: don't warn if opendir
	gets ENOENT.  I think POSIX requires ENOTDIR, but what can you do?

Mon Feb 24 14:37:10 1992  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (main, uusage): don't treat an extra argument as a port
	name.

	* sys3.unx (esysdep_truncate): Roberto Biancardi: support F_CHSIZE
	and F_FREESP in esysdep_truncate.

	* configure.in, sys2.unx (fsserial_read, usysdep_pause): Roberto
	Biancardi: use poll to sleep less than a second if we haven't got
	anything else.

	* v2.c (uv2_read_systems, fv2_find_port), bnu.c
	(ubnu_read_systems, fbnu_find_port, fbnu_read_dialer_info),
	uustat.c (fsworkfile_show): Roberto Biancardi: skip spaces and
	tabs after doing a strtok ((char *) NULL, "").

	* copy.c (fcopy_file), sys1.unx (esysdep_fopen), sys2.unx,
	sys3.unx (esysdep_open_receive, esysdep_truncate, fsdo_lock,
	fscmd_seq), sys5.unx (fsysdep_execute), sys7.unx, tstuu.c: John
	Theus: some systems use <sys/file.h> instead of <fcntl.h>.  Also
	changed the code to call creat instead of open when appropriate.
	Should now work on V7, with the exception of O_NONBLOCK and
	O_NDELAY in sys2.unx and tstuu.c.

	* uucp.h: John Theus: if we don't have vprintf, ulog is defined
	without an ellipsis, so don't declare it with one.

Sun Feb 23 14:45:53 1992  Ian Lance Taylor  (ian@airs.com)

	* uucp.h, system.h, bnu.c (ubnu_read_systems), config.c
	(fin_directory_list), sys1.unx (fsysdep_in_directory), sys5.unx
	(fsysdep_xqt_check_file), uucp.c (main), uuxqt.c (uqdo_xqt_file),
	uucico.c (fdo_xcmd, fok_to_send, fok_to_receive), tstuu.c
	(uprepare_test): only permit files to be received into directories
	that are world writeable.  Check for this in fsysdep_in_directory,
	with a new argument.  Changed calls appropriately.  In tstuu
	create /usr/tmp/tstuu as world writeable.

	* bnu.c (ubadd_perm_alternate): Doug Evans: after all that, I got
	it wrong: WRITE only applies to remote requests.

	* uucp.h, uucico.c (fuucp, fdo_xcmd, fok_to_send, fok_to_receive),
	uuxqt.c (uqdo_xqt_file), uuchk.c (ukshow), sysinf.c
	(uset_system_defaults, tialternate), sys5.unx
	(fsysdep_xqt_check_file), bnu.c (ubadd_perm_alternate): fixed READ
	and WRITE handling to match BNU semantics.  Added
	zcalled_local_send, zcalled_local_receive, zcalled_remote_send and
	zcalled_remote_receive fields to ssysteminfo structure for this,
	and handled them in all the appropriate places.

Sat Feb 22 22:30:59 1992  Ian Lance Taylor  (ian@airs.com)

	* Complete overhaul of configuration to use automatic shell
	script.  Eliminated conf.h, now generated by configure.  Renamed
	Makefile to Makefile.in.  Added policy.h for administrative
	decisions and other choices which can not be made automatically.
	Many changes to many source files, none having to do with code.

Thu Feb 20 17:57:55 1992  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (fdo_call): Chip Salzenberg: some systems truncate the
	Shere= machine name to 7 characters.

Wed Feb 19 14:36:31 1992  Ian Lance Taylor  (ian@airs.com)

	* sys7.unx (fskill_or_rejuv): make sure that only the submitter or
	the superuser is permitted to cancel (or rejuvenate) a request.

	* system.h, sysh.unx, sys3.unx (zsfile_to_jobid, zsjobid_to_file),
	sys4.unx (zsysdep_jobid), sys7.unx, uustat.c, Makefile, MANIFEST:
	wrote uustat.  Changed CSEQLEN in sys3.unx from 5 to 4.  Added
	several new system dependent functions, mostly in sys7.unx.

	* system.h, sys1.unx, log.c, file.c, chat.c, protg.c, uucico.c:
	rearranged the time functions for the convenience of uustat.  Made
	isysdep_time take an optional pimicros arguments.  Renamed
	usysdep_full_time to isysdep_process_time, and made clear that it
	need only work within a single process.  Changed usysdep_localtime
	to take a time returned by isysdep_time rather than always use the
	current time.  Changed the calls as appropriate.

Tue Feb 18 14:03:19 1992  Ian Lance Taylor  (ian@airs.com)

	* uuxqt.c (main): pass fdaemon argument correctly to
	usysdep_initialize.

Mon Feb 17 17:09:16 1992  Ian Lance Taylor  (ian@airs.com)

	* uuxqt.c (uqdo_xqt_file): T. William Wells: make sure sh uses
	absolute path of command, rather than relying on PATH.

	* sys5.unx (zsysdep_find_command): Michael Nolan: allow full
	command name to be specified by remote system, not just basename,
	if command is not in path.

	* log.c (ulog): don't use headers when outputting to terminal.

	* sys2.unx (fsrun_chat): Bob Denny: log chat program messages as
	LOG_NORMAL, not LOG_ERROR.

Fri Feb 14 00:17:57 1992  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (ucatch), uuxqt.c (uqcatch): Neils Baggesen: under
	HAVE_BNU_LOGGING, don't lose the system name when dieing.

	* uulog.c, Makefile, MANIFEST: wrote uulog.

	* uuname.c, Makefile, MANIFEST: wrote uuname.

	* bnu.c (ubadd_perm_alternate): T. William Wells: must xstrdup the
	system name before calling uadd_validate.

	* log.c (ulog_close): Micheal Nolan: don't refer to eLdebug if the
	DEBUG configuration parameter is 0.

	* uucp.c (main): Niels Baggesen: abtname must be copied into
	memory, or it will be overwritten by the next file to be copied.

Sun Feb  9 00:12:58 1992  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (fuucp), prot.c (fsend_file, freceive_file): Bob Denny:
	call fmail_transfer before calling fsysdep_did_work, because the
	latter frees up strings used by the former.

	* sysh.unx, sys1.unx (mkdir), uudir.c (new file), Makefile: added
	HAVE_MKDIR configuration parameter for systems without the mkdir
	system call.  The emulation function in sys1.unx invokes the new
	suid program uudir which sets its uid to uucp and invokes
	/bin/mkdir.  Added rules to create uudir to Makefile.

Sat Feb  8 14:25:50 1992  Ian Lance Taylor  (ian@airs.com)

	* sysh.unx, sys1.unx (opendir, readdir, closedir), sys4.unx,
	sys5.unx: added HAVE_OLD_DIRECTORIES configuration parameter to
	support systems without opendir/readdir/closedir which use
	original Unix directory format.

	* sysh.unx, sys1.unx (dup2): added HAVE_DUP2 configuration
	parameter and dup2 emulation function.

	* sys1.unx (zsysdep_local_name): put utsname structure on stack
	rather than making it static.

	* sysh.unx, sys1.unx (usysdep_initialize, getcwd): if we have
	neither getcwd nor getwd, fork /bin/pwd to get the current working
	directory.

	* system.h, uucico.c (main), uuxqt.c (main), uux.c (main), uucp.c
	(main), uuchk.c (main), sys1.unx (usysdep_initialize), sys6.unx
	(fsysdep_needs_cwd, zsysdep_add_cwd): because getting the current
	working directory can be expensive on Unix, since some
	implementation of getcwd fork a shell to execute pwd, only try to
	get the cwd if it is going to be needed by uux or uucp.

	* uucico.c (main), uuxqt.c (main), uux.c (main), uucp.c (main),
	uuchk.c (main), log.c (ulog): handle all possible signals raised
	by abort, namely SIGABRT, SIGILL and SIGIOT.  In ulog always call
	abort rather than raise (SIGABRT).

	* sys4.unx (usysdep_get_work_free): the qSwork_file information
	was freed up incorrectly if a file transfer failed.

	* sysh.unx, sys2.unx: Archaic Zilog System III computers use
	setret and longret rather than setjmp and longjmp, so I added a
	HAVE_SETRET configuration option.

	* prott.c (ftstart, ftsenddata): shifts of integers by more than
	15 are not portable.

	* prot.c (fsend_file, freceive_file, fploop, fgot_data): I ran
	into an old compiler which couldn't handle the calls to pffile, so
	I simplified them to use a variable.

	* port.c (fmodem_dial): cast result of alloca.

	* getopt.h, getopt.c: Jay Vassos-Libove: renamed getopt and
	related variables by macro defining them to gnu_*.  This avoids
	conflicts with system header files and system libraries.

Fri Feb  7 12:08:42 1992  Ian Lance Taylor  (ian@airs.com)

	* everything: added HAVE_STRING_H and HAVE_STRINGS_H.  Removed
	include of <string.h> in every source file and put it in uucp.h.
	Since I had to change everything anyhow, added 1992 to the
	copyright date.

	* uucico.c (fcall): Bob Denny: retry time not reached is not
	really an error, so just make a normal log entry for it.

Sun Feb  2 01:38:47 1992  Ian Lance Taylor  (ian@airs.com)

	* uucp.c (main): Get the file name for the destination of a local
	copy using zsysdep_real_file_name rather than zsysdep_in_dir,
	since the latter doesn't get the basename of the argument.

	* sys3.unx (fsysdep_get_status): Niels Baggesen: cast enum to int
	before comparison.

	* system.h, uucp.c (main), uux.c (main), sys6.unx (fsysdep_access,
	fsysdep_daemon_access): Niels Baggesen: check user access to file
	since programs are running setuid.  Previously uucp and uux
	permitted a file readable only by uucp to be transferred to
	another system by user request!

	* chat.c (fchat): Michael Nolan: portions of a chat string might
	be separated by more than just a single space if they are read
	from a V2 or BNU configuration file.

Fri Jan 31 19:51:57 1992  Ian Lance Taylor  (ian@airs.com)

	* protg.c: Chip Salzenberg: change default window size to 7.

	* sys3.unx (fsdo_unlock): Michael Nolan: cast result of alloca to
	(char *), not that it really matters.

	* log.c (ulog): Michael Nolan: if SIGABRT is not defined, just
	call abort.

Thu Jan 30 18:19:33 1992  Ian Lance Taylor  (ian@airs.com)

	* bnu.c (ubadd_perm): Michael Nolan: debugging check was done
	wrong for entry with LOGNAME but no MACHINE.

Wed Jan 29 13:28:59 1992  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (zget_uucp_cmd): Patrick Smith: only wait a short time
	for the hangup string.

	* sys4.unx (iswork_cmp): Patrick Smith: fixed casts to not cast
	away const.

Tue Jan 28 11:06:34 1992  Ian Lance Taylor  (ian@airs.com)

	* sys1.unx, sys3.unx, tstuu.c: Jay Vassos-Libove: removed some
	declarations of system functions that conflict with system header
	files on BSD/386 alpha.

	* Makefile: Jeff Ross: make sure the uninstall target restores the
	original file owner and mode.

	* protg.c (fgsendcmd): the previous patch wasn't really correct.

Mon Jan 27 22:30:47 1992  Ian Lance Taylor  (ian@airs.com)

	* log.c (ustats): Marty Shannon: don't report a failed transfer
	under USE_BNU_LOGGING.

	* sys3.unx (zsysdep_real_file_name): Marty Shannon: a trailing '/'
	on the name means that it is a directory, even if the directory
	does not already exist.

	* uucico.c (fuucp): Marty Shannon: the -f flag indicating that
	directories should not be created was not being handled correctly.

	* uucico.c (fcall): Chip Salzenberg: set .Status correctly if
	wrong time to call.

	* protg.c (fgsendcmd): John Antypas: didn't handle null byte at
	end of command which was exactly a power of two in length
	correctly.

Tue Jan 21 14:37:10 1992  Ian Lance Taylor  (ian@airs.com)

	* Released version 1.02.

	* system.h, uucico.c (main), uux.c (main), uucp.c (main,
	zcone_system), sys1.unx (fsysdep_run): Chip Salzenberg: have uucp
	and uux start up uucico -s system rather than uucico -r1.

Mon Jan 20 11:45:38 1992  Ian Lance Taylor  (ian@airs.com)

	* sys1.unx (fsysdep_make_dirs): don't try to create a directory
	with no name.

	* version.c: change version number to 1.02.

	* uucico.8, uuxqt.8, uucp.1, uux.1: change version number to 1.02.

	* MANIFEST: removed texinfo.tex; it's twice the size of any other
	file, so I think it's just to large to distribute.

	* uucico.c (fcall, fdo_call): Marty Shannon: update the time in
	the .Status file if it's the wrong time to call, and upon
	receiving a call.

Sun Jan 19 13:29:23 1992  Ian Lance Taylor  (ian@airs.com)

	* protg.c (fgsendcmd, fgsenddata): Dave Platt: if the remote UUCP
	accepts packets larger than 64 bytes, assume it can handle
	differing packet sizes, so if we have a small amount of data to
	send, use a small packet.  Besides the two routines mentioned,
	also made minor changes to other routines to get the packet length
	out of the packet data rather than always assuming the same packet
	size.

	* conf.h, uucp.h: Matthew Lyle: some systems don't declare errno
	in <errno.h>, so I added HAVE_ERRNO_DECLARATION.

	* conf.h, uucp.h, util.c (bsearch): added HAVE_BSEARCH
	configuration parameter.

Sat Jan 18 17:45:28 1992  Ian Lance Taylor  (ian@airs.com)

	* tstuu.c (utransfer): Mike Park: don't sleep when the input
	buffer is full; it's too slow.

	* Makefile: when making a distribution,change the mode of separate
	copies of the configuration files Makefile, conf.h and sysh.unx.

	* uucico.c (faccept_call): Marty Shannon: update .Status file on
	incoming calls.

	* uucp.h, prot.h, uucico.c (fuucp), prot.c (fsend_file,
	fpsendfile_confirm, freceive_file, fprecfile_confirm, fxcmd,
	ustats_failed), file.c (fsent_file, usendfile_error,
	freceived_file, urecfile_error, frecfile_rewind, fmail_transfer):
	reworked calls to fsydep_did_work and sending of mail messages to
	be more sensible.  Now sends mail to requestor if request fails
	permanently and does not remove file if request fails only
	temporarily.

Thu Jan 16 11:33:08 1992  Ian Lance Taylor  (ian@airs.com)

	* protg.c (fgsendcmd, fgsenddata): zero out unused bytes in short
	packets.

	* prot.c (zgetcmd), protf.c (ffsendcmd), prott.c (ftsendcmd),
	prote.c (fesendcmd): Niels Baggesen: added some debugging
	messages.

	* protg.c (fgsendcmd): corrected misspelling in debugging message.

	* log.c (ustats): Niels Baggesen: add FAILED to end of xferstats
	line if appropriate.

	* uuxqt.c (uqdo_xqt_file): Niels Baggesen: was checking strcmp
	return value incorrectly, so messages to other systems were not
	being sent.

	* sys2.unx, tstuu.c: Mike Park: ioctl is sometimes declared
	varadic, so we can't declare it.

Wed Jan 15 02:03:43 1992  Ian Lance Taylor  (ian@airs.com)

	* sys1.unx: put \n at end of fsysdep_run error message.

	* sysh.unx, sys1.unx, sys2.unx, tstuu.c: Mike Park: on some
	systems <sys/time.h> includes <time.h> but <time.h> can only be
	included once; added HAVE_SYS_TIME_AND_TIME_H to sysh.unx.

	* tstuu.c: Mike Park: removed prototype for times since some
	systems don't have clock_t.

	* conf.h, sys2.unx, util.c: Mike Park: some systems don't have
	<limits.h>.  Every macro used from it already had a check to make
	sure it was defined anyhow.

	* tstuu.c (uprepare_test): Mike Park: sh on NeXT interprets a
	leading ~, so we have to quote the argument to system(3).
	Incredible.

	* conf.h, uucp.h: Mike Park: if HAVE_ALLOCA is 0 when compiling
	with gcc, don't define alloca as a macro.  This will let the NeXT
	define it in some header file.

	* sysh.unx, sys2.unx, sys5.unx, tstuu.c: Mike Park: handle
	HAVE_UNION_WAIT completely.  Assume that system(3) returns an int
	which should be put into the w_status field.  Define macros for
	union wait if they are not already defined.  Move all this stuff
	into sysh.unx rather than duplicating it in three different files.

	* conf.h, uucp.h, sysh.unx, config.c, bnu.c, v2.c, uucico.c,
	uuxqt.c, uux.c, uucp.c, uuchk.c, Makefile: set directory to look
	for configuration files in in Makefile rather than in sysh.unx.
	This forced a number of changes, as now all new style
	configuration files are looked up using NEWCONFIGLIB.  Old style
	configuration files are looked up using OLDCONFIGLIB.

Mon Jan 13 00:35:43 1992  Ian Lance Taylor  (ian@airs.com)

	* sys3.unx: David Nugent: don't declare chmod, since it may be
	prototyped to take an argument that is smaller than an int.

	* uucico.c (faccept_call): Chip Salzenberg: only declare sportinfo
	if it will be used (if HAVE_TAYLOR_CONFIG is true).

	* sys3.unx (isysdep_get_sequence): Chip Salzenberg: avoid use
	before set warning from gcc.

	* protf.c (ffprocess_data): Chip Salzenberg: avoid use before set
	warning from gcc.

	* sysh.unx, sys2.unx (fsserial_read, usysdep_pause): Chip
	Salzenberg: added HAVE_USLEEP configuration parameter for the AIX
	usleep routine.

	* uuchk.c, prtinf.c, config.c: Chip Salzenberg: strcmp is a macro
	on AIX, so avoid declaring it and undef it in config.c where we
	want to declare it because we want to take its address.

	* uucp.h, sys3.unx (fsysdep_get_status, fsysdep_set_status): Chip
	Salzenberg: handle out of range status codes in status files.

	* Makefile, sysh.unx: defined LIBDIR in the Makefile, rather than
	forcing the user to define it in two different places.

	* sys.unx, tstuu.c: Chip Salzenberg: can't declare execl, since it
	is varadic.

	* sys1.unx, sys2.unx, sys3.unx, sys5.unx, tstuu.c: David Nugent:
	can't declare open or fcntl, since they may use ... in header file
	prototype; added declaration for popen; added casts of first mkdir
	argument to char *.

	* sysh.unx, tstuu.c (uchild): Mike Park: added HAVE_WAITPID and
	HAVE_WAIT4 configuration parameters to allow the use of wait4 as
	found on the NeXT.

	* tstuu.c (uprepare_test): Mike Park: use IPUBLIC_DIRECTORY_MODE
	rather than S_IRWXU | S_IRWXG | S_IRWXO.

	* sysinf.c (tisystem): Mike Park: ulog was being passed the wrong
	number of arguments.

Sun Jan 12 14:32:47 1992  Ian Lance Taylor  (ian@airs.com)

	* Eliminated CONFIG, INSTALL and THANKS.  They are now included in
	uucp.texi.  Changed README and MANIFEST accordingly.  Added
	uucp.info* and texinfo.tex to MANIFEST.

	* Makefile, uucp.texi: renamed taylor.texi to uucp.texi.

	* uucico.c (fcall, fdo_call): John Antypas: pass in sportinfo
	structure for fdo_call to use for an unknown port.

	* log.c (ulog): allocate enough bytes to name file if
	HAVE_BNU_LOGGING is in use but zLogfile has no %s.

Sat Jan 11 12:11:56 1992  Ian Lance Taylor  (ian@airs.com)

	* Makefile: changed to correspond to GNU standards, according to
	standards.text of 24 Nov 91.

	* Makefile: Franc,ois Pinard: use $(INSTALL_PROGRAM) and
	$(INSTALL) rather than cp to install the programs.

	* time.c (ftime_now), sys1.unx (usysdep_localtime): John Antypas:
	use memcpy to get the result of localtime rather than relying on
	structure assignment.

	* sysh.unx, prtinf.c: Hannu Strang: changed definition of
	SYSDEP_STDIN_CMDS to pass structure instead of address of
	structure to avoid bug in AIX compiler which causes it to fail to
	recognize an address constant containing the -> operator.

Tue Jan  7 10:22:43 1992  Ian Lance Taylor  (ian@airs.com)

	* Released beta 1.02.

	* protg.c (fgcheck_errors): discount out of order packets in the
	total error count, and allow a negative error count to mean that
	any number of errors are accepted.

	* sysinf.c (tadd_proto_param): Niels Baggesen: allocate number of
	protocol parameters based on *pc, not sIhold.cproto_params.

Sat Jan  4 16:42:21 1992  Ian Lance Taylor  (ian@airs.com)

	* log.c (ulog): tweaked HAVE_V2_LOGGING slightly.

	* v2.c (uv2_read_systems): set chat script correctly.

	* uucp.h, sys3.unx: avoid redefining SEEK_SET if it appears in
	<unistd.h> but not <stdio.h>.

	* chat.c (fcsend): made fcsend into a static function.

	* uucp.h, uucico.c, uuxqt.c, uux.c, uucp.c, uuchk.c, version.c:
	changed abProgram and abVersion from const char [] to char []
	because the Microsoft compiler on SCO can't handle const char []
	arrays correctly.

	* uux.c (main): allocate enough space for log message.

	* sys1.unx (usysdep_localtime): to get the current time, we can't
	call usysdep_full_time if the latter uses times.

	* sys1.unx, sys3.unx: added a couple more extern definitions for
	SCO 3.2.2.

	* uucico.c (main): start uuxqt even if a call fails.

	* sysh.unx, system.h, uuxqt.c (uqdo_xqt_file), sys5.unx
	(fsysdep_xqt_check_file): Chip Salzenberg: added configuration
	option ALLOW_FILENAME_ARGUMENTS to permit arguments that look like
	filenames, to allow undoing the patch I just made.

Fri Jan  3 00:44:59 1992  Ian Lance Taylor  (ian@airs.com)

	* system.h, uuxqt.c (uqdo_xqt_file), sys5.unx
	(fsysdep_xqt_check_file): David J. Fiander: make sure that if an
	argument looks like a filename we are permitted to access it.

	* sys3.unx (fsdo_lock): remove temporary file if link fails in
	fsdo_lock.

Thu Jan  2 00:01:53 1992  Ian Lance Taylor  (ian@airs.com)

	* protg.c (fgstart, fgshutdown, fgprocess_data): count remote
	rejections separately from resent packets when counting errors.

Tue Dec 31 14:31:38 1991  Ian Lance Taylor  (ian@airs.com)

	* protg.c (fgstart): Franc,ois Pinard: forgot to initialize
	cGdelayed_packets.

	* prot.h, uucico.c, prote.c: added the 'e' protocol, creating the
	new file prote.c

	* prot.c (freceive_data), protf.c (fffile), prott.c (ftfile):
	changed pffile protocol entry point to pass number of bytes being
	sent; fixed bug in freceive_data which caused to ask for the wrong
	number of bytes when the buffer was empty.

Mon Dec 30 23:16:48 1991  Ian Lance Taylor  (ian@airs.com)

	* sys2.unx (fsserial_open): Chip Salzenberg: don't turn on IXON
	and IXOFF initially; after all, the initialization packets might
	contain an XOFF character.

Sun Dec 29 00:00:42 1991  Ian Lance Taylor  (ian@airs.com)

	* uucp.h, prot.c (fploop): John Theus: check for EOF before
	reading from file to work around bug in Tektronix library.

	* protg.c (fprocess_data): don't send RR packets when an error
	occurs; the other side will probably ignore them, and it may
	confuse some Telebit modems.

	* sys1.unx (usysdep_localtime): don't take the address of a cast
	value.

	* log.c (zldate_and_time): wasn't allocating enough buffer space.

Sat Dec 28 01:09:58 1991  Ian Lance Taylor  (ian@airs.com)

	* uuxqt.c (uqdo_xqt_file): forgot to initialize zmail.

	* uucp.h, time.c, copy.c, sys1.unx, sys2.unx, sys3.unx, sys4.unx,
	sys5.unx, config.c, log.c, uuxqt.c, uux.c, tstuu.c: added a bunch
	of externs to decrease the number of implicit function
	definitions.

	* system.h, sys1.unx (usysdep_localtime), log.c (zldate_and_time):
	Lele Gaifax: put the full year in the log file, using the format
	YYYY-MM-DD HH:MM:SS.HH (ending in hundredths of seconds).

	* config.c (uprocesscmds): Terry Gardner: allow a # to be quoted
	in a configuration file.  Also made uprocesscmds reentrant.

	* sysh.unx, sys2.unx (fsrun_chat), sys5.unx (fsysdep_execute),
	tstuu.c (uchild): Monty Solomon: added HAVE_UNION_WAIT
	configuration option to pass a variable of type union wait to the
	wait and waitpid system calls.

	* sysh.unx, sys1.unx (usysdep_initialize): John Theus: added
	HAVE_GETWD to use getwd instead of getcwd.

	* sysh.unx, sys1.unx (usysdep_full_time): added HAVE_FTIME
	configuration option.

	* tstuu.c (uchild): use TIMES_TICK from sysh.unx rather than
	CLK_TCK.

	* conf.h, uucp.h, util.c, getopt.c, tstuu.c: added HAVE_STRCHR and
	HAVE_INDEX to conf.h.

Fri Dec 27 01:00:41 1991  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (fuucp): set fmasterdone correctly when running as a
	slave.

	* port.c (cpshow, upshow, fport_read, fport_write, fport_io):
	cleaned up debugging code by isolating out upshow and by making
	cpshow handle backslash.

	* tstuu.c (uprepare_test): create spool directories by hand, to
	make sure test 6 can be done and to test creating needed
	directories.

	* conf.h, uucp.h, bnu.c, v2.c, chat.c, protg.c, prott.c, sysinf.c,
	tcp.c, getopt.c, tstuu.c, util.c: added HAVE_MEMFNS and HAVE_BFNS
	to conf.h.  Changed memset calls to use bzero.

	* protg.c (fgcheck_errors, fgprocess_data): added protocol
	parameter ``errors'' to set maximum number of errors permitted.
	Also made fgprocess_data only reply once per batch of data.

Thu Dec 26 17:54:54 1991  Ian Lance Taylor  (ian@airs.com)

	* tcp.c (ftcp_dial, itcp_port_number): Monty Solomon: cast
	arguments to avoid prototype errors on NeXT.

Mon Dec 23 00:16:19 1991  Ian Lance Taylor  (ian@airs.com)

	* uucp.h, sysinf.c, uucico.c (main, flogin_prompt, faccept_call),
	uuchk.c (main): David Nugent: allow debugging level to be set for
	a specific system.

Sun Dec 22 15:51:10 1991  Ian Lance Taylor  (ian@airs.com)

	* conf.h, uucp.c, sysh.unx, tcp.c, sys1.unx, sys2.unx, sys3.unx,
	sys5.unx, sys6.unx, tstuu.c: Monty Solomon: added HAVE_UNISTD_H to
	conf.h for systems which don't have <unistd.h>.  Also added
	externs for all functions from <unistd.h>, which required adding
	definitions for pid_t, uid_t and off_t to sysh.unx.

	* config.c, prtinf.c, time.c, uuchk.c: added externs for
	strcasecmp or strncasecmp, to avoid implicit function definitions
	now that I took the prototypes out of uucp.h.

	* sys3.unx (fsysdep_get_status): Franc,ois Pinard: the code added
	to avoid scanf had a stupid bug.

	* uucp.h: Monty Solomon: removed prototypes for strcasecmp and
	strncasecmp from uucp.h, since they may be in string.h.

Sat Dec 21 16:04:58 1991  Ian Lance Taylor  (ian@airs.com)

	* uucp.h, uucico.c (ucatch), prot.c (fpsendfile_confirm,
	fprecfile_confirm, ustats_failed), file.c (fsent_file,
	freceived_file), log.c (ustats): Terry Gardner: record failed file
	transfers in the statistics file.

	* uucico.c: change protocol ordering to 't', 'g', 'f'.

	* uucico.c (faccept_call), tstuu.c (uprepare_test): John Theus:
	don't warn if the port file doesn't exist when the slave mode
	uucico looks up the port.

	* sys1.unx, sys5.unx: moved fsysdep_file_exists from sys5.unx to
	sys1.unx so that uucico can call it.

	* uux.c: Fran,cois Pinard: remove parentheses from ZSHELLSEPS so
	that they may be used to quote arguments as documented.  This
	means that may not be used to start subshell, but that is no great
	loss.

	* uux.c (main): use ulog to report illegal grade error message.

	* sys1.unx (fsysdep_run): use the real program name from abProgram
	in the error messages in fsysdep_run.

Thu Dec 19 19:02:28 1991  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (fdo_call, faccept_call): Terry Gardner: put the length
	of the conversation in the ``Call complete'' log file message.

	* uux.c: added space and tab to ZSHELLSEPS, because otherwise the
	command was parsed to include whitespace.

	* protg.c, protf.c: Oleg Tabarovsky: added statistical logging
	messages to the 'g' and 'f' protocols.  These go to the main log
	file right now, but I'm not sure if that's appropriate.

	* sys2.unx (fsserial_set): don't change terminal settings if we
	don't have to.

	* port.c (fport_io): add complete diagnostics for fport_io so we
	can see every byte that goes in or out.

	* uucico.c (fuucp): don't give user name in errors produced by
	getting the next command.

	* uuxqt.c (main): don't process execute files for unknown systems.
	This is not unreasonable, I hope, and it avoids errors caused by
	an uninitialized sUnknown structure.

	* sys4.unx (fsysdep_get_work_init): sort the previously found
	files all together so we can correctly check new files using
	bsearch.

	* protf.c (pfprocess, pfprocess_data, pfwait): Franc,ois Pinard:
	don't kill 'f' protocol because of an illegal byte.  Also slightly
	optimized the protocol to wait for up to seven characters at a
	time rather than just one.

Wed Dec 18 00:12:42 1991  Ian Lance Taylor  (ian@airs.com)

	* sysh.unx, sys2.unx, tstuu.c: Terry Gardner: added
	USE_FOR_UNBLOCKED configuration parameter to support systems that
	don't permit O_NONBLOCK and O_NDELAY to both be set.

	* tstuu.c (uchild): give the uucico processes a chance to die on
	their own rather than killing them immediately.

	* uuxqt.c (main, uqdo_xqt_file): David Nugent: keep rescanning the
	list of execute files until nothing can be done.  Also, don't
	remove the execute file if we get some sort of internal error.

	* sys4.unx (fsysdep_get_work, usysdep_get_work_free): David
	Nugent: after we've processed all the work files we found
	initially, rescan the work directory to pick up any that may have
	come in in the meantime.  Also, reset iSwork_file to 0 in
	usysdep_get_work_free so that we can handle more than one system.

	* tstuu.c, uucico.c (main, fwait_for_calls, flogin_prompt): added
	-l option to uucico to prompt for the login name and password once
	and then exit.

Tue Dec 17 00:24:41 1991  Ian Lance Taylor  (ian@airs.com)

	* uucp.h, uucico.c, uuxqt.c, uux.c, uucp.c, config.c
	(uread_config), log.c (ulog): eliminated ulog_program and added
	abProgram and ulog_to_file.  Made log messages output to stderr
	more Unix like.

	* log.c (ulog): use a fixed number of fields in a log file message
	by replacing a missing system or user with '-'.

	* port.h, chat.c (renamed fchat_send to fcsend), bnu.c
	(fbnu_read_dialer_info), prtinf.c (tpcomplete), sys2.unx
	(fsysdep_modem_close), uuchk.c (ukshow_dialer): T. William Wells:
	change the modem complete and abort strings into chat scripts.

	* sys2.unx (fsserial_open): on BSD start in RAW mode to avoid
	dropping characters when we switch over.  I originally thought
	being able to use XON/XOFF was worth the risk; I no longer think
	so.

	* tstuu.c (uprepare_test): have shell script sleep before printing
	the login name to make sure the second system has finished
	flushing its input buffer.

	* protg.c (fginit_sendbuffers), prott.c (ftsendcmd): David Nugent:
	avoid sending confidential information by zeroing out memory
	buffers before using them.

	* sysinf.c (tirequest, titransfer), prtinf.c (tpseven_bit,
	tpreliable, tpdtr_toggle): Marc Unangst: several functions did not
	accept true and false as boolean strings, contradicting the
	documentation.

	* uucp.h, system.h, sysh.unx, sys1.unx (usysdep_full_time), file.c
	(fstore_sendfile, fsent_file, fstore_recfile, freceived_file),
	log.c (ustats): generate statistics in microseconds instead of
	seconds for more accurate time keeping.

	* sys2.unx (fsserial_open): David Nugent: flush pending input
	when a serial port is opened.  This will clear out a
	NO\sCARRIER string left by a previous dropped connection.

Mon Dec 16 11:26:17 1991  Ian Lance Taylor  (ian@airs.com)

	* uucico.c (main), uuxqt.c (main), tstuu.c (main, uchild): David
	Nugent: ignore SIGHUP in uucico and uuxqt, so that they are
	unaffected by the parent shell closing down and by the remote
	terminal dropping the connection.

	* bnu.c (ubnu_read_sysfiles, ubnu_read_systems, fbnu_find_port,
	fbnu_read_dialer_info): Mike Bernson: ignore lines that begin with
	whitespace, fix compilation error.	

Sat Dec 14 20:59:10 1991  Ian Lance Taylor  (ian@airs.com)

	* sys2.unx (fsserial_open): don't turn on ISTRIP initially.

	* uucp.h, sysinf.c, chat.c (icexpect), uuchk.c (ukshow_chat):
	added chat-seven-bit command to allow control over whether
	parity bits are stripped out of chat scripts.

	* uucp.h, port.h, chat.c (fchat, fcprogram),
	config.c (tprocess_one_cmd), prtinf.c,
	sysinf.c (tichat, tprocess_chat_cmd),
	bnu.c (fbnu_read_dialer_info), port.c (fpdo_dial),
	uucico.c (fdo_call, faccept_call) uuchk.c (ukshow_chat):
	changed processing of chat commands to go through
	tprocess_chat_cmd, avoiding repetition.  All chat script
	information is now held in an schat_info structure.
	Eliminated the fchat_program function, renaming it fcprogram
	and making it static to chat.c (it is now called via fchat).
	Added CMDTABTYPE_PREFIX.  Added INIT_CHAT macro to initialize
	chat script information.  Added TTYPE_CMDTABTYPE and
	CARGS_CMDTABTYPE to eliminate hex constants in
	tprocess_one_cmd.

	* sys5.unx (zsysdep_get_xqt): Oleg Tabarovsky: don't stop
	processing files just because opendir failed on one; it could just
	be because we don't have read permission.

Fri Dec 13 17:43:52 1991  Ian Lance Taylor  (ian@airs.com)

	* config.c (uprocesscmds): don't continually allocate and free the
	array of arguments.

Thu Dec 12 12:46:01 1991  Ian Lance Taylor  (ian@airs.com)

	* prot.c (fgetcmd): Franc,ois Pinard: don't bother to give an
	error if the final HY doesn't come in; apparently the MtXinu UUCP
	doesn't send it.

	* chat.c (icexpect, fchat_send): Franc,ois Pinard: add some chat
	script debugging messages.

	* log.c (ulog): David Nugent: move ERROR: from the start of the
	line to after the date and time; this makes it easier to use awk
	on log files.

	* sys3.unx (fsdo_lock), sys1.unx (usysdep_initialize): do locking
	using link rather than O_CREAT | O_EXCL to avoid race conditions
	and to safely run as the superuser.

	* sys3.unx (fsysdep_move_file): fcopyfile now creates the
	destination file with IPRIVATE_MODE, so we don't need to chmod to
	it.

	* sys1.unx (usysdep_initialize, fsysdep_other_config): set the
	GID as well as the UID, in case anybody wants to run this as a
	setgid package.

Wed Dec 11 10:03:22 1991  Ian Lance Taylor  (ian@airs.com)

	* conf.h, uucp.h, util.c (strtol): Mark Powell: added my own
	version of strtol to util.c, for systems which lack it.

	* protg.c (fgstart, fgexchange_init): if we start resending
	packets during initialization, don't forget which packets we have
	already seen; otherwise the other side may assume we've already
	seen them while we're looking for them.

Tue Dec 10 15:42:41 1991  Ian Lance Taylor  (ian@airs.com)

	* conf.h, sysh.unx, log.c (ulog, ustats), tstuu.c (uprepare_test):
	Arne Ludwig: merged in Arne Ludwig's patches to support V2 and BNU
	style logging, with some minor additions and changes.

	* sys1.unx, sys3.unx, sys5.unx, uux.c, uucp.c, uucico.c, copy.c,
	uucp.h, system.h: create directories when necessary rather than
	assuming that they exist.  Added fmkdirs argument to esysdep_fopen
	and fcopy_file, changing all calls.  Added fpublic argument to
	fsysdep_make_dirs, changing all calls.  Moved fsysdep_make_dirs
	and fsdirectory_exists from sys3.unx to sys1.unx.  Added checks
	for ENOENT in several places in sys3.unx and sys5.unx.

	* log.c, port.c (fport_open), sys2.unx (fsserial_open): added
	ulog_device routine to record device name.  This is currently only
	used for the BNU statistics file, but more uses might arise later.

	* file.c, log.c, uucp.h: moved statistics file routines from
	file.c to log.c in preparation for supporting BNU log file
	routines.

Mon Dec  9 12:00:52 1991  Ian Lance Taylor  (ian@airs.com)

	* bnu.c (ubnu_read_systems): Arne Ludwig: the device entry for a
	system can be followed by a comma and a list of protocols.

	* sysh.unx, sys3.unx (fsdo_lock): Richard Todd: add
	HAVE_V2_LOCKFILES, in which the process ID is written out in
	binary.

	* uuxqt.c (uqdo_xqt_file): Richard Todd: the requestor address is
	relative to the requesting system.

	* config.c (uprocesscmds, umulti_pushback): Richard Todd: each
	line pushed back because of "#" is local to a particular
	smulti_file structure.

	* prtinf.c (asPdialer_cmds): Richard Todd: exit the current dialer
	if the special command "#" is seen.  A similar thing should be put
	in for ports, but it's marginally more complex.

	* config.c (uprocesscmds): Richard Todd: don't warn if the special
	"#" command is unrecognized.

Sat Dec  7 13:05:40 1991  Ian Lance Taylor  (ian@airs.com)

	* config.c (uprocesscmds): Franc,ois Pinard: don't limit the
	number of arguments to a command!

	* chat.c (fchat): handle a chat script which consists only of a
	single string.

Fri Dec  6 16:11:29 1991  Ian Lance Taylor  (ian@airs.com)

	* sys5.unx (fsysdep_execute): David J. Fiander: if execve fails
	with ENOEXEC, try using /bin/sh with a quoted argument.

	* uux.c (main): split arguments the way /bin/sh does.  If any
	shell metacharacters appears, request uuxqt to execute the command
	using /bin/sh.

	* tstuu.c (uprepare_test): allow the uux to test to send a failure
	message.

	* uuxqt.c (uqdo_xqt_file): don't send mail on successful execution
	unless specifically requested; pay attention to the 'n' line
	which requests mail on success; ignore the 'Z' line because it
	now specifies the default action.

	* sys1.unx (usysdep_initialize), sys6.unx (zsysdep_add_cwd):
	Franc,ois Pinard: getcwd may legitimately fail, so only give an
	error if we really need the result.

	* chat.c (ccescape): Franc,ois Pinard: ccescape should never
	return a negative number, since the callers don't know how to deal
	with that.

Mon Dec  2 16:26:16 1991  Ian Lance Taylor  (ian@airs.com)

	* bnu.c (ubnu_read_systems): Dave Buck: time strings with grades
	were parsed in an endless loop!

	* sys3.unx (fsdo_lock, fsdo_unlock): the alloca when using LOCKDIR
	was one byte too small.

	* config.c (tprocess_one_cmd): pass 10 to strtol rather than 0 to
	avoid surprises if a leading zero is used.

	* prtinf.c (tpproto_param, tpdialer_proto_param): Niels Baggesen:
	the ``protocol-parameter'' command didn't work for ports or
	dialers.

Sun Dec  1 09:46:12 1991  Ian Lance Taylor  (ian@airs.com)

	* tstuu.c: don't use the fd_set typedef at all.

	* tstuu.c (uprepare_test): don't read V2 or BNU configuration
	files while testing.

	* bnu.c, v2.c, config.c (uread_config): David Nugent: even if the
	code was compiled with HAVE_TAYLOR_CONFIG, read the V2 and BNU
	configuration files if the code was compiled to support them.

	* uuchk.c (fkshow_port): Bob Izenberg: report dialer/token pairs
	correctly.

Sat Nov 30 17:40:00 1991  Ian Lance Taylor  (ian@airs.com)

	* tstuu.c: Bob Izenberg: copied over conditional definitions of
	EAGAIN and EWOULDBLOCK from sys2.unx.

	* bnu.c (fbnu_read_dialer_info): Niels Baggesen: accept dialers
	with no substitutions.

	* bnu.c (ubnu_read_systems, ubadd_perm): Niels Baggesen: don't
	free up zline in ubadd_perm; in fact, changed the calling sequence
	to not even pass zline in at all.

	* bnu.c (ubadd_perm): Niels Baggesen: didn't handle multiple
	MACHINE= and multiple LOGNAME= values in a single Permissions
	line, because it was clobbering the machine name while processing
	the first logname.

	* bnu.c: Made zread and zwrite elements of sperm structure const
	char * to avoid warning.

	* copy.c, sys1.unx, sys2.unx, sys3.unx, sys5.unx, tstuu.c: Niels
	Baggesen: don't multiply include <unistd.h>.  Eventually there
	should be a macro controlling whether it gets included at all, for
	non-POSIX systems.

	* sys3.unx (fsysdep_get_status, isysdep_get_sequence): Marty
	Shannon: accept a truncated status file.  I also eliminated scanf
	calls in sys3.unx, since that was the only place it was called;
	this was to make the executables smaller for systems which cared.

	* bnu.c (ubnu_read_sysfiles): Marty Shannon: accept comment
	characters in Sysfiles.

	* sysh.unx, sys3.unx: Marty Shannon: added HAVE_RENAME, put a fake
	rename system call in sys3.unx.

	* prtinf.c (ffind_port): Marty Shannon: failed to handle multiple
	ports in the port file since I forgot to reset my pointer
	variable.

	* bnu.c (ubnu_read_systems): Marty Shannon: don't initialize the
	auto array abpubdir, since old cc didn't permit initialization of
	auto aggregates.

Mon Nov 25 20:56:39 1991  Ian Lance Taylor  (ian@airs.com)

	* tstuu.c: Bob Denny: add definitions for FD_SET, FD_ZERO and
	FD_ISSET.

	* config.c: Bob Denny: add explicit externs for strcmp and
	strcasecmp.

	* sys2.unx: the fread_blocking and fwrite_blocking fields were
	not getting initialized correctly in the TCP support routines.

	* sysh.unx, sys2.unx, sys5.unx, tstuu.c: Marty Shannon: added
	configuration option HAVE_SYSWAIT_H.

	* bnu.c (fbnu_find_port, fbnu_read_dialer_info), v2.c
	(fv2_find_port): Marty Shannon: the ireliable field of ports
	and dialers was	not getting initialized.

Sun Nov 24 15:06:37 1991  Ian Lance Taylor  (ian@airs.com)

	* tcp.c (itcp_port_number): Michael Haberler: wasn't calling
	htons if passed a numeric string.

Sat Nov 23 13:43:52 1991  Ian Lance Taylor  (ian@airs.com)

	* Released version 1.01 to alt.sources and uunet

